2025-01-11  Chris <ahlstromcj@gmail.com>

	* README.md, TODO, contrib/scripts/qbuild.sh,
	doc/latex/tex/seq66-user-manual.tex: Notes and spelling errors.
	* include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h: Updated qt include files for
	version/date.
	* INSTALL, NEWS, README.md, RELNOTES, TODO, VERSION, configure.ac,
	data/readme.text, data/readme.windows, include/config.h.in,
	nsis/Seq66Constants.nsh, nsis/build_release_package.bat: Prep for
	upcoming release.

2025-01-10  Chris <ahlstromcj@gmail.com>

	* NEWS, TODO, contrib/scripts/notemapgen.py,
	data/testing/simple-test.notemap, doc/latex/tex/pattern_editor.tex,
	libseq66/src/cfg/rcsettings.cpp, libseq66/src/play/notemapper.cpp,
	seq_qt5/src/qpatternfix.cpp: Finished the pattern-fix work, we hope.

2025-01-09  Chris <ahlstromcj@gmail.com>

	* TODO, contrib/notes/pattern-fix-tests.text,
	libseq66/include/play/notemapper.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/src/cfg/notemapfile.cpp, libseq66/src/play/notemapper.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/src/qpatternfix.cpp: Implemented notemapper pattern-fix,
	needs tests.

2025-01-08  Chris <ahlstromcj@gmail.com>

	* NEWS, TODO, contrib/notes/pattern-fix-tests.text,
	data/linux/qseq66-alt-gray.palette,
	data/linux/qseq66-default.palette, data/linux/qseq66-gray.palette,
	data/linux/qseq66.palette, doc/latex/tex/pattern_editor.tex,
	libseq66/include/midi/calculations.hpp,
	libseq66/include/midi/eventlist.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/include/util/automutex.hpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/forms/qpatternfix.ui,
	seq_qt5/include/qpatternfix.hpp, seq_qt5/src/qpatternfix.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qt5_helpers.cpp: Added
	align right to pattern fix, nearly done.

2025-01-05  Chris <ahlstromcj@gmail.com>

	* TODO, contrib/notes/pattern-fix-tests.text,
	contrib/scripts/grayscale.sh, doc/latex/tex/pattern_editor.tex,
	seq_qt5/include/qseqeditframe64.hpp, seq_qt5/src/qpatternfix.cpp,
	seq_qt5/src/qseqeditframe64.cpp: More fixes to fix-pattern.

2025-01-04  Chris <ahlstromcj@gmail.com>

	* TODO, libseq66/include/play/sequence.hpp,
	libseq66/src/play/sequence.cpp, seq_qt5/include/qpatternfix.hpp,
	seq_qt5/include/qseqeditframe64.hpp, seq_qt5/src/qpatternfix.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqroll.cpp: Got
	time-sig fix-pattern Set and Reset to work for 3/4.

2025-01-02  Chris <ahlstromcj@gmail.com>

	* NEWS, README.md, TODO, data/license.text,
	libseq66/include/midi/calculations.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/include/util/strfunctions.hpp,
	libseq66/src/play/sequence.cpp, libseq66/src/util/strfunctions.cpp,
	seq_qt5/src/qpatternfix.cpp, seq_qt5/src/qseqeditframe64.cpp: Fixing
	time-signature pattern-fix still in progress.

2024-12-31  Chris <ahlstromcj@gmail.com>

	* resources/pixmaps/note_length_inv.xpm,
	resources/pixmaps/quantize_inv.xpm, resources/pixmaps/tools.xpm,
	seq_qt5/src/qpatternfix.cpp, seq_qt5/src/qseqeditframe64.cpp: Added
	dark-theme icons, pattern-fix change.
	* libseq66/include/util/strfunctions.hpp,
	libseq66/src/util/strfunctions.cpp: Added test file, float-number
	detection.

2024-12-30  Chris <ahlstromcj@gmail.com>

	* contrib/notes/pattern-fix-tests.text,
	data/samples/monogreen.palette, data/samples/monogreen.qss,
	doc/latex/tex/pattern_editor.tex,
	libseq66/include/midi/calculations.hpp,
	libseq66/src/midi/calculations.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/src/qpatternfix.cpp: Working on fixing the pattern-fix
	feature.

2024-12-29  Chris <ahlstromcj@gmail.com>

	* TODO, data/samples/incrypt-66.palette,
	data/samples/perstfic-66.palette, data/samples/perstfic-66.qss,
	data/samples/qseq66-sample.palette, seq_qt5/forms/qmutemaster.ui,
	seq_qt5/forms/qseqeventframe.ui, seq_qt5/forms/qsetmaster.ui,
	seq_qt5/include/qeditbase.hpp, seq_qt5/src/qeditbase.cpp,
	seq_qt5/src/qseqbase.cpp, seq_qt5/src/qseqroll.cpp,
	seq_qt5/src/qseqtime.cpp, seq_qt5/src/qstriggereditor.cpp: Improving
	appearance of grids, tables, and style-sheets.
	* NEWS, TODO, seq_qt5/include/qsmainwnd.hpp,
	seq_qt5/src/qsmainwnd.cpp: Fixed segfault during Restart with
	external grid and song windows open.

2024-12-28  Chris <ahlstromcj@gmail.com>

	* NEWS, TODO, data/samples/perstfic-66.palette,
	doc/latex/tex/configuration.tex, doc/latex/tex/menu.tex,
	libseq66/include/cfg/usrsettings.hpp, libseq66/src/cfg/usrfile.cpp,
	libseq66/src/cfg/usrsettings.cpp, libseq66/src/midi/eventlist.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/include/qeditbase.hpp, seq_qt5/include/qseditoptions.hpp,
	seq_qt5/src/gui_palette_qt5.cpp, seq_qt5/src/qeditbase.cpp,
	seq_qt5/src/qperfbase.cpp, seq_qt5/src/qperfnames.cpp,
	seq_qt5/src/qperfroll.cpp, seq_qt5/src/qperftime.cpp,
	seq_qt5/src/qseditoptions.cpp, seq_qt5/src/qseqbase.cpp,
	seq_qt5/src/qseqroll.cpp, seq_qt5/src/qseqtime.cpp: Making grid-line
	settings a little more orderly.

2024-12-27  Chris <ahlstromcj@gmail.com>

	* TODO, data/midi/FM/README, data/samples/monogreen.qss,
	libseq66/include/midi/event.hpp,
	libseq66/include/midi/eventlist.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/midi/editable_events.cpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/midi/midifile.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/src/qseqroll.cpp: Cleanup of verify/link, monogreen.qss.
	* NEWS, TODO, data/linux/qseq66.rc, data/linux/qseq66.usr,
	doc/latex/tex/pattern_editor.tex,
	libseq66/include/midi/calculations.hpp,
	libseq66/include/midi/eventlist.hpp,
	libseq66/include/play/playlist.hpp,
	libseq66/include/play/sequence.hpp, libseq66/src/midi/event.cpp,
	libseq66/src/midi/midifile.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/sequence.cpp, resources/pixmaps/up_inv.xpm,
	seq_portmidi/src/midibus.cpp, seq_portmidi/src/pmwinmm.c,
	seq_qt5/forms/qseqeventframe.ui, seq_qt5/include/qscrollmaster.h,
	seq_qt5/include/qscrollslave.h, seq_qt5/include/qseqdata.hpp,
	seq_qt5/include/qsetmaster.hpp, seq_qt5/src/qperfnames.cpp,
	seq_qt5/src/qperftime.cpp, seq_qt5/src/qscrollmaster.cpp,
	seq_qt5/src/qseqdata.cpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qseqkeys.cpp, seq_qt5/src/qseqtime.cpp,
	seq_qt5/src/qsetmaster.cpp, seq_qt5/src/qsmainwnd.cpp,
	seq_qt5/src/qstriggereditor.cpp, seq_qt5/src/qt5nsmanager.cpp: 
	Interim cleanup check-in, added up_inv icon.

2024-12-24  Chris <ahlstromcj@gmail.com>

	* NEWS, TODO, doc/latex/tex/pattern_editor.tex,
	libseq66/src/cfg/configfile.cpp, libseq66/src/cfg/usrfile.cpp,
	libseq66/src/cfg/usrsettings.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/sessions/smanager.cpp,
	seq_qt5/include/qt5_helpers.hpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqroll.cpp,
	seq_qt5/src/qt5_helpers.cpp: Interim check-in, minor fixes like
	'usr' file saving.

2024-12-23  Chris <ahlstromcj@gmail.com>

	* TODO, contrib/scripts/audio, contrib/scripts/dot-xbindkeysrc,
	libseq66/include/cfg/usrsettings.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/src/qseqeditframe64.cpp: Added a couple scripts, got
	one-shot during playback working.

2024-12-21  Chris <ahlstromcj@gmail.com>

	* NEWS, TODO, contrib/notes/perf-callbacks.text,
	libseq66/include/cfg/zoomer.hpp,
	libseq66/include/play/performer.hpp, libseq66/src/cfg/settings.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qseqeventframe.cpp, seq_qt5/src/qseqroll.cpp: Fixed
	zoomer, wrestling with performer callbacks.

2024-12-19  Chris <ahlstromcj@gmail.com>

	* NEWS, TODO, doc/latex/tex/pattern_editor.tex,
	libseq66/include/cfg/zoomer.hpp, libseq66/include/midi/event.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/midi/calculations.cpp, libseq66/src/midi/midifile.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/include/qseqeditframe64.hpp,
	seq_qt5/include/qslivegrid.hpp, seq_qt5/include/qsmainwnd.hpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqroll.cpp,
	seq_qt5/src/qseqtime.cpp, seq_qt5/src/qslivegrid.cpp,
	seq_qt5/src/qsmainwnd.cpp, seq_qt5/src/qstriggereditor.cpp: Fixes to
	performer callbacks, grid-drawing, and reading time signatures.

2024-12-17  ahlstrom <ahlstromcj@gmail.com>

	* TODO, libseq66/include/cfg/zoomer.hpp,
	libseq66/include/midi/calculations.hpp,
	libseq66/src/cfg/zoomer.cpp, seq_qt5/include/qeditbase.hpp,
	seq_qt5/include/qperfbase.hpp, seq_qt5/include/qseqroll.hpp,
	seq_qt5/src/qperfbase.cpp, seq_qt5/src/qperfeditframe64.cpp,
	seq_qt5/src/qperfroll.cpp, seq_qt5/src/qperftime.cpp,
	seq_qt5/src/qseqbase.cpp, seq_qt5/src/qseqdata.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqframe.cpp,
	seq_qt5/src/qseqkeys.cpp, seq_qt5/src/qseqroll.cpp: Refactoring of
	zoomer complete at this time.

2024-12-16  Chris <ahlstromcj@gmail.com>

	* NEWS, libseq66/include/cfg/zoomer.hpp,
	libseq66/include/midi/calculations.hpp,
	libseq66/src/cfg/zoomer.cpp, libseq66/src/midi/calculations.cpp,
	seq_qt5/include/qeditbase.hpp, seq_qt5/src/qseqroll.cpp,
	seq_qt5/src/qseqtime.cpp, seq_qt5/src/qstriggereditor.cpp: 
	Refactoring zoomer and editor grid-drawing in progress.

2024-12-14  Chris <ahlstromcj@gmail.com>

	* NEWS, TODO, doc/latex/tex/midi_formats.tex,
	libseq66/include/midi/calculations.hpp,
	libseq66/include/midi/eventlist.hpp,
	libseq66/include/play/sequence.hpp, libseq66/src/cfg/settings.cpp,
	libseq66/src/midi/calculations.cpp, libseq66/src/play/metro.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/include/qbase.hpp, seq_qt5/include/qseqeditframe64.hpp,
	seq_qt5/include/qsmainwnd.hpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qseqroll.cpp, seq_qt5/src/qseqtime.cpp,
	seq_qt5/src/qsmainwnd.cpp: Fixed seqfault as noted in NEWS, added
	tests of handling non-192-divisible PPQNs.

2024-12-12  ahlstrom <ahlstromcj@gmail.com>

	* TODO, libseq66/include/cfg/usrsettings.hpp,
	libseq66/src/cfg/usrfile.cpp, libseq66/src/cfg/usrsettings.cpp,
	resources/pixmaps/up.xpm, seq_qt5/forms/qseqeditframe64.ui,
	seq_qt5/include/qseqeditframe64.hpp,
	seq_qt5/src/qseqeditframe64.cpp: Added up icon, fixes to seqedit
	time-sig changes.

2024-12-11  Chris <ahlstromcj@gmail.com>

	* NEWS, TODO, libseq66/include/midi/calculations.hpp,
	libseq66/include/midi/eventlist.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/forms/qseqeditframe64.ui, seq_qt5/forms/qsessionframe.ui,
	seq_qt5/forms/qslivegrid.ui, seq_qt5/forms/qsmainwnd.ui,
	seq_qt5/include/qseqeditframe64.hpp, seq_qt5/src/qpatternfix.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqroll.cpp,
	seq_qt5/src/qsmainwnd.cpp: Issues #133 and #134 fixes in progress,
	GUI tweaks.

2024-12-08  Chris <ahlstromcj@gmail.com>

	* TODO, contrib/DIR_COLORS, doc/latex/tex/pattern_editor.tex,
	libseq66/include/midi/calculations.hpp,
	libseq66/include/midi/eventlist.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/midi/calculations.cpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/forms/qpatternfix.ui,
	seq_qt5/include/qpatternfix.hpp, seq_qt5/src/qpatternfix.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqroll.cpp: Interim
	check-in of upgrading qpatternfix.

2024-12-04  Chris <ahlstromcj@gmail.com>

	* NEWS, TODO, libseq66/include/midi/event.hpp,
	libseq66/include/midi/eventlist.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/include/qseqroll.hpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qseqroll.cpp: Reworked linking and zero-correction of
	recorded notes, fixed removal of truncated events in patterns.
	* TODO, configure, include/config.h.in,
	libseq66/include/midi/eventlist.hpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/play/sequence.cpp: 
	Working on recording issues with linking notes.

2024-12-03  Chris <ahlstromcj@gmail.com>

	* NEWS, README.md, RELNOTES, VERSION, configure.ac,
	data/license.text, data/readme.text, data/readme.windows,
	doc/latex/tex/seq66-user-manual.tex, include/cli/seq66-config.h,
	include/qt/portmidi/seq66-config.h, nsis/Seq66Setup.nsi,
	nsis/build_release_package.bat: Prep for work on version 0.99.17.

2024-12-03  ahlstrom <ahlstromcj@gmail.com>

	* ChangeLog, NEWS, RELNOTES: Release Notes for Seq66 v. 0.99.16
	2024-12-03 Fixes for NSM (session manager), build-file updates, and better PPQN
	and recording handling. A lot of little issues found and fixed, too.  - Fixed issue #128 with expanded recording not working. The
	  expansion is now continual, not waiting for a MIDI key to be struck.  - Merged a fix from a pull request (issue #130) to update the   "*.desktop" files.  - Fixed issue #131 re faulty NSM interactions introduced in version   0.99.11, plus other related issues:   - NSM (agordejo or nsm-legacy-gui) would show two clients:
	    "qseq66" and "seq66" when adding only the "qseq66" client.    - Saving via a remote NSM Save command or by the File / Save menu     would not clear the modified flag.    - Closing the session would not remove any external editor
	  windows.  - The main window now reflects the current record-loop style and   new-pattern option as read from the 'usr' file.  - Fixed the pattern editor so it reflects buss and channel settings   made from the grid slot popup menu.  - Fixed the display of tunes with various PPQNs such as 120 in the   pattern editor.  - Fixed zero-length notes caused by quantized recording.  - Some automation actions need to work whether the action is "on" or   "toggle". Fixed these 'ctrl' actions:   - Save session (under NSM) or the MIDI file.    - Record style select.    - Quit.  - Added "Clear events" to the grid slot popup menu.  - Enhancements to pattern-editor note copy/paste.  - Added 120 PPQN to the list of supported PPQNs.  - Fixed File / New plus File Save overwriting the previous loaded   file.  - The main window now reflects the current record-loop style and   new-pattern option as read from the 'usr' file. But note: - Renamed [new-pattern-editor] to [pattern-editor] in the 'usr'
	file.  - The Quantized Record button in the pattern editor steps through   None, Tighten, Quantize, Notemap, None.... Prettied-up the icons,   too.  - Added CONFIG\_DIR\_NAME and cleaned up configure.ac. This macro   differentiates between client name and config directory name.    Updated the Makefile sources. Do "./bootstrap --full-clean".  - Updated the PDF documentation re the Import/Export functionality   etc.  - Upgraded the color palette code.  - See NEWS and ChangeLog for full details.

2024-12-03  ahlstrom <ahlstromcj@gmail.com>

	* : Final document update.
	* TODO, doc/latex/tex/event_editor.tex,
	doc/latex/tex/live_grid.tex, doc/latex/tex/menu.tex,
	doc/latex/tex/pattern_editor.tex: More documentation updates.
	* aux-files/ltmain.sh, configure, contrib/scripts/compositor,
	contrib/scripts/jackctl, doc/latex/tex/menu.tex,
	include/config.h.in, seq_qt5/forms/qlfoframe.ui,
	seq_qt5/forms/qmutemaster.ui, seq_qt5/forms/qpatternfix.ui,
	seq_qt5/forms/qperfeditframe64.ui, seq_qt5/forms/qplaylistframe.ui,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/forms/qsetmaster.ui: Still
	more tweaks to scripts, the GUI, and docs.

2024-12-02  Chris <ahlstromcj@gmail.com>

	* NEWS, README.md, TODO, VERSION, configure.ac,
	contrib/scripts/compositor, data/license.text, data/readme.text,
	doc/latex/tex/configuration.tex, doc/latex/tex/first_start.tex,
	doc/latex/tex/live_grid.tex, doc/latex/tex/menu.tex,
	doc/latex/tex/pattern_editor.tex, doc/latex/tex/patterns_panel.tex,
	doc/latex/tex/seq66-user-manual.tex,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/forms/qseqeditframe64.ui,
	seq_qt5/src/qsmainwnd.cpp: Mostly caught up with documentation.
	* NEWS, RELNOTES, doc/latex/tex/menu.tex,
	doc/latex/tex/pattern_editor.tex,
	libseq66/include/cfg/configfile.hpp,
	libseq66/include/cfg/usrsettings.hpp,
	libseq66/src/cfg/configfile.cpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/cfg/usrfile.cpp, libseq66/src/cfg/usrsettings.cpp,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/include/qeditbase.hpp,
	seq_qt5/include/qperfroll.hpp, seq_qt5/include/qseditoptions.hpp,
	seq_qt5/include/qseqroll.hpp, seq_qt5/src/qeditbase.cpp,
	seq_qt5/src/qperfroll.cpp, seq_qt5/src/qperftime.cpp,
	seq_qt5/src/qseditoptions.cpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qseqroll.cpp, seq_qt5/src/qseqtime.cpp: Added options
	for progress-bar and grid-lines changes.

2024-12-01  ahlstrom <ahlstromcj@gmail.com>

	* NEWS, TODO, contrib/scripts/ystart,
	data/samples/monogreen.palette, libseq66/include/midi/event.hpp,
	libseq66/include/midi/eventlist.hpp,
	libseq66/include/util/palette.hpp, libseq66/src/midi/eventlist.cpp,
	libseq66/src/play/sequence.cpp,
	seq_qt5/include/gui_palette_qt5.hpp,
	seq_qt5/src/gui_palette_qt5.cpp, seq_qt5/src/qperfroll.cpp,
	seq_qt5/src/qperftime.cpp, seq_qt5/src/qseqdata.cpp,
	seq_qt5/src/qseqroll.cpp: Updated palette, ystart script, and song
	editor grid drawing.

2024-11-30  ahlstrom <ahlstromcj@gmail.com>

	* NEWS, TODO, VERSION, configure.ac, data/license.text,
	data/readme.text, data/readme.windows, include/config.h.in,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h, libseq66/src/cfg/settings.cpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/play/sequence.cpp,
	nsis/build_release_package.bat,
	seq_qt5/include/qseqeditframe64.hpp,
	seq_qt5/src/qseqeditframe64.cpp: Provisionally finished issue #128,
	updated version info.

2024-11-29  Chris <ahlstromcj@gmail.com>

	* NEWS, RELNOTES, TODO, data/samples/monogreen.qss,
	doc/latex/tex/configuration.tex, libseq66/src/play/performer.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/forms/qseqeditframe64.ui,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qslivegrid.cpp: Updated
	seqedit, might have Qt6 in it, and fixed bus/channel settings from
	live grid popup menu.
	* NEWS, TODO, libseq66/include/midi/eventlist.hpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/play/sequence.cpp: 
	Added zero-length note correction and check for note value when
	recording.

2024-11-27  Chris <ahlstromcj@gmail.com>

	* NEWS, TODO, libseq66/include/midi/eventlist.hpp,
	libseq66/src/midi/event.cpp, libseq66/src/midi/eventlist.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/src/qseventslots.cpp: Added
	provisional feature to streamline the recording and linking of new
	notes from a MIDI keyboard.
	* TODO, data/samples/monogreen.qss, doc/latex/tex/live_grid.tex,
	libseq66/src/midi/event.cpp, libseq66/src/midi/eventlist.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/forms/qsmainwnd.ui,
	seq_qt5/src/qseventslots.cpp: Undefined SEQ66_PRIORITIZE_NOTE_OFF to
	fix too-long note recording.

2024-11-26  Chris <ahlstromcj@gmail.com>

	* libseq66/src/play/sequence.cpp: Enabled handling expansion
	properly in sequence.
	* NEWS, RELNOTES, seq_qt5/include/qseqroll.hpp,
	seq_qt5/src/qseqroll.cpp: Paste-selection box works properly now.

2024-11-25  Chris <ahlstromcj@gmail.com>

	* NEWS, data/samples/monogreen.qss,
	libseq66/include/play/sequence.hpp, libseq66/include/util/rect.hpp,
	libseq66/src/play/sequence.cpp, libseq66/src/util/rect.cpp,
	seq_qt5/include/qseqroll.hpp, seq_qt5/src/qseqroll.cpp: Fixed bug
	that offset painted notes down 2 notes, still hacking at ghost notes
	when pasting.

2024-11-23  Chris <ahlstromcj@gmail.com>

	* INSTALL, TODO, bootstrap, data/samples/monogreen.qss,
	libseq66/include/midi/calculations.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/src/midi/calculations.cpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/include/qeditbase.hpp, seq_qt5/include/qseqroll.hpp,
	seq_qt5/src/qeditbase.cpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qseqroll.cpp: Tweaked monoscreen.qss, added snapped
	template function, fixed note-drawing of non-192 PPQN.

2024-11-20  Chris <ahlstromcj@gmail.com>

	* TODO, data/samples/monogreen.palette, data/samples/monogreen.qss,
	data/samples/perstfic-66.qss, libseq66/src/midi/eventlist.cpp,
	seq_qt5/src/qseqroll.cpp: Added monogreen palette/qss file pair.
	* TODO, data/samples/green.palette, data/samples/green.qss: Added a
	green palette and style sheet.

2024-11-19  Chris <ahlstromcj@gmail.com>

	* TODO, doc/latex/tex/patterns_panel.tex,
	libseq66/include/play/sequence.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/include/qseqtime.hpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qseqtime.cpp: Simplified the record-style handling, add
	END> to mark expanded recording.

2024-11-18  Chris <ahlstromcj@gmail.com>

	* TODO, doc/latex/tex/pattern_editor.tex,
	libseq66/include/play/sequence.hpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/src/qseqroll.cpp,
	seq_qt5/src/qseqtime.cpp: Added padding to seqroll when
	expand-recording.

2024-11-17  Chris <ahlstromcj@gmail.com>

	* NEWS, libseq66/include/play/performer.hpp,
	libseq66/include/play/screenset.hpp, libseq66/include/play/seq.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/include/play/setmapper.hpp,
	seq_qt5/include/qslivegrid.hpp, seq_qt5/src/qslivebase.cpp,
	seq_qt5/src/qslivegrid.cpp: Added better handling of empty patterns
	in sets.
	* NEWS, RELNOTES, TODO, libseq66/include/play/sequence.hpp,
	libseq66/src/play/sequence.cpp, seq_qt5/include/qperfnames.hpp,
	seq_qt5/include/qperftime.hpp, seq_qt5/include/qseqeditframe64.hpp,
	seq_qt5/include/qseqkeys.hpp, seq_qt5/include/qseqroll.hpp,
	seq_qt5/include/qseqtime.hpp, seq_qt5/include/qslivebase.hpp,
	seq_qt5/include/qslivegrid.hpp, seq_qt5/include/qsmaintime.hpp,
	seq_qt5/src/qloopbutton.cpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqroll.cpp,
	seq_qt5/src/qseqtime.cpp, seq_qt5/src/qslivebase.cpp,
	seq_qt5/src/qslivegrid.cpp: More progress on expand-recording, issue
	#128.

2024-11-15  ahlstrom <ahlstromcj@gmail.com>

	* TODO, doc/latex/tex/pattern_editor.tex,
	resources/pixmaps/length_red.xpm,
	resources/pixmaps/length_short.xpm,
	seq_qt5/forms/qseqeditframe64.ui, seq_qt5/src/qseqeditframe64.cpp: 
	Cleanup in pattern editor, added red length icon.

2024-11-14  Chris <ahlstromcj@gmail.com>

	* NEWS, RELNOTES, TODO, contrib/tests/4x4/qseq66.usr,
	data/linux/qseq66.usr, data/samples/sample.usr,
	data/seq66cli/seq66cli.usr, data/win/qpseq66.usr,
	doc/latex/tex/alsa.tex, doc/latex/tex/configuration.tex,
	doc/latex/tex/pattern_editor.tex, doc/latex/tex/song_editor.tex,
	libseq66/include/cfg/usrsettings.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp, libseq66/src/cfg/usrfile.cpp,
	libseq66/src/cfg/usrsettings.cpp, libseq66/src/play/metro.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	resources/pixmaps/n_rec_on.xpm, resources/pixmaps/q_rec.xpm,
	resources/pixmaps/q_rec_on.xpm, resources/pixmaps/t_rec_on.xpm,
	seq_qt5/include/qseditoptions.hpp,
	seq_qt5/include/qseqeditframe64.hpp,
	seq_qt5/include/qslivegrid.hpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qslivegrid.cpp: Close
	to finishing off issue #128, expand-record.

2024-11-11  Chris <ahlstromcj@gmail.com>

	* libseq66/include/cfg/usrsettings.hpp,
	libseq66/include/midi/eventlist.hpp,
	libseq66/include/play/performer.hpp, libseq66/src/cfg/usrfile.cpp,
	libseq66/src/cfg/usrsettings.cpp, libseq66/src/midi/eventlist.cpp,
	libseq66/src/play/metro.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/include/qseditoptions.hpp, seq_qt5/include/qseqroll.hpp,
	seq_qt5/include/qslivegrid.hpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqroll.cpp,
	seq_qt5/src/qslivegrid.cpp: Removing redundant grid-record-style
	code.

2024-11-10  Chris <ahlstromcj@gmail.com>

	* TODO, doc/latex/tex/pattern_editor.tex,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/play/performer.cpp, resources/pixmaps/exp_rec_on.xpm,
	seq_qt5/include/qseqtime.hpp, seq_qt5/src/qloopbutton.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqtime.cpp,
	seq_qt5/src/qslivegrid.cpp: Still working on issue #128, many
	problems uncovered.
	* NEWS, RELNOTES, TODO, contrib/scripts/jackctl,
	doc/latex/tex/configuration.tex, libseq66/src/cfg/usrfile.cpp,
	seq_qt5/src/qslivegrid.cpp, seq_qt5/src/qsmainwnd.cpp: The main
	window now shows the record mode/style settings fread from 'usr'.

2024-11-08  Chris <ahlstromcj@gmail.com>

	* NEWS, README.md, RELNOTES, TODO, doc/latex/tex/configuration.tex,
	libseq66/src/ctrl/automation.cpp, libseq66/src/os/daemonize.cpp,
	libseq66/src/play/performer.cpp, seq_qt5/src/qsmainwnd.cpp: Fixes
	for using a control keystroke to Save.

2024-11-07  Chris <ahlstromcj@gmail.com>

	* NEWS, libseq66/src/sessions/smanager.cpp,
	seq_qt5/include/qsmainwnd.hpp, seq_qt5/include/qt5nsmanager.hpp,
	seq_qt5/src/qsmainwnd.cpp, seq_qt5/src/qt5nsmanager.cpp: More
	follow-up fixes for issue #131.
	* : commit fbe4d2fdf5b690a4b1f4b19a97528f139ac07b0b Merge: e529bf65
	9ac12b15 Author: C. Ahlstrom <ahlstromcj@gmail.com> Date:   Thu Nov
	7 11:42:15 2024 -0500
	* Seq66qt5/seq66qt5.cpp, libseq66/include/seq66_features.hpp,
	libseq66/src/os/daemonize.cpp,
	libseq66/src/sessions/clinsmanager.cpp,
	libseq66/src/sessions/smanager.cpp, libsessions/src/nsm/nsmbase.cpp: 
	Cleanup for issue #131.

2024-11-06  Chris <ahlstromcj@gmail.com>

	* Seq66qt5/seq66qt5.cpp, libseq66/include/seq66_features.hpp,
	libseq66/include/sessions/clinsmanager.hpp,
	libseq66/include/sessions/smanager.hpp,
	libseq66/src/sessions/clinsmanager.cpp,
	libseq66/src/sessions/smanager.cpp,
	libsessions/src/nsm/nsmbase.cpp, seq_qt5/include/qt5nsmanager.hpp,
	seq_qt5/src/qt5nsmanager.cpp: Safety check-in for issue #131 fix.
	* Makefile.in, Seq66cli/Makefile.in, Seq66qt5/Makefile.in,
	Seq66qt5/seq66qt5.cpp, aux-files/compile, aux-files/depcomp,
	aux-files/ltmain.sh, aux-files/missing, configure,
	contrib/non/nsm_tendrils.txt, data/Makefile.in, doc/Makefile.in,
	doc/latex/Makefile.in, doc/latex/tex/Makefile.in,
	libseq66/Makefile.in, libseq66/include/Makefile.in,
	libseq66/include/seq66_features.hpp,
	libseq66/include/sessions/smanager.hpp, libseq66/src/Makefile.in,
	libseq66/src/os/daemonize.cpp,
	libseq66/src/sessions/clinsmanager.cpp,
	libseq66/src/sessions/smanager.cpp, libsessions/Makefile.in,
	libsessions/include/Makefile.in,
	libsessions/include/nsm/nsmbase.hpp, libsessions/src/Makefile.in,
	libsessions/src/nsm/nsmbase.cpp, m4/Makefile.in, man/Makefile.in,
	resources/pixmaps/Makefile.in, seq_portmidi/Makefile.in,
	seq_portmidi/include/Makefile.in, seq_portmidi/src/Makefile.in,
	seq_qt5/Makefile.in, seq_qt5/forms/Makefile.in,
	seq_qt5/include/Makefile.in, seq_qt5/src/Makefile.in,
	seq_rtmidi/Makefile.in, seq_rtmidi/include/Makefile.in,
	seq_rtmidi/src/Makefile.in: NSM troubleshooting and more modern
	makefiles.

2024-11-04  Chris <ahlstromcj@gmail.com>

	* INSTALL, Makefile.in, NEWS, Seq66cli/Makefile.in,
	Seq66qt5/Makefile.in, aux-files/ltmain.sh, configure, configure.ac,
	data/Makefile.in, doc/Makefile.in, doc/latex/Makefile.in,
	doc/latex/tex/Makefile.in, include/cli/seq66-config.h,
	include/config.h.in, include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h, libseq66/Makefile.in,
	libseq66/include/Makefile.in, libseq66/include/seq66_features.hpp,
	libseq66/src/Makefile.in, libseq66/src/cfg/rcsettings.cpp,
	libseq66/src/seq66_features.cpp, libsessions/Makefile.in,
	libsessions/include/Makefile.in, libsessions/src/Makefile.in,
	m4/Makefile.in, man/Makefile.in, resources/pixmaps/Makefile.in,
	seq_portmidi/Makefile.in, seq_portmidi/include/Makefile.in,
	seq_portmidi/src/Makefile.in, seq_qt5/Makefile.in,
	seq_qt5/forms/Makefile.in, seq_qt5/include/Makefile.in,
	seq_qt5/src/Makefile.in, seq_rtmidi/Makefile.in,
	seq_rtmidi/include/Makefile.in, seq_rtmidi/src/Makefile.in: 
	Differentiate client name from configuration directory name.

2024-11-03  g <user@email.example>

	* data/share/applications/seq66.desktop,
	distros/debian/seq66.desktop: seq66.desktop: fix typo; add
	X-NSM-Exec=qseq66

2024-11-02  ahlstrom <ahlstromcj@gmail.com>

	* NEWS, RELNOTES, TODO, libseq66/src/midi/calculations.cpp,
	seq_qt5/src/qseqtime.cpp, seq_qt5/src/qsmainwnd.cpp: Fixed PPQN
	handling.

2024-11-01  Chris <ahlstromcj@gmail.com>

	* libseq66/include/cfg/settings.hpp, libseq66/src/cfg/settings.cpp,
	libseq66/src/midi/calculations.cpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qsmainwnd.cpp: More tinkering with handling various
	PPQNs.

2024-10-31  Chris <ahlstromcj@gmail.com>

	* NEWS, TODO, contrib/DIR_COLORS, doc/latex/tex/configuration.tex,
	doc/latex/tex/menu.tex, doc/latex/tex/midi_export.tex,
	doc/latex/tex/seq66-user-manual.tex, doc/latex/tex/sessions.tex,
	libseq66/src/cfg/settings.cpp, seq_qt5/src/qseqtime.cpp: 
	Import/Export documentation, tinkering with drawing code for 120
	PPQN.

2024-10-29  Chris <ahlstromcj@gmail.com>

	* Makefile.in, Seq66cli/Makefile.in, Seq66qt5/Makefile.in,
	configure, data/Makefile.in, doc/Makefile.in,
	doc/latex/Makefile.in, doc/latex/tex/Makefile.in,
	include/config.h.in, libseq66/Makefile.in,
	libseq66/include/Makefile.in, libseq66/src/Makefile.in,
	libsessions/Makefile.in, libsessions/include/Makefile.in,
	libsessions/src/Makefile.in, m4/Makefile.in, man/Makefile.in,
	resources/pixmaps/Makefile.in, seq_portmidi/Makefile.in,
	seq_portmidi/include/Makefile.in, seq_portmidi/src/Makefile.in,
	seq_qt5/Makefile.in, seq_qt5/forms/Makefile.in,
	seq_qt5/include/Makefile.in, seq_qt5/src/Makefile.in,
	seq_rtmidi/Makefile.in, seq_rtmidi/include/Makefile.in,
	seq_rtmidi/src/Makefile.in: Updated Makefile.in etc for 0.99.16.

2024-10-29  ahlstrom <ahlstromcj@gmail.com>

	* NEWS, README.md, RELNOTES, VERSION, configure.ac,
	doc/latex/tex/seq66-user-manual.tex,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h, nsis/Seq66Constants.nsh,
	nsis/Seq66Setup.nsi, nsis/build_release_package.bat: Version bump
	for 0.99.16.

2024-10-28  Chris <ahlstromcj@gmail.com>

	* ChangeLog: Version 0.99.15 pending.
	* configure.ac, m4/ax_have_qt.m4, nsis/build_release_package.bat: 
	Still working on MSYS2 build, conflicting Qt locations between Win
	Qt install and Msys2 Qt install.

2024-10-27  ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, bootstrap, libseq66/include/play/performer.hpp,
	libseq66/src/play/performer.cpp: Fixed modify flag when loading MIDI
	file with sequence having an input buss specified.
	* NEWS, README.md, TODO, VERSION, bootstrap, configure.ac,
	data/share/doc/tutorial/introduction.html,
	doc/latex/tex/configuration.tex, doc/latex/tex/patterns_panel.tex,
	doc/latex/tex/recording.tex, doc/latex/tex/seq66-user-manual.tex,
	include/config.h.in, seq_qt5/src/qslivegrid.cpp: Moving pending new
	work to non-master branch for safety.

2024-10-25  Chris Ahlstrom <ahlstromcj@gmail.com>

	* INSTALL, bootstrap, contrib/notes/msys2-packages.text: More work
	on getting MSYS2 build to work.
	* nsis/build_release_package.bat: Tweaking errorlevel checks in
	Windows batch build.

2024-10-23  ahlstromcj <ahlstromcj@gmail.com>

	* nsis/build_release_package.bat: Got Windows batch file mostly
	working.
	* data/readme.text, data/readme.windows, nsis/README,
	nsis/Seq66Constants.nsh, nsis/Seq66Setup.nsi,
	nsis/build_release_package.bat: Setting up for Windows 11 test.

2024-10-21  Chris <ahlstromcj@gmail.com>

	* : Merge conflict fixed.

2024-10-19  ahlstrom <ahlstromcj@gmail.com>

	* Makefile.in, NEWS, RELNOTES, Seq66cli/Makefile.in,
	Seq66qt5/Makefile.in, TODO, VERSION, aux-files/compile,
	aux-files/depcomp, aux-files/ltmain.sh, aux-files/missing,
	configure, configure.ac, data/Makefile.in, doc/Makefile.in,
	doc/latex/Makefile.in, doc/latex/tex/Makefile.in,
	include/cli/seq66-config.h, include/config.h.in,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h, libseq66/Makefile.in,
	libseq66/include/Makefile.in,
	libseq66/include/seq66_platform_macros.h, libseq66/src/Makefile.in,
	libsessions/Makefile.in, libsessions/include/Makefile.in,
	libsessions/src/Makefile.in, m4/Makefile.in, man/Makefile.in,
	resources/pixmaps/Makefile.in, seq_portmidi/Makefile.in,
	seq_portmidi/include/Makefile.in, seq_portmidi/src/Makefile.in,
	seq_qt5/Makefile.in, seq_qt5/forms/Makefile.in,
	seq_qt5/include/Makefile.in, seq_qt5/src/Makefile.in,
	seq_qt5/src/qsabout.cpp, seq_rtmidi/Makefile.in,
	seq_rtmidi/include/Makefile.in, seq_rtmidi/src/Makefile.in: 
	Rearranged configure.ac to avoid enabling JACK and liblo (NSM) if
	not installed.
	* configure.ac, contrib/scripts/qbuildwin.sh: Tweaking to try to get
	an msys2 build.

2024-10-16  Chris <ahlstromcj@gmail.com>

	* doc/latex/tex/menu.tex, doc/latex/tex/palettes.tex,
	seq_qt5/forms/qseditoptions.ui: Completely updated the Edit /
	Preference screenshots.

2024-10-15  Chris <ahlstromcj@gmail.com>

	* NEWS, TODO, contrib/gdb/cgdbrc, contrib/gdb/dot-gdbinit,
	doc/latex/tex/menu.tex, doc/latex/tex/palettes.tex,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/include/qseditoptions.hpp,
	seq_qt5/include/qt5_helpers.hpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qt5_helpers.cpp: Added browser/pdf settings buttons,
	fixed more GUI ugliness.

2024-10-14  Chris <ahlstromcj@gmail.com>

	* NEWS, README.md, RELNOTES, TODO, contrib/DIR_COLORS,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/forms/qsetmaster.ui,
	seq_qt5/include/qseditoptions.hpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qsmainwnd.cpp, seq_qt5/src/qt5_helpers.cpp: Added a
	Preference / Session setting to specify / select the browser and PDF
	viewer for Help.

2024-10-13  Chris <ahlstromcj@gmail.com>

	* Makefile.in, Seq66cli/Makefile.in, Seq66qt5/Makefile.in, TODO,
	aux-files/compile, aux-files/depcomp, aux-files/ltmain.sh,
	aux-files/missing, configure, data/Makefile.in, doc/Makefile.in,
	doc/latex/Makefile.in, doc/latex/tex/Makefile.in,
	doc/latex/tex/kbd_mouse.tex, doc/latex/tex/midi_formats.tex,
	doc/latex/tex/pattern_editor.tex, include/config.h.in,
	libseq66/Makefile.in, libseq66/include/Makefile.in,
	libseq66/src/Makefile.in, libsessions/Makefile.in,
	libsessions/include/Makefile.in, libsessions/src/Makefile.in,
	m4/Makefile.in, man/Makefile.in, resources/pixmaps/Makefile.in,
	seq_portmidi/Makefile.in, seq_portmidi/include/Makefile.in,
	seq_portmidi/src/Makefile.in, seq_qt5/Makefile.in,
	seq_qt5/forms/Makefile.in, seq_qt5/forms/qliveframeex.ui,
	seq_qt5/forms/qmutemaster.ui, seq_qt5/forms/qplaylistframe.ui,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/forms/qsessionframe.ui,
	seq_qt5/forms/qslivegrid.ui, seq_qt5/forms/qsmainwnd.ui,
	seq_qt5/include/Makefile.in, seq_qt5/src/Makefile.in,
	seq_rtmidi/Makefile.in, seq_rtmidi/include/Makefile.in,
	seq_rtmidi/src/Makefile.in: New makefiles, and documentation/GUI
	updates.

2024-09-28  ahlstrom <ahlstromcj@gmail.com>

	* NEWS, README.md, RELNOTES, TODO, VERSION, configure.ac,
	data/license.text, data/readme.text, data/readme.windows,
	doc/latex/tex/seq66-user-manual.tex,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h, libseq66/include/cfg/zoomer.hpp,
	nsis/Seq66Constants.nsh, nsis/Seq66Setup.nsi,
	nsis/build_release_package.bat: Prep for 0.99.15 wip.

2024-08-24  Chris Ahlstrom <ahlstromcj@gmail.com>

	* nsis/Seq66Constants.nsh, nsis/Seq66Setup.nsi,
	nsis/build_release_package.bat: Updated Windows build files.

2024-08-24  Chris Ahlstrom <ahlstromcj@gmail.com>

	* ChangeLog, NEWS, README.md, RELNOTES, ROADMAP.md, TODO,
	data/license.text, data/readme.text, data/readme.windows,
	doc/latex/tex/pattern_editor.tex, doc/latex/tex/recording.tex,
	libseq66/src/util/filefunctions.cpp, seq_qt5/forms/qsessionframe.ui: 
	Prepping for v. 0.99.14.

2024-08-22  Chris Ahlstrom <ahlstromcj@gmail.com>

	* NEWS, TODO, libseq66/src/midi/event.cpp: Changed event::get_rank()
	to give Note Offs a higher priority to fix potential playback
	issues.
	* doc/latex/tex/pattern_editor.tex, seq_qt5/include/qseqroll.hpp,
	seq_qt5/src/qseqroll.cpp: Add palette coloring to note tooltips.

2024-08-21  Chris Ahlstrom <ahlstromcj@gmail.com>

	* NEWS, TODO, libseq66/include/play/sequence.hpp,
	libseq66/src/play/sequence.cpp, seq_qt5/forms/qseqeditframe64.ui,
	seq_qt5/include/qseqeditframe64.hpp, seq_qt5/include/qseqroll.hpp,
	seq_qt5/include/qt5_helpers.hpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qseqroll.cpp, seq_qt5/src/qt5_helpers.cpp: Added
	note-info tooltips.

2024-08-18  Chris Ahlstrom <ahlstromcj@gmail.com>

	* NEWS, doc/latex/tex/live_grid.tex,
	doc/latex/tex/pattern_editor.tex, doc/latex/tex/patterns_panel.tex,
	doc/latex/tex/recording.tex, doc/latex/tex/song_editor.tex,
	libseq66/src/play/performer.cpp, seq_qt5/src/qslivegrid.cpp,
	seq_qt5/src/qsmainwnd.cpp: Tightened record-button handling in
	live-grid.

2024-08-17  Chris Ahlstrom <ahlstromcj@gmail.com>

	* : commit a5e0dd7193e37e0625c7237a75f054fda47b510e Author: Chris
	Ahlstrom <ahlstromcj@gmail.com> Date:   Sat Aug 17 08:57:52 2024
	-0400

2024-08-16  ahlstrom <ahlstromcj@gmail.com>

	* TODO, libseq66/src/midi/mastermidibase.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/include/qt5_helpers.hpp,
	seq_qt5/src/qseqeditframe64.cpp: Provisional fix to issue #129 where
	quantization will not set if recording is already set.

2024-08-15  Chris Ahlstrom <ahlstromcj@gmail.com>

	* NEWS, doc/latex/tex/pattern_editor.tex,
	libseq66/include/cfg/usrsettings.hpp,
	libseq66/src/cfg/settings.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/include/qslivegrid.hpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qslivegrid.cpp: Interim
	check-in issue #128, one-shot reset.

2024-08-08  ahlstrom <ahlstromcj@gmail.com>

	* NEWS, libseq66/src/cfg/cmdlineopts.cpp,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/include/qseditoptions.hpp,
	seq_qt5/src/qloopbutton.cpp, seq_qt5/src/qseditoptions.cpp: Upgraded
	support for elliptical progress boxes.

2024-08-07  Chris Ahlstrom <ahlstromcj@gmail.com>

	* Makefile.in, Seq66cli/Makefile.in, Seq66qt5/Makefile.in,
	Seq66qt5/Seq66qt5.pro, configure, data/Makefile.in,
	doc/Makefile.in, doc/latex/Makefile.in, doc/latex/tex/Makefile.in,
	include/config.h.in, libseq66/Makefile.in,
	libseq66/include/Makefile.in, libseq66/src/Makefile.in,
	libsessions/Makefile.in, libsessions/include/Makefile.in,
	libsessions/src/Makefile.in, m4/Makefile.in, man/Makefile.in,
	resources/pixmaps/Makefile.in, seq_portmidi/Makefile.in,
	seq_portmidi/include/Makefile.in, seq_portmidi/src/Makefile.in,
	seq_qt5/Makefile.in, seq_qt5/forms/Makefile.in,
	seq_qt5/include/Makefile.in, seq_qt5/src/Makefile.in,
	seq_rtmidi/Makefile.in, seq_rtmidi/include/Makefile.in,
	seq_rtmidi/src/Makefile.in: Makefiles for v. 0.99.14.
	* TODO, doc/latex/tex/configuration.tex,
	doc/latex/tex/live_grid.tex, doc/latex/tex/menu.tex,
	libseq66/include/midi/calculations.hpp,
	libseq66/src/midi/businfo.cpp, libseq66/src/midi/calculations.cpp,
	libseq66/src/midi/mastermidibase.cpp, libseq66/src/play/metro.cpp,
	seq_qt5/src/qseqroll.cpp: Fixes and documentation concerning PPQN.

2024-08-06  Chris Ahlstrom <ahlstromcj@gmail.com>

	* NEWS, TODO, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/include/qperfeditframe64.hpp,
	seq_qt5/include/qseqeditframe64.hpp, seq_qt5/src/qperfroll.cpp: Add
	Esc-exit to external song editor.
	* NEWS, TODO, doc/latex/tex/pattern_editor.tex,
	libseq66/include/cfg/zoomer.hpp, libseq66/src/cfg/cmdlineopts.cpp,
	libseq66/src/cfg/zoomer.cpp, seq_qt5/forms/qseditoptions.ui: Fixed
	naughty compiler warning in zoomer class.

2024-08-05  Chris Ahlstrom <ahlstromcj@gmail.com>

	* NEWS, README.md, RELNOTES, TODO, VERSION, configure.ac,
	doc/latex/tex/seq66-user-manual.tex,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h: Version bump in portfix to
	0.99.14.
	* ChangeLog, Makefile.in, RELNOTES, Seq66cli/Makefile.in,
	Seq66qt5/Makefile.in, configure, configure.ac,
	contrib/scripts/{qbuild => qbuild-bash}, contrib/scripts/qbuild.sh,
	data/Makefile.in, doc/Makefile.in, doc/latex/Makefile.in,
	doc/latex/tex/Makefile.in, doc/latex/tex/seq66-user-manual.tex,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h, libseq66/Makefile.in,
	libseq66/include/Makefile.in, libseq66/src/Makefile.in,
	libsessions/Makefile.in, libsessions/include/Makefile.in,
	libsessions/src/Makefile.in, m4/Makefile.in, man/Makefile.in,
	resources/pixmaps/Makefile.in, seq_portmidi/Makefile.in,
	seq_portmidi/include/Makefile.in, seq_portmidi/src/Makefile.in,
	seq_qt5/Makefile.in, seq_qt5/forms/Makefile.in,
	seq_qt5/include/Makefile.in, seq_qt5/src/Makefile.in,
	seq_rtmidi/Makefile.in, seq_rtmidi/include/Makefile.in,
	seq_rtmidi/src/Makefile.in: Release Notes for Seq66 v. 0.99.13
	2024-08-05 -   Added a 'usr' option for elliptical progress boxes.  -   Fixed the writing and byte-counting of the end-of track event.  -   Updated the licensing files for GitHub detectability.  -   See NEWS and ChangeLog for more details. This is an     quick-release since other projects have taken our time.
	* NEWS, README.md, RELNOTES: News updates.

2024-06-06  Chris Ahlstrom <ahlstromcj@gmail.com>

	* LICENSE.LGPL: Dang forgot the LGPL license.
	* GPL.txt, LGPL.txt, LICENSE, FDL.txt => LICENSE.FDL, NEWS,
	README.md, RELNOTES: More upgrading of the licensing files.
	* LICENSE.GPL, doc/latex/tex/alsa.tex,
	libseq66/include/midi/midibase.hpp, libseq66/src/cfg/rcfile.cpp,
	seq_rtmidi/src/mastermidibus.cpp, seq_rtmidi/src/midi_alsa.cpp: 
	Fixed build issue, added LICENSE.GPL.
	* TODO, doc/latex/tex/configuration.tex,
	libseq66/src/play/performer.cpp, seq_rtmidi/src/mastermidibus.cpp,
	seq_rtmidi/src/midi_alsa.cpp: Documenting virtual ports and
	port-mapping better.
	* TODO, doc/latex/tex/configuration.tex,
	libseq66/src/cfg/rcfile.cpp, libseq66/src/cfg/usrfile.cpp,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/src/qclocklayout.cpp: Tweaks
	to make it obvious about port-mapping/naming.

2024-06-04  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, libseq66/include/midi/midibase.hpp,
	libseq66/src/midi/midibase.cpp, seq_rtmidi/src/mastermidibus.cpp: 
	Beefed up verbose port display, should remove client_id() as
	bus_id() is right.

2024-05-25  ahlstrom <ahlstromcj@gmail.com>

	* : Updated the simpleblast MIDI files.

2024-05-22  Chris Ahlstrom <ahlstromcj@gmail.com>

	* NEWS, TODO, libseq66/src/play/sequence.cpp: Fixed some data/midi
	files, added check to output sysex, in progress.
	* NEWS, doc/latex/tex/midi_formats.tex,
	libseq66/src/cfg/rcfile.cpp, libseq66/src/midi/midifile.cpp: Added
	handling of Seq66 SeqSpec track when another app saved it as a
	counted track.

2024-05-21  Chris Ahlstrom <ahlstromcj@gmail.com>

	* : Added special test file 1Bar_2_tracks.midi.

2024-05-20  Chris Ahlstrom <ahlstromcj@gmail.com>

	* NEWS, README.md, RELNOTES,
	libseq66/include/midi/midi_vector_base.hpp,
	libseq66/include/midi/midifile.hpp: Fixed track-length calculation,
	updated Kraftwerk tune.
	* libseq66/include/midi/midifile.hpp,
	libseq66/src/midi/midifile.cpp, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/src/qseditoptions.cpp: Fixed tempo-track change
	notification, fixed 1Bar tune.
	* libseq66/src/midi/midifile.cpp, seq_qt5/forms/qseditoptions.ui: 
	Tentative fix of error writing SeqSpec end-of-track.

2024-05-16  ahlstrom <ahlstromcj@gmail.com>

	* : Updated 1Bar.midi file.

2024-05-03  Chris Ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/play/performer.hpp: Interim.

2024-04-29  ahlstrom <ahlstromcj@gmail.com>

	* Seq66cli/Seq66cli.pro, Seq66qt5/Seq66qt5.pro, TODO: Adding qmake
	install support in progress.

2024-04-26  Chris Ahlstrom <ahlstromcj@gmail.com>

	* contrib/notes/freebsd.text, doc/latex/tex/references.tex: 
	Documentation updates.

2024-03-24  ahlstrom <ahlstromcj@gmail.com>

	* contrib/DIR_COLORS, contrib/vim-syntax/cpp.vim: More etc and vim
	coloring updates.

2024-03-23  ahlstrom <ahlstromcj@gmail.com>

	* contrib/vim-syntax/c.vim: Added word and byte to c.vim.

2024-03-18  Chris Ahlstrom <ahlstromcj@gmail.com>

	* configure, contrib/DIR_COLORS, include/config.h.in: Minor
	configure and DIR_COLORS update.

2024-03-12  ahlstrom <ahlstromcj@gmail.com>

	* configure.ac, libseq66/src/util/filefunctions.cpp,
	libsessions/include/nsm/nsmbase.hpp,
	libsessions/src/nsm/nsmbase.cpp: Fixed liblo warnings, clang 17
	errors/warnings.

2024-03-11  ahlstrom <ahlstromcj@gmail.com>

	* libsessions/src/nsm/nsmbase.cpp: Fixed OSC liblo call error in
	Arch Linux, needs testing.
	* libseq66/include/seq66_platform_macros.h: Fixed
	SEQ66_PLATFORM_DEBUG definition.

2024-03-05  Chris Ahlstrom <ahlstromcj@gmail.com>

	* contrib/vim-syntax/c.vim, contrib/vim-syntax/cpp.vim,
	contrib/vim-syntax/syncolor.vim: Updated cpp.vim and added
	syncolor.vim.

2024-03-03  Chris Ahlstrom <ahlstromcj@gmail.com>

	* contrib/vim-syntax/cpp.vim: cpp.vim and git.odt changes.

2024-02-23  ahlstrom <ahlstromcj@gmail.com>

	* NEWS, README.md, RELNOTES, VERSION,
	doc/latex/tex/configuration.tex, libseq66/src/cfg/usrfile.cpp,
	seq_qt5/src/palettefile.cpp, seq_qt5/src/qloopbutton.cpp: Refined
	and documented elliptical progress box.

2024-02-22  ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/cfg/usrsettings.hpp,
	libseq66/src/cfg/usrfile.cpp, libseq66/src/cfg/usrsettings.cpp,
	seq_qt5/src/qloopbutton.cpp: Added progress-box-elliptical option.
	* TODO, contrib/vim-syntax/c.vim, contrib/vim-syntax/cpp.vim: Added
	keywords to C/C++ Vim syntax.

2024-01-17  ahlstrom <ahlstromcj@gmail.com>

	* LICENSE, TODO, data/license.text, distros/debian/copyright,
	libseq66/include/os/daemonize.hpp, libseq66/include/os/timing.hpp,
	libseq66/include/seq66_platform_macros.h,
	libseq66/include/util/condition.hpp,
	libseq66/include/util/recmutex.hpp, libseq66/src/midi/event.cpp,
	libseq66/src/os/daemonize.cpp, libseq66/src/util/condition.cpp,
	libseq66/src/util/recmutex.cpp: Backporting some clang-related
	fixes.

2024-01-14  ahlstrom <ahlstromcj@gmail.com>

	* README.md, RELNOTES, VERSION, configure.ac,
	contrib/notes/freebsd.text, include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h,
	seq_rtmidi/include/rtmidi_types.hpp, seq_rtmidi/src/midi_jack.cpp: 
	Version bump and additional freebsd notes.

2024-01-13  Chris Ahlstrom <ahlstromcj@gmail.com>

	* configure, configure.ac, include/config.h.in,
	libseq66/include/seq66_platform_macros.h,
	libseq66/src/util/filefunctions.cpp, m4/ax_have_qt_clang.m4,
	seq_portmidi/src/ptlinux.c: More clang-related work and configure
	updates.
	* INSTALL, NEWS, README.md, RELNOTES, TODO, autogen.sh, bootstrap,
	configure.ac, contrib/notes/freebsd.text: Added autogen.sh and
	freebsd notes.

2024-01-10  Chris Ahlstrom <ahlstromcj@gmail.com>

	* INSTALL, TODO, data/license.text, data/readme.text,
	data/readme.windows, libseq66/src/seq66_features.cpp,
	nsis/Seq66Constants.nsh, nsis/Seq66Setup.nsi,
	nsis/build_release_package.bat, seq_rtmidi/include/rtmidi.hpp,
	seq_rtmidi/include/seq66_rtmidi_features.h,
	seq_rtmidi/src/rtmidi.cpp, seq_rtmidi/src/rtmidi_info.cpp: Date
	bumps and updates for FreeBSD, in progress.

2024-01-09  ahlstrom <ahlstromcj@gmail.com>

	* RELNOTES, TODO, doc/latex/tex/defaultkeys.tex,
	doc/latex/tex/patterns_panel.tex,
	libseq66/src/ctrl/keycontainer.cpp,
	seq_qt5/include/qt5_helpers.hpp, seq_qt5/src/qslivegrid.cpp,
	seq_qt5/src/qsmainwnd.cpp, seq_qt5/src/qt5_helpers.cpp: Disabled
	Solo dropdown entry, changed Solo key default.

2024-01-07  Chris Ahlstrom <ahlstromcj@gmail.com>

	* seq_portmidi/seq_portmidi.pro, seq_portmidi/src/Makefile.am,
	seq_portmidi/src/Makefile.in: Disabled gcc warning about function
	cast in portmidi code.

2024-01-06  ahlstrom <ahlstromcj@gmail.com>

	* seq_portmidi/include/pminternal.h, seq_portmidi/src/portmidi.c: 
	Added notes about gcc warning for cast of Pt_Timer() function.

2024-01-05  ahlstrom <ahlstromcj@gmail.com>

	* seq_portmidi/include/portmidi.h, seq_portmidi/include/porttime.h,
	seq_portmidi/src/pmlinuxalsa.c, seq_portmidi/src/ptlinux.c,
	seq_portmidi/src/ptmacosx_cf.c, seq_portmidi/src/ptmacosx_mach.c,
	seq_portmidi/src/ptwinmm.c: Fixed some errors and warning in
	portmidi under clang.
	* Makefile.in: Makefile.in redux.

2024-01-04  Chris Ahlstrom <ahlstromcj@gmail.com>

	* Makefile.in: Solo makefile.
	* doc/latex/tex/patterns_panel.tex,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp: The
	ctrlstatus operations now work, at last.

2024-01-03  ahlstrom <ahlstromcj@gmail.com>

	* contrib/code/ring_buffer.hpp,
	libseq66/include/ctrl/automation.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/ctrl/automation.cpp,
	libseq66/src/ctrl/keycontainer.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/src/qseditoptions.cpp, seq_qt5/src/qseqroll.cpp: Still more
	tweaking of replace/solo/queue/keep-queue mode.

2024-01-02  Chris Ahlstrom <ahlstromcj@gmail.com>

	* contrib/tests/4x4/qseq66-lp-mini-4x4.ctrl,
	contrib/tests/4x4/qseq66.ctrl, data/linux/qseq66-lp-mini-8x8.ctrl,
	data/linux/qseq66-lp-mini-alt.ctrl,
	data/linux/qseq66-lp-mini-swapped.ctrl,
	data/linux/qseq66-lp-mini.ctrl, data/linux/qseq66-swapped.ctrl,
	data/linux/qseq66.ctrl, data/samples/nanomap.ctrl,
	data/seq66cli/seq66cli.ctrl, data/win/qpseq66.ctrl,
	doc/latex/tex/patterns_panel.tex, include/config.h.in,
	libseq66/include/ctrl/midicontrolin.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/forms/qslivegrid.ui, seq_qt5/include/Makefile.in: More work
	on solo, ctrl keystrokes.

2023-12-30  ahlstrom <ahlstromcj@gmail.com>

	* VERSION, configure.ac, include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h,
	libseq66/include/play/performer.hpp,
	libseq66/src/cfg/midicontrolfile.cpp,
	libseq66/src/ctrl/midicontrolin.cpp,
	libseq66/src/play/performer.cpp, seq_qt5/forms/qslivegrid.ui,
	seq_qt5/src/qslivegrid.cpp: Solo is queued-replace, ctrl statuses
	displayed in main window.

2023-12-29  Chris Ahlstrom <ahlstromcj@gmail.com>

	* RELNOTES, TODO, contrib/midi/README,
	libseq66/src/midi/editable_event.cpp,
	libseq66/src/midi/midifile.cpp, libseq66/src/play/performer.cpp,
	seq_qt5/src/qseventslots.cpp: Updated sysex/text display and MIDI
	file error messages.

2023-12-28  Chris Ahlstrom <ahlstromcj@gmail.com>

	* RELNOTES, TODO, libseq66/include/ctrl/automation.hpp,
	libseq66/src/play/performer.cpp: Fixed bug in keep-queue, tightening
	related code.

2023-12-26  ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp: 
	Interim check-in against new solo branch.

2023-12-24  ahlstrom <ahlstromcj@gmail.com>

	* INSTALL, RELNOTES, TODO, contrib/scripts/qbuild,
	contrib/scripts/qbuild.sh, libseq66/src/play/performer.cpp,
	seq_portmidi/src/portmidi.c: Fixed portmidi.c buffer overflow.

2023-12-23  ahlstrom <ahlstromcj@gmail.com>

	* RELNOTES, Seq66qt5/Seq66qt5.pro, contrib/scripts/qbuild,
	contrib/scripts/qbuild.sh, contrib/scripts/qtests,
	include/qt/rtmidi/seq66-config.h,
	libseq66/include/cfg/rcsettings.hpp,
	libseq66/src/play/performer.cpp,
	libseq66/src/sessions/smanager.cpp, libsessions/libsessions.pro,
	seq_qt5/include/Makefile.am, seq_qt5/include/qslivegrid.hpp,
	seq_qt5/include/qsmainwnd.hpp, seq_qt5/src/qslivegrid.cpp,
	seq_qt5/src/qsmainwnd.cpp: Giving up on automake for FreeBSD, added
	new qbuild.sh script to build using qmake, which works, but qseq66
	has a Qt xcb plugin issue.

2023-12-22  ahlstrom <ahlstromcj@gmail.com>

	* doc/latex/tex/patterns_panel.tex,
	libseq66/src/os/shellexecute.cpp, libseq66/src/os/timing.cpp,
	libseq66/src/play/performer.cpp: Change some LINUX macroing to UNIX
	macroing for FreeBSD.

2023-12-21  ahlstrom <ahlstromcj@gmail.com>

	* INSTALL, TODO, libseq66/src/util/recmutex.cpp: Fixed recmutex
	build in FreeBSD, now QBrush is not found.

2023-12-20  Chris Ahlstrom <ahlstromcj@gmail.com>

	* INSTALL, configure, configure.ac,
	contrib/notes/clang-macros-freebsd.text, include/config.h.in,
	libseq66/include/play/triggers.hpp,
	libseq66/include/util/recmutex.hpp, libseq66/src/os/daemonize.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/util/recmutex.cpp,
	seq_qt5/src/qslivegrid.cpp: More progress on issue #124 FreeBSD.

2023-12-19  Chris Ahlstrom <ahlstromcj@gmail.com>

	* INSTALL, configure, configure.ac, configure.help,
	include/config.h.in, libseq66/include/seq66_platform_macros.h,
	libseq66/src/play/performer.cpp, libseq66/src/seq66_features.cpp,
	seq_qt5/src/qslivegrid.cpp: Added better detection of FreeBSD for
	issue #124.

2023-12-17  ahlstrom <ahlstromcj@gmail.com>

	* TODO, libseq66/include/midi/midifile.hpp,
	libseq66/src/midi/midifile.cpp: Fixed nagging little errors in
	parsing MIDI files.

2023-12-16  Chris Ahlstrom <ahlstromcj@gmail.com>

	* INSTALL, Makefile.in, Seq66cli/Makefile.in, Seq66qt5/Makefile.in,
	TODO, configure, configure.ac, contrib/scripts/configure-clang,
	data/Makefile.in, doc/Makefile.in, doc/latex/Makefile.in,
	doc/latex/tex/Makefile.in, include/config.h.in,
	libseq66/Makefile.in, libseq66/include/Makefile.in,
	libseq66/src/Makefile.in, libseq66/src/midi/midifile.cpp,
	libsessions/Makefile.in, libsessions/include/Makefile.in,
	libsessions/src/Makefile.in, m4/Makefile.in, man/Makefile.in,
	resources/pixmaps/Makefile.in, seq_portmidi/Makefile.in,
	seq_portmidi/include/Makefile.in, seq_portmidi/src/Makefile.in,
	seq_qt5/Makefile.in, seq_qt5/forms/Makefile.in,
	seq_qt5/include/Makefile.in, seq_qt5/src/Makefile.in,
	seq_rtmidi/Makefile.in, seq_rtmidi/include/Makefile.in,
	seq_rtmidi/src/Makefile.in: Still more fixes to the configure
	script.

2023-12-15  Chris Ahlstrom <ahlstromcj@gmail.com>

	* Makefile.in, Seq66cli/Makefile.in, Seq66qt5/Makefile.am,
	Seq66qt5/Makefile.in, TODO, configure, configure.ac,
	data/Makefile.in, doc/Makefile.in, doc/latex/Makefile.in,
	doc/latex/tex/Makefile.in, doc/latex/tex/midi_formats.tex,
	include/config.h.in, libseq66/Makefile.in,
	libseq66/include/Makefile.in, libseq66/include/midi/midifile.hpp,
	libseq66/src/Makefile.in, libseq66/src/midi/midifile.cpp,
	libsessions/Makefile.in, libsessions/include/Makefile.in,
	libsessions/src/Makefile.in, m4/Makefile.in, man/Makefile.in,
	resources/pixmaps/Makefile.in, seq_portmidi/Makefile.in,
	seq_portmidi/include/Makefile.in, seq_portmidi/src/Makefile.in,
	seq_qt5/Makefile.in, seq_qt5/forms/Makefile.in,
	seq_qt5/include/Makefile.in, seq_qt5/src/Makefile.in,
	seq_rtmidi/Makefile.in, seq_rtmidi/include/Makefile.in,
	seq_rtmidi/src/Makefile.in: Updated configure.ac to handle linker
	differences between gcc/g++ and clang/clang++ for issue #124.

2023-12-14  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, Seq66cli/Makefile.am, Seq66cli/Makefile.in,
	Seq66qt5/Makefile.am, Seq66qt5/Makefile.in, TODO, configure,
	configure.ac, contrib/midi/README, doc/latex/tex/midi_formats.tex,
	doc/latex/tex/references.tex, include/config.h.in,
	libseq66/include/midi/event.hpp,
	libseq66/include/midi/midifile.hpp, libseq66/src/midi/midifile.cpp: 
	Wrestling with oddities in Dixie04.mid.

2023-12-13  Chris Ahlstrom <ahlstromcj@gmail.com>

	* RELNOTES, configure, configure.ac, include/config.h.in,
	libseq66/include/cfg/cmdlineopts.hpp,
	libseq66/src/cfg/cmdlineopts.cpp,
	libseq66/src/sessions/smanager.cpp, seq_qt5/forms/qlfoframe.ui,
	seq_qt5/forms/qplaylistframe.ui, seq_qt5/src/qsmainwnd.cpp: 
	Configure.ac to support LLVM/clang, fixed a couple command-line
	option bugs.

2023-12-12  Chris Ahlstrom <ahlstromcj@gmail.com>

	* RELNOTES, TODO, doc/latex/tex/midi_formats.tex,
	doc/latex/tex/seq66-user-manual.tex,
	libseq66/include/midi/event.hpp,
	libseq66/include/midi/midifile.hpp, libseq66/src/midi/event.cpp,
	libseq66/src/midi/midi_vector.cpp,
	libseq66/src/midi/midi_vector_base.cpp,
	libseq66/src/midi/midifile.cpp: More fixes to SysEx
	handling/documentation.

2023-12-11  Chris Ahlstrom <ahlstromcj@gmail.com>

	* INSTALL, RELNOTES, Seq66cli/Makefile.am, Seq66cli/Makefile.in,
	TODO, doc/dox/doxy-common.cfg, doc/latex/tex/meta_events.tex,
	doc/latex/tex/midi_formats.tex, libseq66/include/midi/midifile.hpp,
	libseq66/include/seq66_features.h, libseq66/src/midi/midifile.cpp,
	seq_qt5/include/qsmainwnd.hpp, seq_qt5/src/qsmainwnd.cpp,
	seq_qt5/src/qt5_helpers.cpp: Fixing some SysEx misunderstandings.
	* RELNOTES, TODO, contrib/midi/README, data/linux/qseq66.rc,
	doc/latex/tex/configuration.tex,
	libseq66/include/midi/midifile.hpp, libseq66/src/midi/midifile.cpp,
	libseq66/src/play/performer.cpp: Added running-status and SysEx
	fixes.

2023-12-10  ahlstrom <ahlstromcj@gmail.com>

	* RELNOTES, TODO, libseq66/include/cfg/rcsettings.hpp,
	libseq66/include/midi/midifile.hpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/cfg/rcsettings.cpp, libseq66/src/midi/event.cpp,
	libseq66/src/midi/midifile.cpp, libseq66/src/play/performer.cpp,
	seq_qt5/src/qseqeventframe.cpp, seq_qt5/src/qseventslots.cpp: Added
	option to recover from running-status errors.

2023-12-08  Chris Ahlstrom <ahlstromcj@gmail.com>

	* Seq66qt5/Makefile.in, TODO, contrib/scripts/configure-clang,
	libseq66/src/midi/midibase.cpp, libseq66/src/util/ring_buffer.cpp,
	libsessions/src/nsm/nsmbase.cpp: More fixing warnings, also liblo
	clang tweak.
	* Seq66qt5/Makefile.am, TODO, libseq66/src/util/strfunctions.cpp,
	libsessions/src/nsm/nsmbase.cpp, m4/ax_have_qt_clang.m4,
	seq_rtmidi/include/midi_jack_info.hpp,
	seq_rtmidi/src/midi_alsa.cpp, seq_rtmidi/src/midi_jack_info.cpp: 
	Notes and warning fixes for clang-16 build.

2023-12-07  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, libseq66/include/midi/midifile.hpp,
	libseq66/src/midi/event.cpp, libseq66/src/midi/midifile.cpp,
	libsessions/include/nsm/nsmclient.hpp,
	seq_qt5/include/gui_palette_qt5.hpp, seq_qt5/include/qeditbase.hpp,
	seq_qt5/include/qloopbutton.hpp, seq_qt5/include/qperfroll.hpp,
	seq_qt5/include/qseqroll.hpp, seq_qt5/include/qslivegrid.hpp,
	seq_qt5/include/qstriggereditor.hpp, seq_qt5/src/qloopbutton.cpp,
	seq_qt5/src/qperfroll.cpp, seq_qt5/src/qseqbase.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqkeys.cpp,
	seq_qt5/src/qseqroll.cpp, seq_qt5/src/qslivegrid.cpp,
	seq_qt5/src/qsmainwnd.cpp: Fixing sysex in progress, clang-12 found
	more warnings re issue #124.
	* TODO, bootstrap, contrib/midi/README,
	contrib/scripts/configure-clang, libseq66/src/ctrl/opcontainer.cpp,
	libseq66/src/midi/event.cpp, libseq66/src/midi/midifile.cpp,
	seq_portmidi/include/midibus_pm.hpp: Fixed more errors/warnings
	uncovered by clang-16 for ussue #124.

2023-12-06  Chris Ahlstrom <ahlstromcj@gmail.com>

	* : commit cebd4eac4e22cbd8c5e96d5f2f741bf8512382dc Author: Chris
	Ahlstrom <ahlstromcj@gmail.com> Date:   Wed Dec 6 11:30:34 2023
	-0500

2023-12-06  ahlstrom <ahlstromcj@gmail.com>

	* ChangeLog, TODO, doc/latex/tex/patterns_panel.tex,
	libseq66/src/cfg/usrsettings.cpp: Safety check-in of minor changes.
	* LICENSE, NEWS, README.md, RELNOTES, VERSION, configure,
	configure.ac, data/license.text, data/readme.text,
	data/readme.windows, include/config.h.in,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h: Set up for next version.

2023-12-05  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md: Release Notes for Seq66 v. 0.99.11 2023-12-05 -   Added 8 more ui-palette entries, total of 32.  -   Added display of the pattern input bus (if present) in the grid     slot.  -   Moved style-sheet options from 'usr' to the 'rc' file.  -   Fixed errors setting style-sheet, palette, and mutes file in     Preferences / Session. Now indicates when exit is needed.  -   Added mute-group label ("MG") to main window.  -   Fixing various playlist errors:     -   PPQN setting issue causing slow/fast playback. Cannot         display 120 PPQN well, fix too intrusive at this time.      -   Segfaults due to not stopping playback before loading         the next song, or basing calculations on missing values.  -   Embarassing fixes:     -   The massive botch of the Set Master tab.      -   More Mutes tab fixes, including raising modify flag.      -   App exiting unceremoniously if "quiet" is set.      -   Issue in Song zoom with 1920 PPQN.      -   Odd bug breaking MIDI-control-out (display).      -   Preventing long redundant start-up error messages.      -   Solo feature. Unsolo before starting another solo.      -   Queue and keep-queue.      -   Not saving record-by-channel. Fixed record-by-channel.      -   Not modifying the song when pattern measures is changed.      -   Breakage of stopping song play at the end of song.      -   Bug in event-editor initialization.      -   Not applying note-length setting to step-edit.  -   Added a pre-made MIDI file to use with record-by-channel.  -   Added ways to toggle recording of multiple patterns.  -   Added a record-by-buss feature.  -   Can now paste a pattern into a new or another loaded MIDI file.  -   When loading a MIDI file, the file dialog defaults to the     last-used directory. Fixes made to this feature.  -   Improved copy/paste for screen-sets.  -   Added optional parameter to --priority option.  -   Focus is now set immediately to seqroll and perfroll.  -   --verbose now shows playlist actions on the console and prevents     daemonization and logging to a file.  -   Replaced the --inspect option with --session-tag for easy     selection of another setup specified in sessions.rc. Also added     the SEQ66_SESSION_TAG environment variable.  -   Added showing program changes in slot button.  -   Added showing text events in the data pane and all text events     in the main Session tab. Fixed its Save Info button.  -   Implemented "menu-mode" automation. It duplicates the function     of the hide/show button, to toggle between hiding some main     window controls and the main menu, and showing them.  See NEWS for more details.
	* FDL.txt, GPL.txt, LGPL.txt, LICENSE, README.md, RELNOTES, TODO,
	VERSION, configure.ac, data/readme.text, data/readme.windows,
	include/config.h.in, include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h,
	libseq66/src/cfg/playlistfile.cpp,
	libseq66/src/sessions/smanager.cpp, nsis/Seq66Constants.nsh,
	nsis/build_release_package.bat, seq_qt5/forms/qslivegrid.ui,
	seq_qt5/forms/qsmainwnd.ui: Ready for next version, more for issue
	#123.
	* Seq66qt5/seq66qt5.cpp, TODO: Trying setuid root code, no go.

2023-12-04  Chris Ahlstrom <ahlstromcj@gmail.com>

	* LICENSE, NEWS, README.md, contrib/git/gitconfig,
	doc/latex/tex/first_start.tex, doc/latex/tex/live_grid.tex,
	doc/latex/tex/references.tex, doc/latex/tex/seq66-user-manual.tex,
	libseq66/src/play/performer.cpp, seq_qt5/forms/qseditoptions.ui: 
	Fixes to issue #122 and issue #123 and tweaks to Preferences labels
	and documentation.
	* TODO, doc/latex/tex/recording.tex,
	libseq66/include/midi/mastermidibase.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/src/cfg/rcsettings.cpp,
	libseq66/src/midi/mastermidibase.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	seq_rtmidi/include/rtmidi_types.hpp, seq_rtmidi/src/midi_jack.cpp,
	seq_rtmidi/src/rtmidi_types.cpp: Refinements to JACK latency checks
	and record-by handling.

2023-12-02  Chris Ahlstrom <ahlstromcj@gmail.com>

	* RELNOTES, TODO, VERSION, configure.ac, data/license.text,
	data/readme.text, data/readme.windows, doc/latex/tex/recording.tex,
	include/config.h.in, include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h,
	libseq66/include/play/performer.hpp,
	libseq66/src/play/performer.cpp, nsis/Seq66Constants.nsh,
	nsis/Seq66Setup.nsi, nsis/build_release_package.bat,
	seq_qt5/forms/qsmainwnd.ui, seq_qt5/src/qsmainwnd.cpp: Getting near
	to the next release.

2023-12-01  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, doc/latex/tex/sessions.tex,
	libseq66/include/cfg/cmdlineopts.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/src/cfg/cmdlineopts.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/sessions/smanager.cpp, man/seq66.1,
	seq_qt5/include/qsmainwnd.hpp, seq_qt5/src/qslivegrid.cpp,
	seq_qt5/src/qsmainwnd.cpp: Add SEQ66_SESSION_TAG env variable,
	enhanced inbus processing and display.

2023-11-30  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, Seq66qt5/seq66qt5.cpp, TODO, doc/latex/tex/alsa.tex,
	doc/latex/tex/configuration.tex, doc/latex/tex/sessions.tex,
	libseq66/include/play/performer.hpp,
	libseq66/include/util/filefunctions.hpp,
	libseq66/src/cfg/cmdlineopts.cpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/cfg/rcsettings.cpp, libseq66/src/midi/midifile.cpp,
	libseq66/src/play/performer.cpp,
	libseq66/src/util/filefunctions.cpp, seq_qt5/src/qsmainwnd.cpp: 
	Fixed last-used-dir, in-bus recording, more to fix though.

2023-11-29  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, contrib/scripts/jackctl,
	libseq66/include/play/sequence.hpp,
	libseq66/src/cfg/rcsettings.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqeventframe.cpp: 
	Fixed event editor init bug, applying note length in step edit.

2023-11-28  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, doc/latex/tex/configuration.tex,
	doc/latex/tex/live_grid.tex, doc/latex/tex/menu.tex,
	doc/latex/tex/midi_export.tex, doc/latex/tex/recording.tex,
	doc/latex/tex/seq66-user-manual.tex,
	libseq66/include/cfg/rcsettings.hpp,
	libseq66/include/midi/mastermidibase.hpp,
	libseq66/src/cfg/rcfile.cpp, libseq66/src/cfg/rcsettings.cpp,
	libseq66/src/midi/mastermidibase.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/src/qslivegrid.cpp,
	seq_rtmidi/include/rtmidi_types.hpp, seq_rtmidi/src/midi_jack.cpp,
	seq_rtmidi/src/midi_jack_data.cpp, seq_rtmidi/src/rtmidi_types.cpp: 
	Record-by-buss/channel fixed, documented, and re-enabled some code
	for JACK latency testing.

2023-11-27  ahlstrom <ahlstromcj@gmail.com>

	* data/linux/qseq66.rc, libseq66/include/cfg/rcsettings.hpp,
	libseq66/include/midi/mastermidibase.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/seq66_features.h,
	libseq66/src/cfg/cmdlineopts.cpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/cfg/rcsettings.cpp,
	libseq66/src/midi/mastermidibase.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/include/qseditoptions.hpp,
	seq_qt5/src/qseditoptions.cpp, seq_qt5/src/qslivegrid.cpp,
	seq_qt5/src/qsmainwnd.cpp: Added setting for record-by-buss.
	* README.md, TODO, libseq66/include/play/performer.hpp,
	libseq66/src/play/performer.cpp,
	libseq66/src/sessions/smanager.cpp, seq_qt5/src/qmutemaster.cpp,
	seq_qt5/src/qsmainwnd.cpp: Multi-pattern record toggling works.
	* README.md, TODO, doc/latex/tex/configuration.tex,
	doc/latex/tex/first_start.tex, doc/latex/tex/patterns_panel.tex,
	doc/latex/tex/recording.tex, doc/latex/tex/setmaster.tex,
	libseq66/include/play/performer.hpp,
	libseq66/src/play/performer.cpp, resources/pixmaps/rec_ex_buss.xpm,
	resources/pixmaps/rec_ex_channel.xpm,
	resources/pixmaps/rec_ex_normal.xpm,
	seq_qt5/forms/qseqeditframe64.ui, seq_qt5/forms/qsmainwnd.ui,
	seq_qt5/include/qsmainwnd.hpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qslivegrid.cpp, seq_qt5/src/qsmainwnd.cpp: Added
	menu-mode automation and start of multi-pattern record toggling.

2023-11-25  ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, contrib/midi/README,
	doc/latex/tex/pattern_editor.tex, doc/latex/tex/sessions.tex,
	libseq66/include/cfg/scales.hpp,
	libseq66/include/cfg/usrsettings.hpp,
	libseq66/include/midi/calculations.hpp,
	libseq66/include/midi/event.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/src/cfg/midicontrolfile.cpp,
	libseq66/src/cfg/mutegroupsfile.cpp,
	libseq66/src/cfg/notemapfile.cpp,
	libseq66/src/cfg/playlistfile.cpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/cfg/usrfile.cpp, libseq66/src/cfg/usrsettings.cpp,
	libseq66/src/midi/calculations.cpp,
	libseq66/src/play/performer.cpp,
	libseq66/src/sessions/smanager.cpp, seq_portmidi/src/portmidi.c,
	seq_qt5/forms/qseqeditframe64.ui, seq_qt5/src/palettefile.cpp,
	seq_qt5/src/qseqbase.cpp, seq_qt5/src/qseqdata.cpp,
	seq_qt5/src/qseqroll.cpp, seq_qt5/src/qseqtime.cpp,
	seq_qt5/src/qsessionframe.cpp: Fallout from an attempt to display
	files with 120 PPQN.

2023-11-23  ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/include/midi/event.hpp,
	libseq66/src/cfg/cmdlineopts.cpp, libseq66/src/cfg/notemapfile.cpp,
	libseq66/src/cfg/playlistfile.cpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/midi/event.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/sequence.cpp, seq_portmidi/src/portmidi.c,
	seq_qt5/forms/qsessionframe.ui, seq_qt5/include/qseqdata.hpp,
	seq_qt5/include/qseqeditframe64.hpp, seq_qt5/src/palettefile.cpp,
	seq_qt5/src/qseqdata.cpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qsessionframe.cpp, seq_qt5/src/qslivegrid.cpp: Added
	showing all meta text events in the data pane.

2023-11-22  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/include/play/sequence.hpp,
	libseq66/src/play/sequence.cpp, seq_qt5/src/qloopbutton.cpp,
	seq_qt5/src/qseqdata.cpp, seq_qt5/src/qseqroll.cpp: Added Mini Play
	spreadsheet and showing Program Change events in the grid slot.
	* : Updated 16-patterns MIDI file.
	* README.md, TODO, data/midi/README,
	doc/latex/tex/configuration.tex, doc/latex/tex/patterns_panel.tex,
	libseq66/include/play/sequence.hpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/midi/midifile.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/forms/qsappinfo.ui, seq_qt5/include/qseqeditframe64.hpp,
	seq_qt5/src/qloopbutton.cpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qslivegrid.cpp,
	seq_qt5/src/qsmainwnd.cpp: Display input bus in slot, fixed
	record-by-channel, fixed measure-count modify, open-file defaults to
	last-used folder.

2023-11-18  ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/include/ctrl/midicontrolin.hpp,
	libseq66/src/ctrl/midicontrolin.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp: 
	Keep queue now works.

2023-11-16  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, contrib/gvim.rc, contrib/notes/snapshots.text,
	data/samples/perstfic-66.palette, data/samples/perstfic-66.qss,
	doc/latex/tex/kbd_mouse.tex, doc/latex/tex/patterns_panel.tex,
	libseq66/include/play/performer.hpp,
	libseq66/src/play/performer.cpp, seq_qt5/forms/qperfeditframe64.ui,
	seq_qt5/forms/qseqeditframe64.ui, seq_qt5/forms/qsmainwnd.ui,
	seq_qt5/src/qloopbutton.cpp: More progress on grid Solo and on plain
	Replace.

2023-11-14  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, contrib/notes/snapshots.text,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/screenset.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/include/play/setmapper.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/screenset.cpp,
	libseq66/src/play/sequence.cpp, libseq66/src/play/setmapper.cpp,
	seq_qt5/src/qsmainwnd.cpp: Fixed grid-solo partly, need to restore
	patterns and fix one-shot solo/replace.

2023-11-13  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/include/play/setmaster.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/screenset.cpp,
	libseq66/src/play/sequence.cpp, libseq66/src/play/setmaster.cpp,
	libseq66/src/sessions/smanager.cpp, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/src/qloopbutton.cpp, seq_qt5/src/qmutemaster.cpp,
	seq_qt5/src/qsetmaster.cpp, seq_qt5/src/qsmainwnd.cpp: Tweak display
	of active set count, fixed clear/double mod bugs, redundant port
	msgs, mutes mod bug, set mod bug.

2023-11-12  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, libseq66/include/cfg/rcsettings.hpp,
	libseq66/src/cfg/cmdlineopts.cpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/cfg/rcsettings.cpp, libseq66/src/os/timing.cpp,
	libseq66/src/play/performer.cpp: Beefing up the priority option.
	* README.md, TODO, doc/latex/tex/menu.tex,
	doc/latex/tex/patterns_panel.tex,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/screenset.hpp,
	libseq66/include/play/setmapper.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/screenset.cpp,
	libseq66/src/play/setmapper.cpp, seq_qt5/forms/qmutemaster.ui,
	seq_qt5/src/qmutemaster.cpp, seq_qt5/src/qsetmaster.cpp,
	seq_qt5/src/qslivebase.cpp, seq_qt5/src/qsmainwnd.cpp: Enhanced
	copy/paste of patterns and screensets.

2023-11-11  ahlstrom <ahlstromcj@gmail.com>

	* TODO, doc/latex/tex/setmaster.tex,
	libseq66/include/play/performer.hpp,
	libseq66/src/play/performer.cpp, seq_qt5/forms/qsetmaster.ui,
	seq_qt5/include/qsetmaster.hpp, seq_qt5/src/qsetmaster.cpp: Set
	Master almost complete and documented.
	* TODO, libseq66/include/play/performer.hpp,
	libseq66/include/play/screenset.hpp,
	libseq66/include/play/setmapper.hpp,
	libseq66/include/play/setmaster.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/screenset.cpp,
	libseq66/src/play/setmapper.cpp, libseq66/src/play/setmaster.cpp,
	seq_qt5/forms/qsetmaster.ui, seq_qt5/src/qsetmaster.cpp: Got Set
	Master working with different approach, more refinements needed.

2023-11-10  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, libseq66/include/play/screenset.hpp,
	libseq66/include/play/setmaster.hpp,
	libseq66/src/play/screenset.cpp, libseq66/src/play/setmapper.cpp,
	libseq66/src/play/setmaster.cpp, seq_qt5/src/qsetmaster.cpp: Nope,
	they now crash, Up/Down enabled only with --investigate option.
	* README.md, TODO, libseq66/include/play/screenset.hpp,
	libseq66/include/play/setmaster.hpp,
	libseq66/src/midi/midifile.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/screenset.cpp, libseq66/src/play/seq.cpp,
	libseq66/src/play/setmaster.cpp,
	libseq66/src/sessions/smanager.cpp,
	seq_qt5/forms/qplaylistframe.ui, seq_qt5/forms/qsetmaster.ui,
	seq_qt5/include/qsetmaster.hpp, seq_qt5/src/qsetmaster.cpp: Fixed
	set-master up/down movement.

2023-11-08  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/include/play/performer.hpp,
	libseq66/src/cfg/midicontrolfile.cpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/play/performer.cpp, seq_qt5/include/qsetmaster.hpp,
	seq_qt5/src/qsetmaster.cpp, seq_qt5/src/qsmainwnd.cpp: Renamed a
	couple performer accessors, removed code for external set-master,
	fixed bug in reading MIDI display-output controls.

2023-11-07  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, libseq66/src/play/performer.cpp,
	seq_qt5/forms/qmutemaster.ui, seq_qt5/forms/qsetmaster.ui,
	seq_qt5/src/qmutemaster.cpp, seq_qt5/src/qsetmaster.cpp: Fixed
	incorrect modifying of tune by selecting a mute group and fixed
	uneditable setmaster table.

2023-11-06  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, configure, configure.ac,
	doc/latex/tex/live_grid.tex, doc/latex/tex/mutes.tex,
	include/config.h.in, libseq66/include/play/performer.hpp,
	libseq66/src/play/performer.cpp, seq_qt5/forms/qslivegrid.ui,
	seq_qt5/forms/qsmainwnd.ui, seq_qt5/include/qsmainwnd.hpp,
	seq_qt5/src/qslivegrid.cpp, seq_qt5/src/qsmainwnd.cpp: Fixed NSM/OSC
	handling in configure.ac, added display of mute-group to main
	window.

2023-11-05  ahlstrom <ahlstromcj@gmail.com>

	* TODO, contrib/tests/4x4/qseq66.rc, contrib/tests/4x4/qseq66.usr,
	data/samples/sessions.rc, doc/latex/tex/sessions.tex,
	libseq66/include/cfg/rcsettings.hpp,
	libseq66/src/cfg/sessionfile.cpp, libseq66/src/cfg/usrfile.cpp,
	libseq66/src/cfg/usrsettings.cpp, seq_qt5/src/qt5nsmanager.cpp: 
	Sessions.rc testing part 2.

2023-11-04  ahlstrom <ahlstromcj@gmail.com>

	* TODO, data/samples/{session.rc => sessions.rc},
	doc/latex/tex/configuration.tex, doc/latex/tex/sessions.tex,
	libseq66/src/cfg/cmdlineopts.cpp, man/seq66.1: Documented
	--session-tag, some testing.
	* TODO, libseq66/include/play/performer.hpp,
	libseq66/include/sessions/smanager.hpp,
	libseq66/src/cfg/cmdlineopts.cpp, libseq66/src/cfg/sessionfile.cpp,
	libseq66/src/cfg/usrsettings.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/sessions/smanager.cpp: Sessions.rc testing part 1.

2023-11-03  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, data/samples/session.rc,
	libseq66/include/cfg/cmdlineopts.hpp,
	libseq66/include/cfg/rcsettings.hpp,
	libseq66/src/cfg/cmdlineopts.cpp, libseq66/src/cfg/rcsettings.cpp,
	libseq66/src/cfg/sessionfile.cpp,
	libseq66/src/sessions/smanager.cpp, man/seq66.1, man/seq66cli.1,
	man/sequencer66.1: Added -S/--session-tag option to command-line.

2023-11-02  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, doc/latex/tex/configuration.tex,
	libseq66/include/cfg/rcsettings.hpp,
	libseq66/include/cfg/usrsettings.hpp,
	libseq66/src/cfg/configfile.cpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/cfg/rcsettings.cpp, libseq66/src/cfg/usrfile.cpp,
	libseq66/src/cfg/usrsettings.cpp,
	libseq66/src/sessions/smanager.cpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qt5nsmanager.cpp: Moved style-sheet options to 'rc'
	file.

2023-11-01  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/include/cfg/zoomer.hpp,
	libseq66/src/cfg/zoomer.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/screenset.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/include/qeditbase.hpp, seq_qt5/include/qperfroll.hpp,
	seq_qt5/include/qseqeditframe64.hpp, seq_qt5/include/qseqframe.hpp,
	seq_qt5/include/qseqroll.hpp, seq_qt5/src/qperfeditframe64.cpp,
	seq_qt5/src/qperfroll.cpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qseqframe.cpp, seq_qt5/src/qseqroll.cpp,
	seq_qt5/src/qsmainwnd.cpp: Fixed playlist seqfault and zoom/ppqn
	issues.

2023-10-31  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, Seq66cli/seq66rtcli.cpp,
	doc/latex/tex/configuration.tex, doc/latex/tex/headless.tex,
	libseq66/include/cfg/cmdlineopts.hpp,
	libseq66/include/os/daemonize.hpp,
	libseq66/src/cfg/cmdlineopts.cpp, libseq66/src/cfg/usrfile.cpp,
	libseq66/src/midi/midifile.cpp, libseq66/src/os/daemonize.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/playlist.cpp,
	libseq66/src/sessions/smanager.cpp,
	seq_rtmidi/src/midi_alsa_info.cpp: Added support for showing
	playlist actions in the CLI using --verbose.
	* README.md, TODO, libseq66/include/play/performer.hpp,
	libseq66/src/os/timing.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/sequence.cpp: Fixed seqfault in select next
	playlist song for both GUI and CLI.

2023-10-30  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, Seq66cli/seq66rtcli.cpp, TODO, include/config.h.in,
	libseq66/include/cfg/usrsettings.hpp,
	libseq66/src/cfg/usrsettings.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/sessions/smanager.cpp, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/include/qmutemaster.hpp,
	seq_qt5/include/qseqeditframe64.hpp,
	seq_qt5/include/qseqeventframe.hpp, seq_qt5/include/qsetmaster.hpp,
	seq_qt5/include/qslivegrid.hpp, seq_qt5/include/qsmainwnd.hpp,
	seq_qt5/src/qt5nsmanager.cpp: Autoplay working in GUI and CLI.

2023-10-29  ahlstrom <ahlstromcj@gmail.com>

	* TODO, libseq66/include/play/performer.hpp,
	libseq66/src/play/performer.cpp, seq_qt5/src/qseditoptions.cpp: Some
	fixes to playlist handling.

2023-10-28  ahlstrom <ahlstromcj@gmail.com>

	* Seq66cli/seq66rtcli.cpp, Seq66qt5/seq66qt5.cpp, TODO,
	data/samples/GM_DD-11.drums, data/samples/ca_midi.playlist,
	data/seq66cli/seq66cli.ctrl, data/seq66cli/seq66cli.drums,
	data/seq66cli/seq66cli.mutes, data/seq66cli/seq66cli.playlist,
	data/seq66cli/seq66cli.rc, data/seq66cli/seq66cli.usr,
	libseq66/include/play/performer.hpp,
	libseq66/include/seq66_features.hpp,
	libseq66/include/sessions/smanager.hpp,
	libseq66/src/cfg/cmdlineopts.cpp, libseq66/src/cfg/configfile.cpp,
	libseq66/src/cfg/notemapfile.cpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/cfg/usrfile.cpp, libseq66/src/os/daemonize.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/playlist.cpp,
	libseq66/src/seq66_features.cpp, libseq66/src/sessions/smanager.cpp: 
	Fixes for seq66cli and preparation for playlist testing of it.

2023-10-27  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, data/linux/qseq66-alt-gray.palette,
	data/linux/qseq66-default.palette, data/linux/qseq66-gray.palette,
	data/linux/qseq66.palette, data/linux/qseq66.usr,
	data/samples/incrypt-66.palette, data/samples/perstfic-66.palette,
	data/samples/perstfic-66.qss, data/samples/qseq66-sample.palette,
	data/win/qpseq66.palette, doc/latex/tex/configuration.tex,
	doc/latex/tex/palettes.tex, doc/latex/tex/seq66-user-manual.tex,
	libseq66/include/util/palette.hpp, libseq66/src/cfg/usrfile.cpp,
	seq_qt5/forms/qseditoptions.ui,
	seq_qt5/include/gui_palette_qt5.hpp,
	seq_qt5/include/qseditoptions.hpp, seq_qt5/src/gui_palette_qt5.cpp,
	seq_qt5/src/qperfnames.cpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qseqdata.cpp, seq_qt5/src/qseqkeys.cpp,
	seq_qt5/src/qseqtime.cpp, seq_qt5/src/qslotbutton.cpp,
	seq_qt5/src/qstriggereditor.cpp: Many palette and palette-usage
	improvements.
	* README.md, RELNOTES, libseq66/include/cfg/rcsettings.hpp,
	libseq66/include/util/palette.hpp, libseq66/src/cfg/rcsettings.cpp,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/include/qseditoptions.hpp,
	seq_qt5/src/palettefile.cpp, seq_qt5/src/qperftime.cpp,
	seq_qt5/src/qseditoptions.cpp: Fixed and enhanced the session
	preferences tab.

2023-10-26  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, configure, data/samples/incrypt-66.palette,
	data/samples/perstfic-66.palette, data/samples/perstfic-66.qss,
	libseq66/include/util/palette.hpp,
	libseq66/src/midi/midi_splitter.cpp,
	libseq66/src/midi/midifile.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/include/gui_palette_qt5.hpp,
	seq_qt5/src/gui_palette_qt5.cpp, seq_qt5/src/palettefile.cpp,
	seq_qt5/src/qloopbutton.cpp, seq_qt5/src/qperfnames.cpp,
	seq_qt5/src/qslivegrid.cpp, seq_qt5/src/qslotbutton.cpp: Expanded
	the palette by 8 more, may need to rename a couple for better usage.
	* NEWS, README.md, VERSION, configure.ac,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h,
	libseq66/include/util/palette.hpp,
	seq_qt5/include/gui_palette_qt5.hpp,
	seq_qt5/src/gui_palette_qt5.cpp: Version bump and palette expansion
	redux.

2023-10-25  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md: Minor README update.
	* README.md: Release Notes for Seq66 v. 0.99.10 2023-10-25 - The usual raft of humiliating bug-fixes:     - Issue #117 Option to close pattern windows with esc key if       enabled via a 'usr' option.      - Issue #118 Made virtual ports ports enabled via an option.      - Issue #119 "Quantized Record Active does not work" fixed.        Live note/drum-mapping also fixed.      - Fixed an egregious error in drawing notes in drum mode.      - Fixed error in moving notes at PPQN != 192.      - Fixed bug preventing a song with triggers stopping playback       at end of song. Fixes related to playlist-handling.      - MANY other undocumented minor fixes.  - Implemented drag-and-drop of one MIDI file onto the Live grid.  - Added the export of most project configuration files to another   directory.  - Multiple tempo events can be drawn in a line in the data pane and   can be dragged up and down to change the tempo value.  - If double-click enabled, can open/create a pattern in the song   editor.  - Many improvements and fixes to the Mutes tab.  - Added a "grid mode" to toggle mutes by clicking in the Live Grid.    The new default mute-group-selection mode keystroke is "_".  - Opening the pattern editor reflects the recording mode and live   pattern alteration selection (e.g. quantization).  - The main time display works better with high PPQN.  - Now scrolls automatically in time and note value to show the first   notes in a pattern.  - Live-grid record-mode and alteration are applied when active
	  pattern is opened for edit.  - Added more Qt style-sheets and UI palette items for more color   control.  - Tightened the file-name handling in Session preferences.  Also see the NEWS, README.md, and TODO files.
	* ChangeLog, doc/latex/tex/midi_export.tex: Version 0.99.10 pending.
	* README.md, RELNOTES, TODO, VERSION, configure.ac,
	data/license.text, data/readme.text, data/readme.windows,
	doc/latex/tex/song_editor.tex, include/config.h.in,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h, nsis/Seq66Constants.nsh,
	nsis/Seq66Setup.nsi, nsis/build_release_package.bat: Version
	updating in progress.
	* contrib/DIR_COLORS, data/readme.text, data/readme.windows,
	doc/latex/tex/alsa.tex, doc/latex/tex/concepts.tex,
	doc/latex/tex/configuration.tex, doc/latex/tex/defaultkeys.tex,
	doc/latex/tex/first_start.tex, doc/latex/tex/headless.tex,
	doc/latex/tex/jack.tex, doc/latex/tex/kudos.tex,
	doc/latex/tex/launchpad_mini.tex, doc/latex/tex/live_grid.tex,
	doc/latex/tex/menu.tex, doc/latex/tex/mutes.tex,
	doc/latex/tex/palettes.tex, doc/latex/tex/patterns_panel.tex,
	doc/latex/tex/playlist.tex, doc/latex/tex/port_mapping.tex,
	doc/latex/tex/references.tex, doc/latex/tex/seq66-user-manual.tex,
	doc/latex/tex/sessions.tex, doc/latex/tex/windows.tex,
	nsis/Seq66Constants.nsh, nsis/Seq66Setup.nsi,
	nsis/build_release_package.bat: Lotsa documentation fixes.

2023-10-24  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, VERSION, configure.ac, data/linux/qseq66.palette,
	include/config.h.in, include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h, seq_qt5/src/gui_palette_qt5.cpp,
	seq_qt5/src/palettefile.cpp: Gearing up for 0.99.10.
	* TODO, doc/latex/tex/configuration.tex,
	doc/latex/tex/live_grid.tex, doc/latex/tex/menu.tex,
	doc/latex/tex/patterns_panel.tex,
	doc/latex/tex/seq66-user-manual.tex, doc/latex/tex/sessions.tex,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/forms/qsessionframe.ui,
	seq_qt5/src/qloopbutton.cpp: Grid slot font enlargement and doc
	updates.
	* README.md, RELNOTES, TODO, data/samples/perstfic-66.palette,
	data/samples/perstfic-66.qss, libseq66/include/cfg/rcsettings.hpp,
	libseq66/include/cfg/usrsettings.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/include/util/strfunctions.hpp,
	libseq66/src/cfg/rcsettings.cpp,
	libseq66/src/util/strfunctions.cpp, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/include/qseditoptions.hpp, seq_qt5/include/qt5_helpers.hpp,
	seq_qt5/src/palettefile.cpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qslivegrid.cpp, seq_qt5/src/qt5_helpers.cpp: Massively
	update Preferences / Session.

2023-10-22  ahlstrom <ahlstromcj@gmail.com>

	* TODO, data/linux/qseq66-alt-gray.palette,
	data/linux/qseq66-default.palette, data/linux/qseq66-gray.palette,
	data/linux/qseq66.palette, data/samples/perstfic-66.palette,
	data/samples/perstfic-66.qss, data/samples/qseq66-sample.palette,
	data/win/qpseq66.palette, libseq66/include/util/palette.hpp,
	libseq66/include/util/strfunctions.hpp,
	libseq66/src/util/strfunctions.cpp, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/include/gui_palette_qt5.hpp,
	seq_qt5/include/qseditoptions.hpp, seq_qt5/include/qt5_helpers.hpp,
	seq_qt5/src/gui_palette_qt5.cpp, seq_qt5/src/palettefile.cpp,
	seq_qt5/src/qloopbutton.cpp, seq_qt5/src/qperfnames.cpp,
	seq_qt5/src/qseditoptions.cpp, seq_qt5/src/qt5_helpers.cpp: Updates
	for even better palette support.

2023-10-21  ahlstrom <ahlstromcj@gmail.com>

	* TODO, data/samples/incrypt-66.palette,
	data/samples/incrypt-66.qss, doc/latex/tex/configuration.tex,
	seq_qt5/forms/qperfeditframe64.ui,
	seq_qt5/include/gui_palette_qt5.hpp,
	seq_qt5/src/gui_palette_qt5.cpp, seq_qt5/src/qperfnames.cpp,
	seq_qt5/src/qperfroll.cpp: Upgraded palette and qss handling,
	documentation.

2023-10-20  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, contrib/tests/4x4/qseq66.palette,
	libseq66/include/cfg/rcsettings.hpp,
	libseq66/include/util/palette.hpp, libseq66/src/cfg/rcsettings.cpp,
	seq_qt5/forms/qseditoptions.ui,
	seq_qt5/include/gui_palette_qt5.hpp,
	seq_qt5/src/gui_palette_qt5.cpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qseqroll.cpp: Fixes to palette to draw gridlines
	properly.
	* README.md, RELNOTES, TODO, data/samples/incrypt-66.palette,
	doc/latex/tex/palettes.tex, libseq66/include/util/palette.hpp,
	seq_qt5/include/gui_palette_qt5.hpp,
	seq_qt5/src/gui_palette_qt5.cpp, seq_qt5/src/palettefile.cpp,
	seq_qt5/src/qloopbutton.cpp, seq_qt5/src/qperfnames.cpp,
	seq_qt5/src/qperftime.cpp, seq_qt5/src/qseqdata.cpp,
	seq_qt5/src/qseqkeys.cpp, seq_qt5/src/qseqtime.cpp,
	seq_qt5/src/qstriggereditor.cpp: Expanded the UI palette to 24
	colors.

2023-10-19  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, RELNOTES, TODO, data/samples/incrypt-66.palette,
	seq_qt5/include/qeditbase.hpp, seq_qt5/include/qseqkeys.hpp,
	seq_qt5/src/qeditbase.cpp, seq_qt5/src/qseqbase.cpp,
	seq_qt5/src/qseqkeys.cpp, seq_qt5/src/qseqroll.cpp: Fixed note
	movement issues at non-192 PPQN.
	* data/samples/incrypt-66.palette: Forgot the incrypt-66 palette
	file.
	* TODO, data/samples/incrypt-66.qss, data/samples/perstfic-66.qss,
	libseq66/src/cfg/mutegroupsfile.cpp,
	libseq66/src/sessions/smanager.cpp, seq_qt5/src/palettefile.cpp,
	seq_qt5/src/qt5nsmanager.cpp: The palette and qss files are now also
	exported.

2023-10-18  Chris Ahlstrom <ahlstromcj@gmail.com>

	* data/samples/incrypt-66.qss, data/samples/perstfic-66.qss,
	libseq66/src/sessions/smanager.cpp, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/forms/qsmainwnd.ui: Initial versions of incrypt- and
	perstfix-derived Qt style sheets.
	* README.md, RELNOTES, libseq66/include/cfg/cmdlineopts.hpp,
	libseq66/src/cfg/cmdlineopts.cpp, libseq66/src/cfg/rcsettings.cpp,
	libseq66/src/play/performer.cpp,
	libseq66/src/sessions/smanager.cpp,
	libseq66/src/util/filefunctions.cpp, seq_qt5/include/qsmainwnd.hpp,
	seq_qt5/src/qsmainwnd.cpp, seq_qt5/src/qt5_helpers.cpp: Finish
	project export option.

2023-10-17  Chris Ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/sessions/smanager.hpp,
	libseq66/src/cfg/cmdlineopts.cpp,
	libseq66/src/sessions/smanager.cpp, seq_qt5/forms/qsmainwnd.ui,
	seq_qt5/include/qsmainwnd.hpp, seq_qt5/src/qsmainwnd.cpp: Interim
	check-in, adding configuration export option.
	* TODO, doc/latex/tex/live_grid.tex, doc/latex/tex/menu.tex,
	doc/latex/tex/patterns_panel.tex, doc/latex/tex/windows.tex,
	libseq66/include/play/performer.hpp,
	libseq66/src/play/performer.cpp, seq_qt5/src/qloopbutton.cpp,
	seq_qt5/src/qmutemaster.cpp: Updated documentation and loop buttons.

2023-10-16  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, data/linux/qseq66.usr,
	doc/latex/tex/first_start.tex, doc/latex/tex/live_grid.tex,
	doc/latex/tex/windows.tex, libseq66/src/cfg/usrfile.cpp,
	seq_qt5/forms/qmutemaster.ui, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qsessionframe.cpp, seq_qt5/src/qsmainwnd.cpp: Fixes to
	Mute and Song/Live main button, new-pattern UI, and doc updates.

2023-10-15  ahlstrom <ahlstromcj@gmail.com>

	* README.md, RELNOTES, TODO, libseq66/include/play/performer.hpp,
	libseq66/src/play/performer.cpp, seq_qt5/include/qperfeditex.hpp,
	seq_qt5/include/qperfeditframe64.hpp,
	seq_qt5/include/qperfnames.hpp, seq_qt5/src/qperfeditex.cpp,
	seq_qt5/src/qperfeditframe64.cpp, seq_qt5/src/qperfnames.cpp,
	seq_qt5/src/qslivegrid.cpp, seq_qt5/src/qsmainwnd.cpp: Tightening
	perf double-click, tighten recording toggling.

2023-10-14  ahlstrom <ahlstromcj@gmail.com>

	* TODO, doc/latex/tex/patterns_panel.tex,
	libseq66/src/play/sequence.cpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qslivegrid.cpp: Added record loop mode and alteration to
	popup menu entry for record-toggle.

2023-10-13  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, libseq66/include/cfg/rcsettings.hpp,
	libseq66/include/cfg/usrsettings.hpp,
	libseq66/include/play/sequence.hpp, libseq66/src/cfg/usrfile.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/forms/qlfoframe.ui,
	seq_qt5/forms/qseditoptions.ui,
	seq_qt5/include/qseqeditframe64.hpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qslivegrid.cpp: Working
	on improving altered recording handling.

2023-10-11  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, doc/latex/tex/menu.tex, doc/latex/tex/patterns_panel.tex,
	libseq66/include/cfg/settings.hpp,
	libseq66/include/cfg/usrsettings.hpp,
	libseq66/src/cfg/settings.cpp, libseq66/src/cfg/usrsettings.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	libseq66/src/util/strfunctions.cpp, resources/pixmaps/n_rec_on.xpm,
	resources/pixmaps/t_rec_on.xpm, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/include/qseditoptions.hpp,
	seq_qt5/include/qseqeditframe64.hpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqkeys.cpp,
	seq_qt5/src/qslivegrid.cpp: Fixed strncompare(), live-note-mapping,
	recording, added new-pattern options.

2023-10-10  Chris Ahlstrom <ahlstromcj@gmail.com>

	* : Merge fix.

2023-10-09  ahlstrom <ahlstromcj@gmail.com>

	* README.md, RELNOTES, TODO, doc/latex/tex/patterns_panel.tex,
	seq_qt5/include/qmutemaster.hpp, seq_qt5/include/qslivebase.hpp,
	seq_qt5/include/qslivegrid.hpp, seq_qt5/src/qmutemaster.cpp,
	seq_qt5/src/qslivegrid.cpp, seq_qt5/src/qsmainwnd.cpp: Initial
	implementation of MIDI file drag-n-drop onto the Live grid.
	* README.md, TODO, doc/latex/tex/pattern_editor.tex,
	libseq66/src/midi/eventlist.cpp, seq_qt5/src/qscrollmaster.cpp,
	seq_qt5/src/qseqeditframe64.cpp: Fixed auto-scrolling to the first
	notes in pattern editor.

2023-10-08  Chris Ahlstrom <ahlstromcj@gmail.com>

	* doc/latex/tex/menu.tex, doc/latex/tex/mutes.tex,
	doc/latex/tex/seq66-user-manual.tex: Documenting virtual-port
	auto-enable.
	* TODO, data/linux/qseq66.rc, doc/latex/tex/menu.tex,
	libseq66/include/cfg/rcsettings.hpp,
	libseq66/include/midi/midibase.hpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/cfg/rcsettings.cpp, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/include/qseditoptions.hpp, seq_qt5/src/qseditoptions.cpp,
	seq_rtmidi/src/mastermidibus.cpp: For issue #118, added rc option to
	auto-enable virtual ports.

2023-10-07  ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, data/linux/qseq66.usr,
	doc/latex/tex/configuration.tex, doc/latex/tex/menu.tex,
	libseq66/include/cfg/usrsettings.hpp, libseq66/src/cfg/usrfile.cpp,
	libseq66/src/cfg/usrsettings.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/include/qseditoptions.hpp,
	seq_qt5/src/qseditoptions.cpp, seq_qt5/src/qseqeditframe64.cpp: For
	issue #117, added 'usr' option to enable Esc key to close the
	pattern editor if play is stopped and not in paint mode.

2023-10-06  ahlstrom <ahlstromcj@gmail.com>

	* TODO, libseq66/include/midi/eventlist.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/sequence.cpp, resources/pixmaps/hide.xpm,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/src/qloopbutton.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qsmainwnd.cpp: Fixed
	issue #119 and some minor issues.
	* doc/latex/tex/mutes.tex, libseq66/include/play/mutegroups.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/setmapper.hpp,
	libseq66/src/cfg/mutegroupsfile.cpp,
	libseq66/src/ctrl/midicontrolout.cpp,
	libseq66/src/midi/midifile.cpp, libseq66/src/play/mutegroups.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/setmapper.cpp,
	seq_qt5/forms/qmutemaster.ui, seq_qt5/include/qmutemaster.hpp,
	seq_qt5/src/qmutemaster.cpp, seq_qt5/src/qsmainwnd.cpp: Fixed
	inadvertent MIDI modification altering mutes, add saving::none
	value.

2023-10-05  ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, doc/latex/tex/mutes.tex,
	libseq66/include/cfg/rcsettings.hpp,
	libseq66/src/cfg/rcsettings.cpp, libseq66/src/play/mutegroups.cpp,
	resources/pixmaps/hide.xpm, resources/pixmaps/show.xpm,
	seq_qt5/forms/qmutemaster.ui, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/src/qmutemaster.cpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qsmainwnd.cpp, seq_qt5/src/qt5_helpers.cpp: More mutes
	fixes, show/hide icon fix, file-name robustness.

2023-10-03  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, configure, configure.ac, doc/latex/tex/mutes.tex,
	include/config.h.in, libseq66/include/play/mutegroups.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/src/cfg/mutegroupsfile.cpp,
	libseq66/src/play/mutegroups.cpp, seq_qt5/forms/qmutemaster.ui,
	seq_qt5/include/qmutemaster.hpp, seq_qt5/src/qmutemaster.cpp,
	seq_qt5/src/qseditoptions.cpp, seq_qt5/src/qsmainwnd.cpp: Working on
	better mutemaster workflow in progress.

2023-10-02  ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, doc/latex/tex/mutes.tex,
	seq_qt5/forms/qmutemaster.ui, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/include/qmutemaster.hpp, seq_qt5/src/qmutemaster.cpp: 
	Removed dead wood from mute-master.

2023-10-01  Chris Ahlstrom <ahlstromcj@gmail.com>

	* : Updated mute-master tab screenshot.

2023-09-30  ahlstrom <ahlstromcj@gmail.com>

	* README.md, doc/latex/tex/configuration.tex,
	libseq66/include/cfg/usrsettings.hpp,
	libseq66/include/ctrl/automation.hpp,
	libseq66/src/cfg/usrsettings.cpp, libseq66/src/ctrl/automation.cpp,
	libseq66/src/ctrl/keycontainer.cpp,
	libseq66/src/ctrl/opcontrol.cpp, libseq66/src/play/performer.cpp,
	seq_qt5/src/qslivegrid.cpp: Added a 'mutes' option to the grid
	modes.
	* README.md, TODO, doc/latex/tex/configuration.tex,
	doc/latex/tex/seq66-user-manual.tex,
	libseq66/include/cfg/usrsettings.hpp,
	libseq66/include/play/performer.hpp, libseq66/src/cfg/usrfile.cpp,
	libseq66/src/cfg/usrsettings.cpp, libseq66/src/play/performer.cpp,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/include/qseditoptions.hpp,
	seq_qt5/src/qeditbase.cpp, seq_qt5/src/qmutemaster.cpp,
	seq_qt5/src/qperfeditframe64.cpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qseqeditframe64.cpp: Fixed song auto-stop feature, fixed
	mute-master trigger mode.

2023-09-29  ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, data/linux/qseq66.palette,
	doc/latex/tex/live_grid.tex, doc/latex/tex/menu.tex,
	doc/latex/tex/song_editor.tex, doc/latex/tex/windows.tex,
	libseq66/src/cfg/usrfile.cpp, libseq66/src/cfg/usrsettings.cpp,
	seq_qt5/include/qperfeditex.hpp,
	seq_qt5/include/qperfeditframe64.hpp,
	seq_qt5/src/gui_palette_qt5.cpp, seq_qt5/src/qperfeditex.cpp,
	seq_qt5/src/qperfroll.cpp, seq_qt5/src/qsmainwnd.cpp: Tweaked
	palette, docs, finish song-track double-click feature.

2023-09-28  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/src/play/performer.cpp,
	libseq66/src/play/playlist.cpp,
	seq_qt5/include/qperfeditframe64.hpp,
	seq_qt5/include/qperfroll.hpp, seq_qt5/include/qsmainwnd.hpp,
	seq_qt5/src/qperfroll.cpp, seq_qt5/src/qslivegrid.cpp,
	seq_qt5/src/qsmainwnd.cpp: Adding spawning pattern editors from song
	editor by double-click in progress.
	* README.md, libseq66/src/midi/eventlist.cpp,
	seq_qt5/include/qscrollmaster.h, seq_qt5/src/qscrollmaster.cpp,
	seq_qt5/src/qseqeditframe64.cpp: Scroll to first note feature seems
	to work.

2023-09-27  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, doc/latex/tex/pattern_editor.tex,
	libseq66/include/midi/eventlist.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/include/qscrollmaster.h, seq_qt5/src/qscrollmaster.cpp,
	seq_qt5/src/qseqdata.cpp, seq_qt5/src/qseqeditframe64.cpp: Pattern
	editor scroll-to-note, vertical works, horizontal goes to end of
	pattern, in progress.
	* README.md, TODO, doc/latex/tex/pattern_editor.tex,
	libseq66/include/play/sequence.hpp, libseq66/src/play/sequence.cpp,
	seq_qt5/src/qseqdata.cpp: Finalized and documented tempo drawing in
	the data pane.

2023-09-26  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/include/play/sequence.hpp,
	libseq66/src/midi/calculations.cpp, libseq66/src/midi/event.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/include/qseqdata.hpp,
	seq_qt5/src/qseqdata.cpp: Added potential feature to draw tempos in
	data pane.
	* TODO, doc/latex/tex/pattern_editor.tex,
	libseq66/src/midi/event.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/forms/qsmainwnd.ui, seq_qt5/src/qseqdata.cpp,
	seq_qt5/src/qt5nsmanager.cpp: Got tempo drag to work, but needs
	modify status set.

2023-09-25  Chris Ahlstrom <ahlstromcj@gmail.com>

	* ChangeLog, NEWS, README.md, RELNOTES, TODO, VERSION, configure,
	configure.ac, data/readme.text, data/readme.windows,
	doc/latex/tex/seq66-user-manual.tex, include/config.h.in,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h,
	libseq66/src/midi/calculations.cpp, nsis/Seq66Constants.nsh,
	nsis/Seq66Setup.nsi, nsis/build_release_package.bat: Updated version
	info, tweaked main time display.

2023-09-24  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, RELNOTES, TODO, VERSION, configure.ac,
	data/readme.text, data/readme.windows,
	doc/latex/tex/seq66-user-manual.tex, include/config.h.in,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h,
	libseq66/src/sessions/smanager.cpp, nsis/build_release_package.bat: 
	Release Notes for Seq66 v. 0.99.9 2023-09-24 -   Added an "Input Bus Routing" feature, where each pattern can be     set to receive events from a given input buss. Selectable from -   Refactored and extended zoom support in the song/pattern
	editors.  -   Can now select a line in the data pane and grab a handle to
	    change its value.  -   Implemented automation for BBT/HMS toggling, FF/Rewind,
	    Undo/Redo, Play-set Copy/Paste.  -   Added more seqroll keystokes. Enabled Esc to exit paint mode if     not playing. Added keystroke zoom handling to additional panes.  -   Added a show-hide build option to allow for a very small window.  -   Added HTML help files to data/share/doc/info for installation     and viewing. Help for hard-wired panel keystrokes.  -   The usual raft of humiliating bug-fixes:     -   Fixed nasty segfault opening new file with Editor tab open.      -   Fixed port-mapping Remap and Restart not restarting Seq66.      -   Fixed years-long bug in detecting Note-related events.      -   Fixed error in "quiet" startup that would cause immediate
	    exit.  -   Fixed error in copying info files in the NSIS build.      -   Fixed startup error in portmidi with missing ports;         however, still broken in the Windows build. See TODO.  Read the NEWS, README.md, and TODO files.

2023-09-24  Chris Ahlstrom <ahlstromcj@gmail.com>

	* RELNOTES: Updated RELNOTES.

2023-09-23  ahlstrom <ahlstromcj@gmail.com>

	* README.md, libseq66/include/midi/calculations.hpp,
	libseq66/include/midi/event.hpp,
	libseq66/src/midi/calculations.cpp, libseq66/src/midi/event.cpp,
	libseq66/src/midi/eventlist.cpp, seq_qt5/src/qseqdata.cpp: Fixed
	bugs in note detection, attempted to allow tempo dragging.

2023-09-22  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, data/linux/qseq66.usr, doc/latex/images/.gitignore,
	doc/latex/images/main-menu/edit/.gitignore,
	doc/latex/images/main-menu/file/.gitignore,
	doc/latex/images/main-menu/help/.gitignore,
	doc/latex/images/main-window/.gitignore,
	doc/latex/images/slot-menu/.gitignore,
	doc/latex/images/tabs/edit/.gitignore,
	doc/latex/images/tabs/events/.gitignore,
	doc/latex/images/tabs/live/.gitignore,
	doc/latex/images/tabs/mutes/.gitignore,
	doc/latex/images/tabs/playlist/.gitignore,
	doc/latex/images/tabs/sets/.gitignore,
	doc/latex/images/tabs/song/.gitignore,
	doc/latex/tex/configuration.tex, doc/latex/tex/live_grid.tex,
	doc/latex/tex/menu.tex, doc/latex/tex/pattern_editor.tex,
	libseq66/include/cfg/usrsettings.hpp,
	libseq66/src/cfg/cmdlineopts.cpp, libseq66/src/cfg/usrfile.cpp,
	libseq66/src/cfg/usrsettings.cpp,
	seq_qt5/forms/qperfeditframe64.ui, seq_qt5/forms/qsmainwnd.ui,
	seq_qt5/src/qperfeditframe64.cpp, seq_qt5/src/qseqdata.cpp,
	seq_qt5/src/qsmainwnd.cpp: Doc update, time-display
	refinements/fixes, removed redundant BBT/HMS button.
	* README.md, TODO, doc/latex/tex/alsa.tex,
	doc/latex/tex/live_grid.tex, doc/latex/tex/patterns_panel.tex,
	libseq66/include/cfg/usrsettings.hpp, libseq66/src/cfg/usrfile.cpp,
	libseq66/src/cfg/usrsettings.cpp,
	seq_qt5/forms/qperfeditframe64.ui, seq_qt5/forms/qsessionframe.ui,
	seq_qt5/forms/qsmainwnd.ui, seq_qt5/src/qperfeditframe64.cpp,
	seq_qt5/src/qseditoptions.cpp, seq_qt5/src/qsmainwnd.cpp: Added
	configurable time-display colors.

2023-09-21  Chris Ahlstrom <ahlstromcj@gmail.com>

	* INSTALL, doc/latex/tex/menu.tex,
	libseq66/include/play/performer.hpp,
	libseq66/include/seq66_features.h,
	libseq66/include/util/filefunctions.hpp,
	libseq66/src/cfg/usrsettings.cpp,
	libseq66/src/util/filefunctions.cpp,
	seq_qt5/forms/qsessionframe.ui, seq_qt5/forms/qsmainwnd.ui,
	seq_qt5/include/qsessionframe.hpp, seq_qt5/include/qsmainwnd.hpp,
	seq_qt5/src/qsessionframe.cpp, seq_qt5/src/qsmainwnd.cpp: Updated
	show/hide button, session log-file handling.
	* TODO, doc/latex/tex/event_editor.tex, doc/latex/tex/sessions.tex,
	resources/pixmaps/hide.xpm, resources/pixmaps/show.xpm,
	seq_qt5/forms/qsmainwnd.ui, seq_qt5/include/qsmainwnd.hpp,
	seq_qt5/include/qt5_helpers.hpp, seq_qt5/src/qsmainwnd.cpp,
	seq_qt5/src/qt5_helpers.cpp: Added optional show/hide button to
	compress main window.

2023-09-20  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, doc/latex/tex/event_editor.tex,
	doc/latex/tex/first_start.tex, doc/latex/tex/menu.tex,
	doc/latex/tex/patterns_panel.tex, doc/latex/tex/references.tex,
	doc/latex/tex/seq66-user-manual.tex,
	libseq66/include/cfg/rcsettings.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/src/cfg/rcsettings.cpp, libseq66/src/midi/businfo.cpp,
	libseq66/src/midi/mastermidibase.cpp,
	libseq66/src/play/performer.cpp,
	seq_portmidi/src/mastermidibus.cpp, seq_portmidi/src/pmlinuxalsa.c,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qslivegrid.cpp, seq_qt5/src/qsmainwnd.cpp,
	seq_rtmidi/src/midi_alsa_info.cpp, seq_rtmidi/src/rtmidi_info.cpp: 
	Finished input routing for ALSA/JACK/Portmidi, major user manual
	update.

2023-09-19  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/include/ctrl/automation.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/src/ctrl/automation.cpp,
	libseq66/src/ctrl/keycontainer.cpp,
	libseq66/src/ctrl/opcontrol.cpp, libseq66/src/midi/businfo.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/src/qslivegrid.cpp, seq_rtmidi/src/midi_alsa.cpp,
	seq_rtmidi/src/midi_alsa_info.cpp: Added record toggle for hot-keys,
	disabled input routing in ALSA and in Windows.

2023-09-18  Chris Ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/play/sequence.hpp,
	libseq66/src/midi/midifile.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/include/qseditoptions.hpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qslivegrid.cpp, seq_qt5/src/qsmainwnd.cpp: Fixed issues
	with saving in-bus settings, added bussoverride display to
	Preferences.

2023-09-17  ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/play/performer.hpp,
	libseq66/src/play/performer.cpp, seq_qt5/include/qslivebase.hpp,
	seq_qt5/src/qslivebase.cpp, seq_qt5/src/qslivegrid.cpp: Event buss
	routing enabled, needs testing.
	* data/share/doc/info/seqroll_keys.html,
	libseq66/include/midi/event.hpp,
	libseq66/include/midi/midi_vector_base.hpp,
	libseq66/include/midi/midibytes.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp, libseq66/src/midi/event.cpp,
	libseq66/src/midi/midi_vector_base.cpp,
	libseq66/src/midi/midifile.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/sequence.cpp, libseq66/src/play/songsummary.cpp,
	seq_qt5/src/qperfroll.cpp: Added macroed-out code for routing input
	by buss number.

2023-09-15  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, libseq66/include/cfg/rcsettings.hpp,
	libseq66/src/cfg/rcfile.cpp, libseq66/src/cfg/rcsettings.cpp,
	libseq66/src/play/metro.cpp, libseq66/src/play/sequence.cpp,
	libseq66/src/sessions/smanager.cpp, seq_qt5/src/qmutemaster.cpp,
	seq_qt5/src/qseditoptions.cpp: Interim check-in, mute-master errors
	fixed, spurious bg recording notes from Launchpad.

2023-09-14  Chris Ahlstrom <ahlstromcj@gmail.com>

	* libseq66/src/midi/midifile.cpp, libseq66/src/play/metro.cpp,
	libseq66/src/play/performer.cpp: Still tweaking weak background
	recording.

2023-09-13  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, doc/latex/tex/menu.tex, doc/latex/tex/patterns_panel.tex,
	libseq66/include/play/performer.hpp, libseq66/src/play/metro.cpp,
	libseq66/src/play/performer.cpp, resources/pixmaps/metro_on.xpm,
	seq_qt5/src/qseditoptions.cpp, seq_qt5/src/qslivegrid.cpp: Fixing
	broken background recording in progress.
	* TODO, data/share/doc/info/common_keys.html,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/src/qperfroll.cpp, seq_qt5/src/qseqroll.cpp,
	seq_qt5/src/qt5nsmanager.cpp: Minor fixes to startup messaging and
	docs.

2023-09-12  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, data/share/doc/info/automation_keys.html,
	data/share/doc/info/common_keys.html,
	data/share/doc/info/mute_group_keys.html,
	data/share/doc/info/pattern_hotkeys.html,
	data/share/doc/info/seqroll_keys.html,
	data/share/doc/info/songroll_keys.html,
	doc/latex/tex/defaultkeys.tex, doc/latex/tex/kbd_mouse.tex,
	include/config.h.in, libseq66/include/cfg/zoomer.hpp,
	libseq66/src/cfg/zoomer.cpp, seq_qt5/forms/qsappinfo.ui,
	seq_qt5/include/qeditbase.hpp, seq_qt5/include/qsappinfo.hpp,
	seq_qt5/include/qscrollmaster.h, seq_qt5/src/qperfeditframe64.cpp,
	seq_qt5/src/qsappinfo.cpp, seq_qt5/src/qscrollmaster.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqroll.cpp,
	seq_qt5/src/qslivegrid.cpp, seq_qt5/src/qstriggereditor.cpp: Tweaked
	zoom scrolling, update keys HTML documentation.
	* README.md, TODO, configure.ac,
	data/share/doc/info/common_keys.html,
	seq_qt5/include/qseditoptions.hpp, seq_qt5/src/qclocklayout.cpp,
	seq_qt5/src/qinputcheckbox.cpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qt5nsmanager.cpp: Fixes to edit options and error
	reporting.

2023-09-11  Chris Ahlstrom <ahlstromcj@gmail.com>

	* NEWS, README.md, RELNOTES, TODO, seq_qt5/include/qseqbase.hpp,
	seq_qt5/include/qseqeditframe64.hpp, seq_qt5/include/qsmainwnd.hpp,
	seq_qt5/src/qseqbase.cpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qsmainwnd.cpp: Fixed removing modified marker from
	seqedit after saving.
	* TODO, libseq66/src/cfg/zoomer.cpp, seq_qt5/include/qperfroll.hpp,
	seq_qt5/include/qseqroll.hpp, seq_qt5/src/qperfroll.cpp,
	seq_qt5/src/qseqdata.cpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qseqtime.cpp, seq_qt5/src/qstriggereditor.cpp: Zoom and
	alignment fixes in place.

2023-09-10  ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, seq_qt5/include/qperfeditframe64.hpp,
	seq_qt5/include/qseqeditframe64.hpp,
	seq_qt5/src/qperfeditframe64.cpp, seq_qt5/src/qperfroll.cpp,
	seq_qt5/src/qperftime.cpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qseqroll.cpp: Zoom refactoring works except for 0 reset
	in perfedit.

2023-09-09  ahlstrom <ahlstromcj@gmail.com>

	* contrib/code/ring_buffer.hpp, libseq66/include/cfg/zoomer.hpp,
	libseq66/include/play/mutegroups.hpp,
	libseq66/src/cfg/settings.cpp, seq_qt5/include/qbase.hpp,
	seq_qt5/include/qeditbase.hpp,
	seq_qt5/include/qperfeditframe64.hpp,
	seq_qt5/include/qperfroll.hpp, seq_qt5/include/qseqdata.hpp,
	seq_qt5/include/qseqeditframe64.hpp, seq_qt5/include/qseqframe.hpp,
	seq_qt5/src/qbase.cpp, seq_qt5/src/qeditbase.cpp,
	seq_qt5/src/qmutemaster.cpp, seq_qt5/src/qperfeditframe64.cpp,
	seq_qt5/src/qperfroll.cpp, seq_qt5/src/qperftime.cpp,
	seq_qt5/src/qseqdata.cpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qseqframe.cpp, seq_qt5/src/qseqroll.cpp,
	seq_qt5/src/qseqtime.cpp: Seq horizontal zoom works, needs cleanup,
	Perf zoom hangs.

2023-09-08  Chris Ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/Makefile.in, libseq66/src/Makefile.in: Added
	zoomer to makefiles.
	* libseq66/include/Makefile.am, libseq66/include/cfg/zoomer.hpp,
	libseq66/libseq66.pro, libseq66/src/Makefile.am,
	libseq66/src/cfg/zoomer.cpp: Built zoomer class.
	* libseq66/include/cfg/settings.hpp,
	libseq66/include/cfg/zoomer.hpp,
	libseq66/include/midi/calculations.hpp,
	libseq66/src/cfg/settings.cpp, libseq66/src/cfg/zoomer.cpp,
	libseq66/src/midi/calculations.cpp,
	libseq66/src/midi/midi_vector_base.cpp,
	seq_qt5/include/qeditbase.hpp: Added a not-yet-used zoom calculation
	module.
	* seq_qt5/include/qeditbase.hpp, seq_qt5/src/qbase.cpp,
	seq_qt5/src/qeditbase.cpp, seq_qt5/src/qperfroll.cpp,
	seq_qt5/src/qperftime.cpp, seq_qt5/src/qseqdata.cpp,
	seq_qt5/src/qseqtime.cpp: Disabled zoom-expansion hack pending
	refactoring of zoom.

2023-09-07  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, libseq66/include/cfg/usrsettings.hpp,
	seq_qt5/include/qeditbase.hpp, seq_qt5/include/qseqdata.hpp,
	seq_qt5/src/qeditbase.cpp, seq_qt5/src/qperfeditframe64.cpp,
	seq_qt5/src/qseqdata.cpp: Working on expanded zoom-in hack.
	* README.md, RELNOTES, TODO, doc/latex/tex/pattern_editor.tex,
	libseq66/include/midi/event.hpp,
	libseq66/include/midi/eventlist.hpp,
	libseq66/include/play/sequence.hpp, libseq66/src/midi/event.cpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/include/qseqdata.hpp, seq_qt5/include/qsmainwnd.hpp,
	seq_qt5/src/qmutemaster.cpp, seq_qt5/src/qperfroll.cpp,
	seq_qt5/src/qperftime.cpp, seq_qt5/src/qplaylistframe.cpp,
	seq_qt5/src/qseqdata.cpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qseqroll.cpp, seq_qt5/src/qseqtime.cpp,
	seq_qt5/src/qsetmaster.cpp, seq_qt5/src/qslivegrid.cpp,
	seq_qt5/src/qsmainwnd.cpp, seq_qt5/src/qstriggereditor.cpp: Fixed
	Editor tab segfault, grab-handles solidified.

2023-09-06  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/include/midi/event.hpp,
	libseq66/include/play/sequence.hpp, libseq66/src/cfg/scales.cpp,
	libseq66/src/midi/event.cpp, libseq66/src/midi/eventlist.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/include/qseqdata.hpp,
	seq_qt5/src/qseqdata.cpp, seq_qt5/src/qseqeditframe64.cpp: In regard
	to issue #115, got a grab handle implemented in the data pane, needs
	more testing.

2023-09-05  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, doc/latex/tex/references.tex,
	libseq66/include/midi/event.hpp,
	libseq66/include/midi/eventlist.hpp,
	libseq66/include/play/sequence.hpp, libseq66/src/midi/event.cpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/include/qseqdata.hpp, seq_qt5/src/qseqdata.cpp: Laying
	groundwork for data event grab handles.
	* README.md, data/linux/qseq66.ctrl, data/samples/nanomap.ctrl,
	doc/latex/tex/configuration.tex, doc/latex/tex/pattern_editor.tex,
	doc/latex/tex/song_editor.tex, libseq66/include/ctrl/opcontrol.hpp,
	libseq66/include/midi/calculations.hpp,
	libseq66/src/ctrl/midicontrolout.cpp,
	libseq66/src/ctrl/opcontrol.cpp,
	libseq66/src/midi/calculations.cpp,
	libseq66/src/play/performer.cpp, seq_qt5/src/qperfroll.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqroll.cpp: Updated
	keystroke automation and naming.

2023-09-04  ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/play/performer.hpp,
	libseq66/src/play/performer.cpp, seq_qt5/src/qt5nsmanager.cpp: Fixed
	another bug in port-map restart.
	* README.md, Seq66qt5/seq66qt5.cpp, TODO,
	data/samples/nanomap.ctrl, data/share/doc/info/common_keys.html,
	doc/latex/tex/pattern_editor.tex, doc/latex/tex/song_editor.tex,
	libseq66/include/os/daemonize.hpp,
	libseq66/src/ctrl/keycontainer.cpp, libseq66/src/os/daemonize.cpp,
	libseq66/src/play/performer.cpp,
	libseq66/src/sessions/smanager.cpp,
	seq_qt5/src/qperfeditframe64.cpp, seq_qt5/src/qperfroll.cpp,
	seq_qt5/src/qseditoptions.cpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qt5nsmanager.cpp: Fixed port-map restart and added Esc
	of paint mode.

2023-09-03  ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, data/samples/nanomap.ctrl,
	libseq66/include/cfg/rcsettings.hpp,
	libseq66/include/ctrl/automation.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/src/ctrl/automation.cpp,
	libseq66/src/ctrl/keycontainer.cpp,
	libseq66/src/ctrl/opcontrol.cpp, libseq66/src/play/performer.cpp,
	seq_qt5/src/qseqeditframe64.cpp: Added most of the rest of
	automation controls, much testing needed.

2023-09-02  ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, data/samples/nanomap.ctrl,
	libseq66/include/play/performer.hpp,
	libseq66/src/play/performer.cpp, seq_qt5/include/qsmainwnd.hpp,
	seq_qt5/src/qsmainwnd.cpp: Updated nanomap.ctrl, add L/R automation.
	* contrib/notes/key-maps-dump.text,
	contrib/notes/midi-control-in.text,
	doc/latex/tex/configuration.tex, libseq66/src/ctrl/keymap.cpp: 
	Documentation and debug code inspired by a poor ctrl-file edit.

2023-09-01  Chris Ahlstrom <ahlstromcj@gmail.com>

	* data/linux/qseq66-lp-mini-alt.ctrl,
	libseq66/include/midi/event.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/src/qsmainwnd.cpp: Added BBT/HMS automation and live
	repitch, to test.
	* data/share/doc/info/common_keys.html,
	data/share/doc/info/seqroll_keys.html,
	libseq66/include/play/notemapper.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp, libseq66/src/play/metro.cpp,
	libseq66/src/play/notemapper.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qseqroll.cpp, seq_qt5/src/qslivegrid.cpp: Seqroll
	keystroke upgrades, note-mapper upgrade.

2023-08-31  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, include/qt/rtmidi/seq66-config.h,
	libseq66/include/play/performer.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/include/qbase.hpp, seq_qt5/include/qperfbase.hpp,
	seq_qt5/include/qseqdata.hpp, seq_qt5/include/qseqeditframe64.hpp,
	seq_qt5/include/qseqkeys.hpp, seq_qt5/include/qseqroll.hpp,
	seq_qt5/include/qseqtime.hpp, seq_qt5/include/qstriggereditor.hpp,
	seq_qt5/src/qloopbutton.cpp, seq_qt5/src/qseqeditframe64.cpp: 
	Recording refactoring basically done.

2023-08-30  Chris Ahlstrom <ahlstromcj@gmail.com>

	* data/Makefile.in, libseq66/include/midi/calculations.hpp,
	libseq66/include/midi/jack_assistant.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/include/seq66_features.hpp, libseq66/src/play/metro.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	libseq66/src/seq66_features.cpp, seq_qt5/include/qslivegrid.hpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqroll.cpp,
	seq_qt5/src/qslivegrid.cpp: Refactoring recording type and style,
	needs rigorous testing.

2023-08-29  ahlstrom <ahlstromcj@gmail.com>

	* data/share/doc/info/common_keys.html,
	data/share/doc/info/seqroll_keys.html,
	data/share/doc/info/songroll_keys.html,
	libseq66/src/seq66_features.cpp,
	libseq66/src/sessions/clinsmanager.cpp, seq_qt5/src/qperfroll.cpp,
	seq_qt5/src/qseqroll.cpp: Update keys htmls and added reading of
	/etc/issue.

2023-08-28  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, RELNOTES, TODO, configure, data/Makefile.am,
	data/readme.text, data/readme.windows,
	data/share/doc/info/automation_keys.html,
	data/share/doc/info/common_keys.html,
	data/share/doc/info/seqroll_keys.html,
	data/share/doc/info/songroll_keys.html, doc/latex/tex/menu.tex,
	include/config.h.in, libseq66/include/cfg/settings.hpp,
	libseq66/include/play/performer.hpp, libseq66/src/cfg/settings.cpp,
	libseq66/src/play/performer.cpp, nsis/Seq66Setup.nsi,
	nsis/build_release_package.bat, seq_qt5/forms/qsappinfo.ui,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/include/qsappinfo.hpp,
	seq_qt5/src/qmutemaster.cpp, seq_qt5/src/qsappinfo.cpp: Version
	bump, added some HTML help for keys with installation script
	updates.

2023-08-27  Chris Ahlstrom <ahlstromcj@gmail.com>

	* NEWS, README.md, VERSION, configure.ac,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h, nsis/Seq66Constants.nsh,
	nsis/Seq66Setup.nsi, nsis/build_release_package.bat: Prep for
	0.99.9.

2023-08-27  Chris Ahlstrom <ahlstromcj@gmail.com>

	* ChangeLog, README.md, RELNOTES, VERSION, configure.ac,
	data/license.text, data/readme.text, data/readme.windows,
	doc/latex/tex/configuration.tex, doc/latex/tex/pattern_editor.tex,
	include/config.h.in, include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h, nsis/Seq66Constants.nsh,
	nsis/Seq66Setup.nsi, nsis/build_release_package.bat: Release Notes
	for Seq66 v. 0.99.8 2023-08-27     -   Issue #112: A new pattern now displays in the MIDI
	    controller.  -   Issue #114: Adding display of shortcut keys to tool tips.      -   Added a Pattern tab to Edit / Preferences for more settings.      -   Added automation for the main window Loop L/R button.      -   Fixed seqroll drawing errors introduced in adding time-sig         support.      -   Fixed incomplete data-pane refresh in scrolling with         arrow-keys.      -   Fixed not setting up SIGINT, which prevented a proper
	    shutdown.  -   Fixed a couple corrupted sample *.mid files.      -   Changing playlist setting enables Session Restart button.      -   Removed coloring of record-style and -mode buttons. Added         coloring of event-editor "Store" button to denote saving is         needed.      -   Refactoring quantization alterations for future upgrades.
	        Added an option to jitter the notes in the seqroll.      -   Enforced that configuration files are stored in the "home"         directory.      -   The usual raft of humiliating bug-fixes. See README.md.  Read the NEWS, README.md, and TODO files.

2023-08-26  ahlstrom <ahlstromcj@gmail.com>

	* TODO, seq_qt5/forms/qsappinfo.ui, seq_qt5/forms/qsmainwnd.ui,
	seq_qt5/include/qsmainwnd.hpp, seq_qt5/src/qsappinfo.cpp,
	seq_qt5/src/qsmainwnd.cpp: Added basic Help / App Keys command.
	* TODO, doc/latex/tex/menu.tex, doc/latex/tex/seq66-user-manual.tex: 
	Updating some diagrams, noting a PPQN issue to be fixed.

2023-08-25  ahlstrom <ahlstromcj@gmail.com>

	* doc/latex/tex/menu.tex, libseq66/src/midi/calculations.cpp,
	libseq66/src/play/sequence.cpp: Fixed randomization, documented it.
	* TODO, libseq66/include/midi/calculations.hpp,
	libseq66/src/midi/calculations.cpp, libseq66/src/midi/event.cpp,
	seq_qt5/include/qseqeditframe64.hpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqroll.cpp: Tried
	uniform_int_distribution, macroed out because it works no better
	than rand().
	* README.md, RELNOTES, TODO, libseq66/include/cfg/usrsettings.hpp,
	libseq66/src/cfg/usrfile.cpp, libseq66/src/cfg/usrsettings.cpp,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/include/qseditoptions.hpp,
	seq_qt5/src/qseditoptions.cpp: Added Edit / Preferences / Pattern
	tab.

2023-08-24  Chris Ahlstrom <ahlstromcj@gmail.com>

	* RELNOTES, TODO, include/config.h.in, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/play/performer.cpp, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/include/qseditoptions.hpp, seq_qt5/src/qseditoptions.cpp: 
	Fixed playlist file-name issue and laid ground for new Pattern
	preferences tab.
	* README.md, RELNOTES, TODO, VERSION, configure.ac,
	libseq66/src/cfg/configfile.cpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/cfg/rcsettings.cpp, libseq66/src/play/performer.cpp,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/src/qseditoptions.cpp: 
	Enforced HOME directory for configuration files.

2023-08-23  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, libseq66/include/play/performer.hpp,
	libseq66/src/cfg/rcfile.cpp, libseq66/src/midi/jack_assistant.cpp,
	libseq66/src/play/clockslist.cpp, libseq66/src/play/performer.cpp,
	seq_qt5/include/qt5_helpers.hpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qt5_helpers.cpp: Added
	tooltips to filenames in Preference / Session.

2023-08-22  ahlstrom <ahlstromcj@gmail.com>

	* README.md, libseq66/src/play/performer.cpp,
	seq_qt5/src/qseqeditframe64.cpp: Saving rc file on a restart when
	remapping ports, reloading the event menus when recording stops.
	* libseq66/include/cfg/configfile.hpp,
	libseq66/include/play/portslist.hpp,
	libseq66/src/cfg/configfile.cpp, libseq66/src/cfg/usrfile.cpp,
	libseq66/src/play/performer.cpp, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/forms/qseqeditframe64.ui, seq_qt5/src/qseqeditframe64.cpp: 
	Fixed bugs in record button, port saving, and appearance.
	* seq_qt5/forms/Makefile.in, seq_qt5/include/Makefile.in,
	seq_qt5/src/Makefile.in: Checking in modified Makefile.in files.
	* libseq66/include/cfg/settings.hpp,
	libseq66/include/util/filefunctions.hpp,
	libseq66/src/cfg/settings.cpp, libseq66/src/util/filefunctions.cpp,
	seq_qt5/forms/Makefile.am, seq_qt5/forms/qsappinfo.ui,
	seq_qt5/include/Makefile.am, seq_qt5/include/qsappinfo.hpp,
	seq_qt5/seq_qt5.pro, seq_qt5/src/Makefile.am,
	seq_qt5/src/qsappinfo.cpp, seq_qt5/src/qsbuildinfo.cpp: Added
	qsappinfo and file_read() for the future.

2023-08-21  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/include/seq66_features.hpp,
	libseq66/src/seq66_features.cpp, seq_qt5/include/qt5_helpers.hpp,
	seq_qt5/src/palettefile.cpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qseqeventframe.cpp, seq_qt5/src/qseqroll.cpp,
	seq_qt5/src/qslivegrid.cpp, seq_qt5/src/qsmainwnd.cpp,
	seq_qt5/src/qt5_helpers.cpp: Pane focus, Store button coloring, and
	QMenu refinement.
	* TODO, contrib/code/qsliveframe.cpp, contrib/code/qsliveframe.hpp,
	contrib/code/qsliveframe.ui, seq_qt5/include/qt5_helpers.hpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqroll.cpp,
	seq_qt5/src/qslivegrid.cpp, seq_qt5/src/qt5_helpers.cpp: Refining
	new QAction creation.

2023-08-20  ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/include/midi/eventlist.hpp,
	libseq66/include/play/sequence.hpp, libseq66/src/cfg/usrfile.cpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/include/qseqeditframe64.hpp, seq_qt5/src/qpatternfix.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qt5_helpers.cpp: 
	Tightening the seqedit note-alteration code, still some bugs.

2023-08-19  ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/include/cfg/usrsettings.hpp,
	libseq66/include/midi/calculations.hpp,
	libseq66/include/midi/event.hpp,
	libseq66/include/midi/eventlist.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/cfg/usrsettings.cpp,
	libseq66/src/ctrl/keycontainer.cpp,
	libseq66/src/ctrl/opcontrol.cpp, libseq66/src/midi/event.cpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/include/qpatternfix.hpp,
	seq_qt5/include/qseqeditframe64.hpp, seq_qt5/src/qpatternfix.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqroll.cpp,
	seq_rtmidi/src/midi_jack_data.cpp: Got jitter working, added usr
	setting, but see TODO.

2023-08-18  ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/midi/eventlist.hpp,
	libseq66/include/play/sequence.hpp, libseq66/src/midi/event.cpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/src/qloopbutton.cpp: Refining the event-randomization
	functions.

2023-08-17  ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/midi/eventlist.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqroll.cpp: Fixed not
	quantizing Note Off and making Note Off at least a snap away from
	quantized Note On.
	* INSTALL, README.md, libseq66/include/cfg/usrsettings.hpp,
	libseq66/include/ctrl/automation.hpp,
	libseq66/include/midi/calculations.hpp,
	libseq66/include/midi/event.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/cfg/usrsettings.cpp, libseq66/src/ctrl/automation.cpp,
	libseq66/src/midi/event.cpp, libseq66/src/midi/eventlist.cpp,
	libseq66/src/play/metro.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/include/qpatternfix.hpp,
	seq_qt5/src/qpatternfix.cpp, seq_qt5/src/qslivegrid.cpp: Refactored
	quantization/tighten, but bug prevents quantizing Note Offs.

2023-08-16  Chris Ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/cfg/usrsettings.hpp,
	libseq66/include/ctrl/automation.hpp,
	libseq66/include/midi/calculations.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/midi/calculations.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp: 
	Refactoring quantized recording, beware.
	* README.md, libseq66/include/cfg/usrsettings.hpp,
	libseq66/include/ctrl/automation.hpp,
	libseq66/src/play/performer.cpp, seq_qt5/src/qplaylistframe.cpp,
	seq_qt5/src/qslivegrid.cpp: Enabled restart when playlist changes.

2023-08-15  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, seq_qt5/include/qseqroll.hpp,
	seq_qt5/include/qstriggereditor.hpp, seq_qt5/src/qseqroll.cpp,
	seq_qt5/src/qstriggereditor.cpp: Fixed some secondary errors found
	working on other issues.
	* TODO, libseq66/src/play/performer.cpp,
	seq_qt5/forms/qseqeditframe64.ui, seq_qt5/src/qseqeditframe64.cpp: 
	Work on issues #112 and #114.

2023-08-14  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, doc/latex/tex/patterns_panel.tex,
	libseq66/include/ctrl/automation.hpp,
	libseq66/src/ctrl/opcontrol.cpp, libseq66/src/play/performer.cpp,
	seq_qt5/forms/qperfeditframe64.ui,
	seq_qt5/forms/qseqeditframe64.ui, seq_qt5/forms/qslivegrid.ui,
	seq_qt5/forms/qsmainwnd.ui, seq_qt5/src/qperfeditframe64.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qslivegrid.cpp,
	seq_qt5/src/qsmainwnd.cpp: More tool-tip upgrades for issue #114,
	next do the pattern editor.

2023-08-13  ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/include/ctrl/automation.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/src/ctrl/midicontrolin.cpp,
	libseq66/src/play/performer.cpp, seq_qt5/forms/qperfeditframe64.ui,
	seq_qt5/forms/qsmainwnd.ui, seq_qt5/src/qperfeditframe64.cpp,
	seq_qt5/src/qsmainwnd.cpp, seq_qt5/src/qt5_helpers.cpp: Add loop L/R
	automation, more work on issue #114.

2023-08-12  ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/ctrl/keycontainer.hpp,
	libseq66/src/cfg/midicontrolfile.cpp,
	libseq66/src/ctrl/keycontainer.cpp,
	seq_qt5/include/qt5_helpers.hpp, seq_qt5/src/qsmainwnd.cpp,
	seq_qt5/src/qt5_helpers.cpp: Work for issue #114, adding automation
	key-name lookup to add key-name to tool-tips.

2023-08-09  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/include/util/filefunctions.hpp,
	libseq66/src/os/daemonize.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/sessions/clinsmanager.cpp,
	libseq66/src/util/filefunctions.cpp, seq_qt5/src/qseqroll.cpp,
	seq_qt5/src/qseqtime.cpp, seq_qt5/src/qstriggereditor.cpp,
	seq_qt5/src/qt5nsmanager.cpp: Fixed seqroll drawing errors and
	SIGINT setup.

2023-08-06  ahlstrom <ahlstromcj@gmail.com>

	* TODO, data/linux/qseq66-azerty-fr.keymap,
	data/linux/qseq66-qwerty-us.keymap, data/linux/qseq66.playlist,
	data/linux/qseq66.usr, data/samples/ca_midi.playlist: Sample config
	file updates.

2023-07-31  Chris Ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/util/strfunctions.hpp,
	libseq66/src/util/strfunctions.cpp: Backported string_to_float()
	function.

2023-07-28  ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/util/strfunctions.hpp,
	libseq66/src/util/strfunctions.cpp: Backported hanging_word_wrap().

2023-07-27  Chris Ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/util/strfunctions.hpp,
	libseq66/src/util/strfunctions.cpp: Backported the strfunction
	word_wrap() function.

2023-07-23  Chris Ahlstrom <ahlstromcj@gmail.com>

	* contrib/vim-syntax/cpp.vim, libseq66/include/os/daemonize.hpp,
	libseq66/include/util/filefunctions.hpp,
	libseq66/src/os/daemonize.cpp, libseq66/src/util/filefunctions.cpp: 
	Backport a filefunction function.

2023-07-19  Chris Ahlstrom <ahlstromcj@gmail.com>

	* configure, configure.ac, distros/README, {arch =>
	distros/arch}/README, {arch => distros/arch}/package/PKGBUILD,
	{arch => distros/arch}/package/PKGBUILD-alt, {debian =>
	distros/debian}/README, {debian => distros/debian}/bash.rc, {debian
	=> distros/debian}/changelog, {debian => distros/debian}/compat,
	{debian => distros/debian}/control, {debian =>
	distros/debian}/copyright, {debian => distros/debian}/gbp.conf,
	{debian => distros/debian}/install, {debian =>
	distros/debian}/libseq66-dev.install, {debian =>
	distros/debian}/libseq66.install, {debian => distros/debian}/menu,
	{debian => distros/debian}/rules, {debian =>
	distros/debian}/seq-rtmidi-dev.install, {debian =>
	distros/debian}/seq-rtmidi.install, {debian =>
	distros/debian}/seq66.desktop, {debian =>
	distros/debian}/seq66.install, {debian =>
	distros/debian}/seq66.xpm, {debian =>
	distros/debian}/source/format, {debian => distros/debian}/watch,
	distros/fedora/README, distros/fedora/seq66.spec,
	distros/nixos/README, distros/nixos/default.nix,
	include/config.h.in, libseq66/src/seq66_features.cpp,
	seq_qt5/forms/qslivegrid.ui, seq_qt5/src/qloopbutton.cpp: Prep for
	0.99.8, added more distro packages.
	* ChangeLog, RELNOTES, VERSION, configure.ac,
	contrib/notes/install-directories.text,
	data/share/doc/tutorial/home.html,
	data/share/doc/tutorial/tutorial_first_startup.html,
	data/win/qpseq66.rc, doc/README, doc/latex/tex/first_start.tex,
	doc/latex/tex/seq66-user-manual.tex, doc/latex/tex/windows.tex,
	include/config.h.in, include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h, libseq66/src/cfg/settings.cpp,
	nsis/README, nsis/Seq66Constants.nsh,
	nsis/build_release_package.bat: Release Notes for Seq66 v. 0.99.7
	2023-07-19 This file lists __major__ changes in version 0.99.7     -   Issue #110 follow-ons:         -   Fixed saving tempo (BPM) in Windows when changed from
	            main window. Caused by mixing a long and size_t; messed up
	            in Windows builds.      -   Issue #111 follow-ons:         -   Fixed initial time-signature drawing in data pane.          -   Fixed errors in inserting a time-signature.          -   Added a pulse (tick) calculator to iterate through             time-signatures.      -   Fixed an important port-translation bug in output
	    port-mapping.  -   Revamped the Playlist tab, as it was confusing and very buggy.      -   Added auto-play and auto-advance to play-lists.      -   Issue #102: Added Windows key-mapping to fix processing         "native virtual" keys, such as the arrow keys.  Read the
	NEWS, README.md, and TODO files.
	* README.md, TODO, doc/latex/tex/configuration.tex,
	doc/latex/tex/launchpad_mini.tex, doc/latex/tex/windows.tex,
	libseq66/src/ctrl/keymap.cpp, libseq66/src/ctrl/winkeys.hpp: Doc
	updates and Windows/AZERTY keymap tweaks.

2023-07-18  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, RELNOTES, contrib/notes/win-virtual-keys.text,
	libseq66/src/ctrl/keymap.cpp, libseq66/src/ctrl/winkeys.hpp,
	seq_qt5/forms/qsessionframe.ui, seq_qt5/src/qt5_helpers.cpp: Added
	Windows key-mapping module.

2023-07-17  Chris Ahlstrom <ahlstromcj@gmail.com>

	* data/readme.text, data/readme.windows,
	data/win/win_midi.playlist, nsis/README, nsis/Seq66Constants.nsh,
	nsis/Seq66Setup.nsi, nsis/build_release_package.bat,
	seq_qt5/src/qt5_helpers.cpp: Windows installer updates and fixes.
	* README.md, TODO, libseq66/src/cfg/rcsettings.cpp,
	libseq66/src/play/performer.cpp, seq_qt5/src/qsmainwnd.cpp: Minor
	playlist fixes.

2023-07-16  Chris Ahlstrom <ahlstromcj@gmail.com>

	* INSTALL, TODO, libseq66/include/play/performer.hpp,
	libseq66/include/seq66_features.h, libseq66/src/play/performer.cpp,
	libseq66/src/play/sequence.cpp, resources/pixmaps/panic2.xpm,
	seq_qt5/forms/qsmainwnd.ui, seq_qt5/src/qseqtime.cpp,
	seq_qt5/src/qsmainwnd.cpp: Auto-advance seems to be perfected, let
	us pray.

2023-07-14  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, RELNOTES, TODO, doc/latex/tex/playlist.tex,
	libseq66/include/play/playlist.hpp,
	libseq66/src/cfg/playlistfile.cpp, libseq66/src/play/performer.cpp,
	seq_qt5/forms/qperfeditframe64.ui, seq_qt5/forms/qsessionframe.ui,
	seq_qt5/src/qplaylistframe.cpp: Auto-advance almost working.

2023-07-13  Chris Ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/play/performer.hpp,
	libseq66/include/play/playlist.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/playlist.cpp,
	seq_qt5/forms/qplaylistframe.ui,
	seq_qt5/include/qplaylistframe.hpp, seq_qt5/src/qplaylistframe.cpp: 
	Auto-play improved, added support for play-list auto-advance.

2023-07-12  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, RELNOTES, configure.ac, doc/latex/tex/playlist.tex,
	include/config.h.in, libseq66/include/play/performer.hpp,
	libseq66/include/play/playlist.hpp,
	libseq66/src/cfg/playlistfile.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/playlist.cpp, seq_qt5/forms/qplaylistframe.ui,
	seq_qt5/include/qplaylistframe.hpp, seq_qt5/src/qplaylistframe.cpp,
	seq_qt5/src/qsmainwnd.cpp: Added auto-play support to playlists,
	needs some tinkering.
	* README.md, RELNOTES, TODO, libseq66/src/play/performer.cpp: Fixed
	a nasty bug in output port-mapping lookup.

2023-07-11  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, data/samples/ca_midi.playlist,
	doc/latex/tex/configuration.tex, doc/latex/tex/playlist.tex,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/playlist.hpp,
	libseq66/src/cfg/playlistfile.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/playlist.cpp, seq_qt5/forms/qplaylistframe.ui,
	seq_qt5/include/qplaylistframe.hpp, seq_qt5/src/qplaylistframe.cpp,
	seq_qt5/src/qsmainwnd.cpp: Fixed handling MIDI file paths in
	playlists.

2023-07-10  Chris Ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/play/performer.hpp,
	libseq66/include/play/playlist.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/playlist.cpp,
	seq_qt5/forms/qplaylistframe.ui, seq_qt5/forms/qseqeventframe.ui,
	seq_qt5/include/qplaylistframe.hpp, seq_qt5/src/qplaylistframe.cpp: 
	Playlist UI tweaks, added list activation function.

2023-07-09  ahlstrom <ahlstromcj@gmail.com>

	* TODO, libseq66/include/play/performer.hpp,
	libseq66/include/play/playlist.hpp,
	libseq66/src/cfg/playlistfile.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/playlist.cpp, seq_qt5/forms/qplaylistframe.ui,
	seq_qt5/include/qplaylistframe.hpp,
	seq_qt5/include/qt5_helpers.hpp, seq_qt5/src/qplaylistframe.cpp,
	seq_qt5/src/qsmainwnd.cpp, seq_qt5/src/qt5_helpers.cpp: More
	playlist revamping, nearly done.

2023-07-08  ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, seq_qt5/forms/qplaylistframe.ui,
	seq_qt5/include/qplaylistframe.hpp, seq_qt5/include/qsmainwnd.hpp,
	seq_qt5/include/qt5_helpers.hpp, seq_qt5/src/qplaylistframe.cpp,
	seq_qt5/src/qsmainwnd.cpp, seq_qt5/src/qt5_helpers.cpp: More
	playlist revamping, much more to come.

2023-07-07  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, doc/latex/tex/first_start.tex, doc/latex/tex/windows.tex,
	seq_qt5/forms/qmutemaster.ui, seq_qt5/forms/qplaylistframe.ui,
	seq_qt5/forms/qsessionframe.ui, seq_qt5/forms/qsetmaster.ui,
	seq_qt5/include/qplaylistframe.hpp, seq_qt5/include/qsmainwnd.hpp,
	seq_qt5/src/qplaylistframe.cpp, seq_qt5/src/qsmainwnd.cpp: Starting
	improvement of Playlists tab.

2023-07-06  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, RELNOTES, TODO, libseq66/include/midi/midifile.hpp,
	libseq66/src/midi/midifile.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/src/qsmainwnd.cpp: Fixed BPM saving error in Windows, issue
	#110.

2023-07-05  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, libseq66/include/midi/calculations.hpp,
	libseq66/include/midi/editable_events.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/midi/calculations.cpp,
	libseq66/src/midi/editable_events.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/src/qseqroll.cpp, seq_qt5/src/qseqtime.cpp,
	seq_qt5/src/qseventslots.cpp, seq_qt5/src/qstriggereditor.cpp: Issue
	#111 time-sig insertion solved.

2023-07-03  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/include/midi/calculations.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/midi/calculations.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/src/qseqdata.cpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qseqeventframe.cpp, seq_qt5/src/qseqtime.cpp: Some more
	fixes to time-signature analysis.

2023-07-01  Chris Ahlstrom <ahlstromcj@gmail.com>

	* INSTALL, README.md, TODO, VERSION, configure, configure.ac,
	include/config.h.in, include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h,
	libseq66/include/play/sequence.hpp,
	libseq66/include/seq66_features.h, libseq66/src/play/sequence.cpp,
	seq_qt5/include/qseqtime.hpp, seq_qt5/include/qstriggereditor.hpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqroll.cpp,
	seq_qt5/src/qseqtime.cpp, seq_qt5/src/qstriggereditor.cpp: Cleanup
	for next version of Seq66.
	* ChangeLog, RELNOTES, contrib/git/git.text, {nsis =>
	contrib/scripts}/build_debug_code.bat, data/license.text,
	data/readme.text, data/readme.windows,
	doc/latex/tex/port_mapping.tex, nsis/README,
	nsis/build_release_package.bat, nsis/winddeploybruteforce.bat: 
	Release Notes for Seq66 v. 0.99.6 2023-07-01 This file lists __major__ changes from version 0.99.6     -   Issue #3 follow-ons:         -   Pattern editor panes stay in sync with the piano roll
	            using the hjkl, arrow, and page keys. Scroll wheel works in             the piano roll.      -   Issue #110 follow-ons:         -   Addition of Start menu entries for Windows.          -   Fixed access to the tutorial and manual.          -   data/readme & doc/tutorial files fixed for NSIS
	        installer.  -   Fixed the saving of modified tempo changes.          -   Fixed changing note velocities in the pattern editor
	            data pane.  Improved velocity-change undo.          -   Fixed error preventing changing the "background"
	        pattern.  -   Remaining issue: Building 32-bit (Windows XP) version on             64-bit Windows.      -   Issue #111:         -   Added support for editing, storing, and displaying time             signatures in the pattern and event editors.          -   The first time-signature in a pattern becomes the main             time signature of the pattern.          -   The data pane shows a time-signature as a simple
	        fraction.  -   Changing the time signature if at time 0 is automatic.          -   Time signatures at later times are logged by setting the             current time with a click in the top half of the time
	            line, changing the beats and beat width, then clicking a             time-sig log button.          -   Non-MIDI-standard beat-widths are supported as a             Seq66-specific "event".          -   Fixed event filtering in the event (qstriggereditor)
	        pane.  -   As time-signatures change, Seq66 adjusts the piano roll,             time line (with measure counts), and event pane vertical             lines.      -   Port-mapping prompts about port issues and allows an
	        immediate remap-and-restart.      -   'o' keystroke in seqroll toggles recording ('r' already         taken).      -   Added a "quiet" option to not show startup message prompts.      -   A log-file is now created by default & kept under a
	    megabyte.  -   Added the pattern port number to the Song Summary output.      -   A large number of fixes of unrelated issues.  Read the NEWS, README.md, and TODO files.  Working our assoff! // vim: sw=4 ts=4 wm=15 et ft=sh

2023-07-01  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, doc/latex/tex/references.tex,
	seq_portmidi/src/pmwinmm.c: Minor doc updates.

2023-06-29  Chris Ahlstrom <ahlstromcj@gmail.com>

	* Makefile.in, Seq66cli/Makefile.in, Seq66qt5/Makefile.in,
	configure, contrib/scripts/alsa.m4, data/Makefile.in,
	doc/Makefile.in, doc/latex/Makefile.in, doc/latex/tex/Makefile.in,
	include/config.h.in, libseq66/Makefile.in,
	libseq66/include/Makefile.in, libseq66/src/Makefile.in,
	libsessions/Makefile.in, libsessions/include/Makefile.in,
	libsessions/src/Makefile.in, m4/Makefile.in, m4/alsa.m4,
	man/Makefile.in, resources/pixmaps/Makefile.in,
	seq_portmidi/Makefile.in, seq_portmidi/include/Makefile.in,
	seq_portmidi/src/Makefile.in, seq_qt5/Makefile.in,
	seq_qt5/forms/Makefile.in, seq_qt5/include/Makefile.in,
	seq_qt5/src/Makefile.in, seq_rtmidi/Makefile.in,
	seq_rtmidi/include/Makefile.in, seq_rtmidi/src/Makefile.in: Updated
	alsa.m4 to avoid AC_TRY_COMPILE warnings on Arch Linux.
	* README.md, RELNOTES, VERSION, configure.ac, contrib/git/git.text,
	data/readme.text, data/readme.windows,
	data/testing/mapping-snippet.rc,
	data/testing/sixteen-ports-snippet.rc,
	doc/latex/tex/port_mapping.tex, include/config.h.in,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h, libseq66/src/midi/businfo.cpp,
	libseq66/src/play/clockslist.cpp, libseq66/src/play/inputslist.cpp,
	libseq66/src/play/performer.cpp, seq_qt5/src/qseqtime.cpp: Portmap
	fixes, date/doc updates, seqtime markers fixed.

2023-06-28  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, data/readme.windows, doc/latex/tex/menu.tex,
	doc/latex/tex/midi_formats.tex, doc/latex/tex/port_mapping.tex,
	doc/latex/tex/references.tex, doc/latex/tex/windows.tex,
	libseq66/include/midi/businfo.hpp,
	libseq66/include/midi/mastermidibase.hpp,
	libseq66/include/midi/midibase.hpp, libseq66/src/midi/businfo.cpp,
	libseq66/src/midi/mastermidibase.cpp,
	libseq66/src/play/performer.cpp,
	seq_portmidi/include/midibus_pm.hpp,
	seq_portmidi/include/pminternal.h, seq_portmidi/src/midibus.cpp,
	seq_portmidi/src/pmwinmm.c, seq_portmidi/src/portmidi.c,
	seq_qt5/forms/qseditoptions.ui: Solidified Windows MIDI Mapper
	handling for issue #110.

2023-06-27  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, data/linux/qseq66.rc, doc/latex/tex/menu.tex,
	doc/latex/tex/midi_formats.tex, doc/latex/tex/port_mapping.tex,
	doc/latex/tex/windows.tex, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/play/clockslist.cpp, libseq66/src/play/inputslist.cpp,
	libseq66/src/play/performer.cpp, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/src/qseqdata.cpp: Minor tweaks and clean-up.

2023-06-26  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, data/readme.text, doc/latex/tex/menu.tex,
	doc/latex/tex/port_mapping.tex,
	libseq66/include/midi/midibus_common.hpp,
	libseq66/include/play/clockslist.hpp,
	libseq66/include/play/inputslist.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/portslist.hpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/midi/businfo.cpp,
	libseq66/src/midi/mastermidibase.cpp,
	libseq66/src/play/clockslist.cpp, libseq66/src/play/inputslist.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/portslist.cpp,
	libseq66/src/play/songsummary.cpp, nsis/build_release_package.bat,
	seq_portmidi/src/midibus.cpp, seq_portmidi/src/portmidi.c,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/forms/qseqeditframe64.ui,
	seq_qt5/forms/qsessionframe.ui, seq_qt5/src/qclocklayout.cpp,
	seq_qt5/src/qseqtime.cpp: Added unavailable flag to port handling
	and mapping.

2023-06-24  ahlstrom <ahlstromcj@gmail.com>

	* README.md, RELNOTES, TODO, doc/latex/tex/midi_formats.tex,
	doc/latex/tex/pattern_editor.tex, seq_qt5/forms/qseqeditframe64.ui,
	seq_qt5/src/qseqdata.cpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qseqroll.cpp, seq_qt5/src/qseqtime.cpp: Added time-sig
	display to timeline.

2023-06-23  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, doc/latex/tex/menu.tex,
	libseq66/include/cfg/usrsettings.hpp,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/include/qseditoptions.hpp,
	seq_qt5/include/qseqbase.hpp, seq_qt5/include/qseqeditex.hpp,
	seq_qt5/include/qseqeditframe64.hpp, seq_qt5/include/qseqroll.hpp,
	seq_qt5/src/qseditoptions.cpp, seq_qt5/src/qseqbase.cpp,
	seq_qt5/src/qseqdata.cpp, seq_qt5/src/qseqeditex.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqroll.cpp,
	seq_qt5/src/qstriggereditor.cpp: Improved modification management,
	added grid space setting to UI.

2023-06-22  Chris Ahlstrom <ahlstromcj@gmail.com>

	* INSTALL, README.md, RELNOTES, TODO,
	doc/latex/tex/pattern_editor.tex,
	libseq66/include/midi/calculations.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/include/seq66_features.h, libseq66/src/play/sequence.cpp,
	seq_qt5/src/qseqtime.cpp: Enabled time-sig drawing in
	seq66_features, upgraded measure calculation.

2023-06-21  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/include/midi/calculations.hpp,
	libseq66/include/midi/editable_events.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/midi/calculations.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/forms/qseqeventframe.ui, seq_qt5/include/qseqtime.hpp,
	seq_qt5/include/qseventslots.hpp,
	seq_qt5/include/qstriggereditor.hpp,
	seq_qt5/include/qt5_helpers.hpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qseqeventframe.cpp, seq_qt5/src/qseqroll.cpp,
	seq_qt5/src/qseqtime.cpp, seq_qt5/src/qseventslots.cpp,
	seq_qt5/src/qstriggereditor.cpp, seq_qt5/src/qt5_helpers.cpp: Added
	time-sig drawing to qseqtime and qstriggereditor, disabled by
	SEQ66_TIME_SIG_DRAWING in sequence.hpp, time-sig fixes galore.

2023-06-18  ahlstrom <ahlstromcj@gmail.com>

	* README.md, RELNOTES, libseq66/src/play/sequence.cpp,
	seq_qt5/include/qseqeditframe64.hpp,
	seq_qt5/src/qseqeditframe64.cpp: Fixed setting up the time-sig log
	button.

2023-06-17  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/include/play/sequence.hpp,
	libseq66/src/play/sequence.cpp,
	seq_qt5/include/qseqeditframe64.hpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qsmainwnd.cpp: 
	Refactored meta and time-sig detection code.

2023-06-16  Chris Ahlstrom <ahlstromcj@gmail.com>

	* NEWS, README.md, TODO, VERSION, configure.ac,
	include/config.h.in, include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h,
	libseq66/src/midi/calculations.cpp,
	libseq66/src/midi/editable_event.cpp,
	libseq66/src/midi/midi_vector_base.cpp,
	libseq66/src/midi/midifile.cpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qseqeventframe.cpp, seq_qt5/src/qseventslots.cpp: Fixes
	to editing time-signature in event editor.

2023-06-15  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, doc/latex/tex/pattern_editor.tex,
	seq_qt5/forms/qseqeditframe64.ui,
	seq_qt5/include/qseqeditframe64.hpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqtime.cpp: More work
	on adding time signatures.

2023-06-14  Chris Ahlstrom <ahlstromcj@gmail.com>

	* Seq66qt5/Seq66qt5.pro, TODO, libseq66/include/midi/eventlist.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/cfg/usrsettings.cpp,
	libseq66/src/midi/editable_event.cpp, libseq66/src/midi/event.cpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/midi/midifile.cpp,
	libseq66/src/play/sequence.cpp, nsis/winddeploybruteforce.bat,
	seq_qt5/include/qseqeditframe64.hpp, seq_qt5/src/qseqdata.cpp,
	seq_qt5/src/qseqeditframe64.cpp: Wash hands of 32-bit Windows for
	now, fixed and improvd time-sig handling.

2023-06-12  Chris Ahlstrom <ahlstromcj@gmail.com>

	* Seq66qt5/Seq66qt5.pro, include/config.h.in,
	nsis/Seq66Constants.nsh, nsis/build_release_package.bat,
	nsis/winddeploybruteforce.bat, seq_qt5/src/qseqroll.cpp: Seemingly
	futile attempt at Win32 build on a Win64 machine.

2023-06-09  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/src/play/sequence.cpp,
	seq_qt5/include/qseqeditframe64.hpp,
	seq_qt5/include/qstriggereditor.hpp, seq_qt5/src/qseqdata.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqroll.cpp,
	seq_qt5/src/qstriggereditor.cpp: Support for setting pattern editor
	to beginning time-signature in place.

2023-06-08  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/include/midi/event.hpp,
	libseq66/include/midi/eventlist.hpp,
	libseq66/include/play/sequence.hpp, libseq66/src/midi/event.cpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/midi/midi_vector.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/forms/qseqeditframe64.ui, seq_qt5/include/qseqdata.hpp,
	seq_qt5/include/qseqeditframe64.hpp,
	seq_qt5/include/qstriggereditor.hpp, seq_qt5/src/qseqdata.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qstriggereditor.cpp,
	seq_qt5/src/qt5nsmanager.cpp: Work on issue #111 improving
	time-signature support, in progress.

2023-06-07  ahlstrom <ahlstromcj@gmail.com>

	* TODO, libseq66/src/os/shellexecute.cpp,
	libseq66/src/play/performer.cpp, nsis/Seq66Constants.nsh,
	nsis/build_release_package.bat, nsis/winddeploybruteforce.bat: 
	Trying to get a Windows 32-bit version to deploy.

2023-06-04  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, doc/latex/tex/menu.tex,
	libseq66/include/cfg/rcsettings.hpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/cfg/rcsettings.cpp, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/include/qseditoptions.hpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qt5nsmanager.cpp: Added quiet option, improved
	control/display options.

2023-06-03  ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/seq66_features.h,
	seq_portmidi/include/portmidi.h,
	seq_portmidi/src/mastermidibus.cpp, seq_portmidi/src/pmlinux.c,
	seq_portmidi/src/pmmac.c, seq_portmidi/src/pmmacosxcm.c,
	seq_portmidi/src/pmutil.c, seq_portmidi/src/pmwin.c,
	seq_portmidi/src/pmwinmm.c, seq_portmidi/src/portmidi.c,
	seq_portmidi/src/ptmacosx_mach.c: Investigated Windows portmidi free
	error, disabled incomplete sysex processing.

2023-06-02  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/src/play/performer.cpp: Tweaks for
	remote work.

2023-06-01  ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, VERSION, configure.ac, doc/latex/tex/alsa.tex,
	doc/latex/tex/event_editor.tex, doc/latex/tex/jack.tex,
	doc/latex/tex/menu.tex, include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h, libseq66/src/play/performer.cpp,
	libseq66/src/sessions/smanager.cpp, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/src/qsmainwnd.cpp: Documentation of port-map prompts.

2023-06-01  Chris Ahlstrom <ahlstromcj@gmail.com>

	* : commit d5070779858645f0ca8db0fab4a45dcdbf1f413e Author: Chris
	Ahlstrom <ahlstromcj@gmail.com> Date:   Thu Jun 1 12:27:45 2023
	-0400

2023-05-31  ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/play/performer.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	libseq66/src/sessions/smanager.cpp: Improved reporting of MIDI
	driver errors.
	* README.md, TODO, doc/latex/tex/first_start.tex,
	libseq66/include/play/performer.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/portslist.cpp,
	libseq66/src/sessions/smanager.cpp, seq_qt5/include/qsmainwnd.hpp,
	seq_qt5/include/qt5nsmanager.hpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qsmainwnd.cpp, seq_qt5/src/qt5nsmanager.cpp: Made
	port-map inconsistencies raise a prompt for a potential remapping
	and restart.

2023-05-30  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, data/share/doc/tutorial/faq.html,
	data/share/doc/tutorial/left-tree.html: Added a couple of FAQs to
	the tutorial.
	* README.md, TODO, data/license.text, data/readme.text,
	libseq66/include/os/shellexecute.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/include/util/strfunctions.hpp,
	libseq66/src/cfg/settings.cpp, libseq66/src/os/shellexecute.cpp,
	libseq66/src/play/sequence.cpp, libseq66/src/util/strfunctions.cpp,
	seq_qt5/src/qseqdata.cpp: Fixed tutorial/manual access for issue
	#110.

2023-05-28  ahlstrom <ahlstromcj@gmail.com>

	* README.md, Seq66qt5/Seq66qt5.pro, TODO,
	libseq66/include/util/filefunctions.hpp,
	libseq66/src/midi/midifile.cpp, libseq66/src/sessions/smanager.cpp,
	libseq66/src/util/filefunctions.cpp, nsis/Seq66Setup.nsi, seq66.pro: 
	Added code to delete gigantic log file.

2023-05-27  Chris Ahlstrom <ahlstromcj@gmail.com>

	* contrib/notes/install-directories.text,
	libseq66/src/os/daemonize.cpp: Fixed stdio rerouting and added
	Windows icons.

2023-05-26  Chris Ahlstrom <ahlstromcj@gmail.com>

	* seq_qt5/src/qsmainwnd.cpp: Minor tweak to qsmainwnd.
	* Seq66qt5/Seq66qt5.pro, contrib/notes/install-directories.text,
	nsis/Seq66Constants.nsh, nsis/Seq66Setup.nsi,
	nsis/build_release_package.bat, resources/icons/route66.xpm,
	resources/seq66_win.rc, seq66.pro, seq_qt5/src/qsmainwnd.cpp: Better
	app icon support in progress.

2023-05-26  ahlstrom <ahlstromcj@gmail.com>

	* README.md, Seq66qt5/seq66qt5.cpp,
	contrib/notes/install-directories.text, data/linux/qseq66.usr,
	resources/seq66_win.rc, seq66.pro, seq_qt5/src/qsmainwnd.cpp: 
	Interim check-in for Windows icon handling.
	* README.md, libseq66/include/seq66_features.h,
	libseq66/include/seq66_features.hpp, libseq66/src/cfg/usrfile.cpp,
	libseq66/src/seq66_features.cpp, libseq66/src/sessions/smanager.cpp: 
	Making log-file usage more automatic, need to debug under Windows.
	* data/linux/qseq66.usr, doc/latex/tex/menu.tex,
	libseq66/include/cfg/settings.hpp, libseq66/src/cfg/settings.cpp,
	libseq66/src/os/shellexecute.cpp, seq_qt5/src/qsmainwnd.cpp: 
	Refactored the handling of the tutorial and manual.

2023-05-24  Chris Ahlstrom <ahlstromcj@gmail.com>

	* Seq66qt5/seq66qt5.cpp, TODO, libseq66/include/play/sequence.hpp,
	libseq66/include/seq66_features.hpp, libseq66/src/cfg/settings.cpp,
	libseq66/src/os/shellexecute.cpp, libseq66/src/play/sequence.cpp,
	libseq66/src/seq66_features.cpp, nsis/Seq66Constants.nsh,
	nsis/Seq66Setup.nsi, nsis/build_release_package.bat,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqroll.cpp: Fixed
	issue #110 to handle changing background sequence.
	* TODO, seq_qt5/include/qscrollslave.h,
	seq_qt5/src/qscrollslave.cpp, seq_qt5/src/qseqeditframe64.cpp: 
	Forwarding direction events from qscrollslave to qscrollmaster.

2023-05-23  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, doc/latex/tex/pattern_editor.tex,
	seq_qt5/include/qscrollslave.h, seq_qt5/include/qseqdata.hpp,
	seq_qt5/include/qsmainwnd.hpp, seq_qt5/src/qscrollslave.cpp,
	seq_qt5/src/qseqdata.cpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qsmainwnd.cpp: More issue #3 work and tentative fix for
	main tempo change.
	* README.md, RELNOTES, TODO, VERSION, configure, configure.ac,
	contrib/git/git.text, doc/latex/tex/kbd_mouse.tex,
	doc/latex/tex/pattern_editor.tex,
	doc/latex/tex/seq66-user-manual.tex, include/config.h.in,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h,
	libseq66/include/midi/eventlist.hpp,
	libseq66/include/play/sequence.hpp, libseq66/src/midi/event.cpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/play/sequence.cpp,
	nsis/README, nsis/Seq66Constants.nsh, nsis/Seq66Setup.nsi,
	seq_qt5/forms/qseqeditframe64.ui, seq_qt5/include/Makefile.am,
	seq_qt5/include/Makefile.in, seq_qt5/include/qseqdata.hpp,
	seq_qt5/include/qseqeditframe64.hpp, seq_qt5/include/qseqroll.hpp,
	seq_qt5/include/qt5_helpers.hpp, seq_qt5/seq_qt5.pro,
	seq_qt5/src/Makefile.am, seq_qt5/src/Makefile.in,
	seq_qt5/src/qperfeditframe64.cpp, seq_qt5/src/qperfnames.cpp,
	seq_qt5/src/qseqdata.cpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qseqroll.cpp, seq_qt5/src/qstriggereditor.cpp,
	seq_qt5/src/qt5_helpers.cpp: Added qscrollslave class, keeps seqedit
	panes in sync now, issue #3.

2023-05-20  Chris Ahlstrom <ahlstromcj@gmail.com>

	* ChangeLog, README.md, RELNOTES, TODO, contrib/git/git.text,
	data/readme.text, data/readme.windows,
	doc/latex/tex/first_start.tex, include/config.h.in,
	libseq66/src/play/performer.cpp,
	libseq66/src/sessions/smanager.cpp, nsis/README,
	nsis/Seq66Constants.nsh, nsis/Seq66Setup.nsi,
	nsis/build_debug_code.bat, nsis/build_release_package.bat: Release
	Notes for Seq66 v. 0.99.5 2023-05-20 This file lists __major__ changes from version 0.99.5     -   Issue #110 Windows: Fixed many errors, added installer to
	        this release, no more going to the sequencer64 repository. Can
	        build NSIS installer in Windows now.      -   Fixed portmidi bugs in Linux and Windows, enhanced the
	    device naming.  -   Greatly enhanced the event editor tab and added more events that
	        can be view and modified.      -   Made port-mapping the default. At first startup the map
	        exactly matches the existing ports; can be changed in the 'rc'
	        file or Preferences dialog.  Used the Edit / Preferences / MIDI
	        Clock / Make Maps button to refresh the port setup when devices are
	    added or removed.  -   Eliminated "missing ctrl" message at first startup.      -   Fixed port ID setting in midibus, and adding output flag for         ALSA MIDI info.      -   Internal refactoring to regularize handling of the
	        session/config directory between Linux and Windows.      -   Shows disabled/unavailable MIDI devices as grayed in various
	    dropdowns.  -   Rearranged the Seq66 man pages more sensibly.  Read the NEWS, README.md, and TODO files.  Never-ending!

2023-05-20  Chris Ahlstrom <ahlstromcj@gmail.com>

	* data/license.text, data/readme.text, data/readme.windows,
	nsis/README, nsis/Seq66Setup.nsi: Got 64-bit build/installer
	working.

2023-05-19  Chris Ahlstrom <ahlstromcj@gmail.com>

	* VERSION, configure.ac, include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h, nsis/Seq66Constants.nsh,
	nsis/Seq66Setup.nsi, nsis/build_release_package.bat: Issue #110 is
	tentatively done, portfix branch.
	* TODO, doc/latex/tex/alsa.tex, doc/latex/tex/configuration.tex,
	libseq66/include/play/performer.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	seq_portmidi/src/pmlinux.c, seq_portmidi/src/pmwin.c,
	seq_portmidi/src/pmwinmm.c, seq_portmidi/src/portmidi.c,
	seq_portmidi/src/ptmacosx_cf.c, seq_portmidi/src/ptmacosx_mach.c: 
	Eliminated calls to update_midi_buttons when just recording events,
	and nullified portmidi pointers after free().

2023-05-18  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, RELNOTES, doc/latex/tex/menu.tex,
	libseq66/include/play/performer.hpp, libseq66/src/midi/businfo.cpp,
	libseq66/src/play/performer.cpp,
	libseq66/src/sessions/smanager.cpp, seq_portmidi/src/pmwinmm.c,
	seq_qt5/include/qclocklayout.hpp,
	seq_qt5/include/qinputcheckbox.hpp,
	seq_qt5/include/qportwidget.hpp, seq_qt5/src/qclocklayout.cpp,
	seq_qt5/src/qinputcheckbox.cpp: USB MIDI control/display works in
	Windows, issue with recording in Qt debugger.

2023-05-17  ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, data/readme.text, data/readme.windows,
	doc/latex/tex/first_start.tex, libseq66/include/play/performer.hpp,
	libseq66/src/play/clockslist.cpp, libseq66/src/play/inputslist.cpp,
	libseq66/src/play/performer.cpp,
	libseq66/src/sessions/smanager.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qsmainwnd.cpp: Improved
	performer error reporting, and added ghosting of ports in dropdowns
	when they are no longer present.
	* TODO, data/readme.windows, libseq66/include/play/performer.hpp,
	libseq66/src/cfg/cmdlineopts.cpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/midi/businfo.cpp,
	libseq66/src/midi/mastermidibase.cpp,
	libseq66/src/play/performer.cpp,
	libseq66/src/sessions/smanager.cpp, seq_qt5/src/qclocklayout.cpp,
	seq_qt5/src/qinputcheckbox.cpp: Finally got port handling almost
	airtight and playing tunes on Windows re issue #110.

2023-05-16  Chris Ahlstrom <ahlstromcj@gmail.com>

	* NEWS, README.md, TODO, libseq66/include/midi/businfo.hpp,
	libseq66/include/midi/mastermidibase.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/portslist.hpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/midi/businfo.cpp,
	libseq66/src/midi/mastermidibase.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/portslist.cpp,
	seq_qt5/src/qclocklayout.cpp, seq_qt5/src/qinputcheckbox.cpp,
	seq_rtmidi/include/midi_info.hpp: Big fix to synch the masterbus
	ports and port-maps when saving the 'rc' file.

2023-05-15  Chris Ahlstrom <ahlstromcj@gmail.com>

	* libseq66/src/midi/jack_assistant.cpp,
	libseq66/src/midi/midibase.cpp, libseq66/src/play/performer.cpp,
	seq_portmidi/src/pmlinuxalsa.c, seq_portmidi/src/pmutil.c,
	seq_portmidi/src/pmwinmm.c, seq_portmidi/src/portmidi.c: More fixes
	for portmidi and port-mapping, still fails with Qsynth, Portmidi,
	with mapping off.

2023-05-14  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, libseq66/include/midi/businfo.hpp,
	libseq66/include/midi/mastermidibase.hpp,
	libseq66/include/midi/midibase.hpp,
	libseq66/include/play/performer.hpp, libseq66/src/midi/businfo.cpp,
	libseq66/src/midi/mastermidibase.cpp,
	libseq66/src/play/performer.cpp, seq_portmidi/src/pmwinmm.c,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/include/qseditoptions.hpp,
	seq_qt5/src/qclocklayout.cpp, seq_qt5/src/qinputcheckbox.cpp,
	seq_qt5/src/qseditoptions.cpp: Added code to display
	present-but-unavailable ports.

2023-05-13  ahlstrom <ahlstromcj@gmail.com>

	* README.md, libseq66/include/util/basic_macros.h,
	libseq66/src/cfg/rcfile.cpp, libseq66/src/cfg/rcsettings.cpp,
	seq_portmidi/include/midibus_pm.hpp, seq_portmidi/seq_portmidi.pro,
	seq_portmidi/src/mastermidibus.cpp, seq_portmidi/src/midibus.cpp,
	seq_portmidi/src/pmlinuxalsa.c, seq_portmidi/src/pmwinmm.c,
	seq_portmidi/src/portmidi.c: Enhancement and fixes to borken
	portmidi code re issue #110.

2023-05-11  Chris Ahlstrom <ahlstromcj@gmail.com>

	* INSTALL, configure.ac, include/config.h.in,
	libseq66/include/cfg/rcsettings.hpp,
	libseq66/include/sessions/smanager.hpp,
	libseq66/src/cfg/cmdlineopts.cpp,
	libseq66/src/cfg/midicontrolfile.cpp,
	libseq66/src/cfg/rcsettings.cpp, libseq66/src/cfg/usrfile.cpp,
	libseq66/src/sessions/clinsmanager.cpp,
	libseq66/src/sessions/smanager.cpp,
	libseq66/src/util/filefunctions.cpp: Working out config-file issues
	with normal and NSM usage.

2023-05-10  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, contrib/git/git.text,
	doc/latex/tex/sessions.tex, libseq66/include/cfg/rcsettings.hpp,
	libseq66/include/util/filefunctions.hpp,
	libseq66/src/cfg/rcsettings.cpp,
	libseq66/src/sessions/smanager.cpp,
	libseq66/src/util/filefunctions.cpp, man/seq66.1, man/seq66cli.1,
	man/sequencer66.1, nsis/build_debug_code.bat,
	nsis/build_release_package.bat: Some successful tinkering for
	pathnames re issue #110.

2023-05-09  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, data/license.text, data/readme.text,
	libseq66/include/seq66_features.hpp,
	libseq66/include/util/filefunctions.hpp,
	libseq66/src/cfg/rcsettings.cpp, libseq66/src/seq66_features.cpp,
	libseq66/src/sessions/smanager.cpp,
	libseq66/src/util/filefunctions.cpp,
	libsessions/src/nsm/nsmclient.cpp, nsis/build_release_package.bat: 
	Refactoring config/session directories for consistency, expect
	breakage for now.

2023-05-08  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, data/linux/qseq66.rc,
	libseq66/include/os/daemonize.hpp, libseq66/src/os/daemonize.cpp,
	libseq66/src/sessions/smanager.cpp, nsis/README,
	nsis/Seq66Constants.nsh, nsis/Seq66Setup.nsi,
	nsis/build_debug_code.bat, nsis/build_release_package.bat,
	nsis/x64.nsh, seq_qt5/forms/qseqeventframe.ui,
	seq_rtmidi/src/midi_alsa_info.cpp: Work on issue #110 in progress.

2023-05-07  ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, contrib/git/git.text,
	doc/latex/tex/configuration.tex,
	libseq66/include/midi/mastermidibase.hpp,
	libseq66/src/cfg/rcfile.cpp, libseq66/src/midi/mastermidibase.cpp,
	libseq66/src/sessions/smanager.cpp,
	seq_rtmidi/src/midi_alsa_info.cpp, seq_rtmidi/src/midibus.cpp: Fixed
	subtle bugs creating midi ports.

2023-05-06  ahlstrom <ahlstromcj@gmail.com>

	* INSTALL, README.md, TODO, doc/latex/tex/port_mapping.tex,
	doc/latex/tex/seq66-user-manual.tex,
	libseq66/include/cfg/rcsettings.hpp,
	libseq66/include/play/performer.hpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/cfg/rcsettings.cpp, libseq66/src/midi/midifile.cpp,
	libseq66/src/play/performer.cpp, seq_qt5/src/qseditoptions.cpp: 
	Enabled default port mapping, testing needed.

2023-05-05  Chris Ahlstrom <ahlstromcj@gmail.com>

	* libseq66/src/midi/editable_event.cpp,
	seq_qt5/include/qseqeventframe.hpp, seq_qt5/src/qseqeventframe.cpp,
	seq_qt5/src/qseventslots.cpp, seq_qt5/src/qsmainwnd.cpp: More
	progress on inserting meta text events.

2023-05-04  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, doc/latex/tex/event_editor.tex,
	doc/latex/tex/patterns_panel.tex, libseq66/include/cfg/scales.hpp,
	libseq66/include/midi/editable_event.hpp,
	libseq66/include/midi/event.hpp, libseq66/src/cfg/scales.cpp,
	libseq66/src/midi/editable_event.cpp, libseq66/src/midi/event.cpp,
	libseq66/src/midi/midifile.cpp, seq_qt5/forms/qseqeventframe.ui,
	seq_qt5/include/qseqeventframe.hpp, seq_qt5/src/qseqeventframe.cpp,
	seq_qt5/src/qslivegrid.cpp: Now able to insert Meta Text events in
	event editor.

2023-05-03  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, contrib/git/git.text, doc/latex/tex/event_editor.tex,
	doc/latex/tex/midi_formats.tex, doc/latex/tex/sessions.tex,
	libseq66/include/cfg/scales.hpp,
	libseq66/include/midi/editable_event.hpp,
	libseq66/src/cfg/scales.cpp, libseq66/src/midi/editable_event.cpp,
	libseq66/src/midi/event.cpp, seq_qt5/include/qseqeventframe.hpp,
	seq_qt5/include/qseventslots.hpp, seq_qt5/src/qseqeventframe.cpp,
	seq_qt5/src/qsessionframe.cpp, seq_qt5/src/qseventslots.cpp: Event
	editing progress, added key-signature conversion functions.

2023-05-02  Chris Ahlstrom <ahlstromcj@gmail.com>

	* doc/latex/tex/meta_events.tex, doc/latex/tex/midi_formats.tex,
	libseq66/include/midi/editable_event.hpp,
	libseq66/include/midi/event.hpp,
	libseq66/src/midi/editable_event.cpp,
	libseq66/src/play/performer.cpp, seq_qt5/forms/qseqeventframe.ui,
	seq_qt5/include/qseqeventframe.hpp, seq_qt5/src/qseqeventframe.cpp,
	seq_qt5/src/qseventslots.cpp, seq_qt5/src/qt5_helpers.cpp: Now can
	populate event combo based on event category.

2023-05-01  Chris Ahlstrom <ahlstromcj@gmail.com>

	* configure, include/config.h.in,
	libseq66/include/midi/editable_event.hpp,
	libseq66/src/midi/editable_event.cpp,
	seq_qt5/forms/qseqeventframe.ui, seq_qt5/forms/qsessionframe.ui,
	seq_qt5/include/qseqeventframe.hpp,
	seq_qt5/include/qsessionframe.hpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qseqeventframe.cpp, seq_qt5/src/qsessionframe.cpp,
	seq_qt5/src/qseventslots.cpp: Continuing work to add meta/text
	handling to event editor.

2023-04-30  Chris Ahlstrom <ahlstromcj@gmail.com>

	* VERSION, configure.ac, doc/latex/tex/seq66-user-manual.tex,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h: Initial version bump.
	* ChangeLog: Forget to update 0.99.4 Changelog.
	* README.md, RELNOTES, doc/latex/tex/sessions.tex,
	include/config.h.in: Version 0.99.4 issues fixed for #3, #48, #108,
	#109, and discovered issues.
	* libseq66/include/midi/event.hpp,
	libseq66/include/midi/eventlist.hpp,
	libseq66/include/util/strfunctions.hpp,
	libseq66/src/midi/eventlist.cpp,
	libseq66/src/util/strfunctions.cpp, seq_qt5/forms/qsessionframe.ui,
	seq_qt5/include/qsessionframe.hpp, seq_qt5/src/qsessionframe.cpp,
	seq_qt5/src/qsmainwnd.cpp: Hidden work to support show meta text, in
	progress.

2023-04-29  ahlstrom <ahlstromcj@gmail.com>

	* VERSION, configure.ac, contrib/git/git.text,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/forms/qsessionframe.ui,
	seq_qt5/src/qsessionframe.cpp: Date bump, find-event code, fixes to
	qsessionframe form.
	* README.md, TODO, libseq66/include/midi/eventlist.hpp,
	libseq66/include/play/performer.hpp, libseq66/src/midi/event.cpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/midi/midifile.cpp,
	libseq66/src/play/performer.cpp, seq_qt5/forms/qsessionframe.ui,
	seq_qt5/include/qmutemaster.hpp, seq_qt5/include/qsessionframe.hpp,
	seq_qt5/src/qmutemaster.cpp, seq_qt5/src/qsessionframe.cpp,
	seq_qt5/src/qsmainwnd.cpp: Fixed mutes/session refresh, 256-char
	text limit, experimental meta-text enhancements started.

2023-04-28  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, libseq66/include/midi/event.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/src/play/performer.cpp, seq_qt5/forms/qsessionframe.ui,
	seq_qt5/src/qsessionframe.cpp: Future spinbox for song-info, need to
	fix 256-char limit.
	* libseq66/include/midi/midi_vector_base.hpp,
	libseq66/src/midi/event.cpp, libseq66/src/midi/midi_vector.cpp,
	libseq66/src/midi/midi_vector_base.cpp,
	libseq66/src/play/performer.cpp, seq_qt5/forms/qsessionframe.ui,
	seq_qt5/src/qsessionframe.cpp: Fixed error writing meta text length
	to file.

2023-04-27  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO,
	contrib/midi/Carpet_of_the_Sun_karaoke_meta_text.text,
	libseq66/include/midi/event.hpp,
	libseq66/include/midi/eventlist.hpp,
	libseq66/include/midi/midifile.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/include/util/strfunctions.hpp,
	libseq66/src/midi/event.cpp, libseq66/src/midi/eventlist.cpp,
	libseq66/src/midi/midifile.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/sequence.cpp, libseq66/src/util/strfunctions.cpp,
	seq_qt5/forms/qsessionframe.ui,
	seq_qt5/include/qseqeditframe64.hpp,
	seq_qt5/include/qsessionframe.hpp, seq_qt5/include/qslivegrid.hpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qsessionframe.cpp,
	seq_qt5/src/qslivegrid.cpp: Work in progress on adding song-info
	feature.

2023-04-26  Chris Ahlstrom <ahlstromcj@gmail.com>

	* data/linux/qseq66.ctrl, libseq66/include/play/performer.hpp,
	libseq66/src/ctrl/keycontainer.cpp, seq_qt5/include/qslivegrid.hpp,
	seq_qt5/src/qseqroll.cpp, seq_qt5/src/qslivegrid.cpp: Modified
	default ctrl keystrokes.
	* README.md, TODO, doc/latex/tex/configuration.tex,
	doc/latex/tex/midi_export.tex, doc/latex/tex/pattern_editor.tex,
	libseq66/include/midi/event.hpp,
	libseq66/include/midi/eventlist.hpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/src/qseqroll.cpp: Fixed issues with note wrap-around and
	linking.

2023-04-25  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/include/midi/event.hpp,
	libseq66/include/midi/eventlist.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/midi/eventlist.cpp,
	libseq66/src/midi/midi_vector_base.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/include/qmutemaster.hpp, seq_qt5/src/qmutemaster.cpp,
	seq_qt5/src/qseqroll.cpp: Fixed issue #109 where exports lost event
	channels.
	* README.md, TODO, doc/latex/tex/event_editor.tex,
	doc/latex/tex/pattern_editor.tex, doc/latex/tex/song_editor.tex,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/screenset.hpp, libseq66/include/play/seq.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/include/play/setmapper.hpp,
	libseq66/src/midi/eventlist.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/src/qloopbutton.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqroll.cpp,
	seq_qt5/src/qslivegrid.cpp: Fixes to linking and drawing recorded
	notes.

2023-04-24  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, seq_qt5/src/qsmainwnd.cpp: A potential fix to issue
	#108, was removing a widget after deleting.

2023-04-22  ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, doc/latex/tex/configuration.tex,
	doc/latex/tex/live_grid.tex, doc/latex/tex/menu.tex,
	doc/latex/tex/midi_formats.tex, doc/latex/tex/pattern_editor.tex,
	libseq66/include/play/performer.hpp, libseq66/src/play/metro.cpp,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/include/qperfnames.hpp,
	seq_qt5/include/qperftime.hpp, seq_qt5/include/qscrollmaster.h,
	seq_qt5/include/qseqdata.hpp, seq_qt5/include/qseqtime.hpp,
	seq_qt5/include/qstriggereditor.hpp, seq_qt5/src/qperfnames.cpp,
	seq_qt5/src/qperftime.cpp, seq_qt5/src/qscrollmaster.cpp,
	seq_qt5/src/qseqdata.cpp, seq_qt5/src/qseqkeys.cpp,
	seq_qt5/src/qseqtime.cpp, seq_qt5/src/qstriggereditor.cpp: Mitigated
	issue #3 so that only the piano rolls can use the scroll wheel.

2023-04-20  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/include/play/performer.hpp,
	libseq66/src/sessions/smanager.cpp, seq_qt5/forms/qsbuildinfo.ui,
	seq_qt5/include/qsmainwnd.hpp, seq_qt5/src/qsmainwnd.cpp,
	seq_rtmidi/src/rtmidi.cpp: Revisited issue #48, fixed some minor
	issues, see README.md.

2023-04-19  ahlstrom <ahlstromcj@gmail.com>

	* INSTALL, README.md, RELNOTES, contrib/scripts/qtctrun,
	libseq66/src/play/performer.cpp: Fixed showing port errors re MIDI
	control undefined.
	* contrib/git/git.text: Updated Git notes.
	* RELNOTES, RELNOTES.md, configure: Release Notes for Seq66 v.
	0.99.4 Commit message This file lists __major__ changes from version 0.99.1 to 0.99.4.
	These notes are not complete, just trying to get it to work.  *   Version 0.99.4:     *   Issue #xyz.  Expand-pattern functionality.  *   Previous changes:     *   Issue #40.  Enhanced NSM handling and debugging.      *   Issue #44. Revisited to fix related additional issues.      *   Issue #93. Revisited to fix related open pattern-editor
	    issues.  *   Issue #100. Partly mitigated. Added a custom JACK ringbuffer.      *   Issue #103.  Some improvements to pattern loop-count.      *   Pull request #106. User phuel added checkmarks for active
	    buss.  *   Issue #107.  Expand-pattern functionality.      *   A raft of MIDI automation/display fixes.      *   Added reading/writing/displaying Meta textual events.      *   Improvements to playlist handling.      *   Fixes to mute-group handling.      *   Fixed the daemonization and log-file functionality.      *   Fixed broken "recent-files" feature.      *   Improved error reporting.      *   Fixed background sequence not displaying with
	    linear-gradient brush.  *   Fixes to brushes; made the linear gradient the default.      *   Other minor fixes and documentation updates, including the
	    manual.  *   Fixed partial breakage of pattern-merge function.      *   Fixed odd breakage of ALSA playback in release mode.      *   Fixed Stop button when another Master has started playback.      *   Shift-click on Stop button rewinds JACK transport when
	        running as JACK Slave.      *   Display of some JACK server settings in Edit / Preferences.      *   Fixed handling of Ctrl vs non-Ctrl zoom keys in perfroll.      *   Event-dump now prompts for a text-file name.      *   Added linear-gradient compile-time option for displaying
	        notes and triggers.  Read the NEWS, README.md, and TODO files.  Never-ending!
	* NEWS, README.md, RELNOTES.md, VERSION, configure.ac,
	doc/latex/tex/seq66-user-manual.tex, include/config.h.in,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h: Stamping for version 0.99.4.  Also need to figure out why the last multi-line commit message is a
	single line.
	* ChangeLog: Updated Changelog.
	* doc/latex/tex/configuration.tex,
	doc/latex/tex/pattern_editor.tex, doc/latex/tex/patterns_panel.tex: 
	Merged portfix and updated documentation for version 0.99.3
	* README.md, RELNOTES.md, TODO, VERSION, configure.ac,
	contrib/scripts/gdarkseq66, contrib/scripts/qtctrun,
	doc/latex/tex/port_mapping.tex, include/config.h.in,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h,
	libseq66/include/play/performer.hpp,
	libseq66/src/play/performer.cpp,
	libseq66/src/sessions/smanager.cpp,
	seq_qt5/forms/qplaylistframe.ui, seq_qt5/forms/qseditoptions.ui: 
	Time to put version 0.99.3 to bed.

2023-04-18  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, contrib/notes/launchpad.text,
	contrib/scripts/timid, data/linux/alsa_ports.rc,
	data/linux/jack_ports.rc, data/linux/qseq66-lp-mini-alt.ctrl,
	doc/latex/tex/launchpad_mini.tex, libseq66/include/midi/event.hpp,
	libseq66/src/midi/event.cpp, libseq66/src/play/performer.cpp,
	seq_qt5/src/qseditoptions.cpp: Tweak mutes-test and added LaunchPad
	Mini macros.

2023-04-17  ahlstrom <ahlstromcj@gmail.com>

	* data/linux/qseq66.usr, doc/latex/tex/configuration.tex,
	libseq66/include/cfg/usrsettings.hpp, libseq66/src/cfg/usrfile.cpp,
	libseq66/src/cfg/usrsettings.cpp, seq_qt5/src/qsmainwnd.cpp: Added
	usr option to disable learn-complete prompt.
	* TODO, contrib/midi/README, libseq66/include/play/mutegroups.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/sessions/smanager.hpp,
	libseq66/src/cfg/midicontrolfile.cpp,
	libseq66/src/play/mutegroup.cpp, libseq66/src/play/mutegroups.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/setmapper.cpp,
	libseq66/src/sessions/smanager.cpp, seq_qt5/src/qt5nsmanager.cpp: 
	Refactoring mutes internals in progress, yeesh.

2023-04-16  ahlstrom <ahlstromcj@gmail.com>

	* README.md, libseq66/include/midi/midifile.hpp,
	libseq66/src/cfg/cmdlineopts.cpp, libseq66/src/cfg/rcsettings.cpp,
	libseq66/src/midi/midifile.cpp, libseq66/src/play/mutegroups.cpp,
	libseq66/src/play/performer.cpp, seq_qt5/src/qmutemaster.cpp: Fixed
	big bug in MIDI-only mute-groups.

2023-04-15  ahlstrom <ahlstromcj@gmail.com>

	* README.md, doc/latex/tex/mutes.tex,
	libseq66/src/play/performer.cpp,
	libseq66/src/sessions/smanager.cpp,
	seq_rtmidi/src/midi_alsa_info.cpp, seq_rtmidi/src/rtmidi_info.cpp: 
	Better handling of failure to open ALSA client.

2023-04-14  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, data/linux/qseq66.mutes,
	libseq66/include/cfg/rcsettings.hpp,
	libseq66/include/play/performer.hpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/cfg/rcsettings.cpp, libseq66/src/midi/midifile.cpp,
	libseq66/src/play/mutegroups.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/setmapper.cpp, libseq66/src/play/songsummary.cpp,
	seq_qt5/forms/qmutemaster.ui, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/include/qmutemaster.hpp, seq_qt5/include/qsmainwnd.hpp,
	seq_qt5/src/qmutemaster.cpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qsmainwnd.cpp: More work improving mute-group handling.

2023-04-12  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, contrib/scripts/jackctl,
	data/linux/qseq66-lp-mini-alt.ctrl,
	libseq66/include/ctrl/keycontainer.hpp,
	libseq66/src/ctrl/keycontainer.cpp,
	libseq66/src/ctrl/opcontainer.cpp, libseq66/src/play/performer.cpp: 
	Working on improving mute-group handling.

2023-04-11  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, data/linux/qseq66-lp-mini-alt.ctrl,
	doc/latex/tex/launchpad_mini.tex, doc/latex/tex/menu.tex,
	libseq66/include/play/performer.hpp,
	libseq66/src/ctrl/midicontrolout.cpp,
	libseq66/src/play/performer.cpp,
	seq_qt5/include/qseqeditframe64.hpp, seq_qt5/include/qsmainwnd.hpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qsmainwnd.cpp: 
	Updated/documented LaunchPad Mini handling.

2023-04-10  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, contrib/git/git.text, contrib/scripts/jackctl,
	data/linux/qseq66-lp-mini-alt.ctrl,
	doc/latex/tex/launchpad_mini.tex, doc/latex/tex/patterns_panel.tex,
	include/config.h.in, libseq66/include/cfg/rcsettings.hpp,
	libseq66/include/ctrl/midicontrolout.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/src/cfg/midicontrolfile.cpp,
	libseq66/src/cfg/rcsettings.cpp,
	libseq66/src/ctrl/midicontrolout.cpp,
	libseq66/src/play/performer.cpp: Improving launchpad display, but
	play causes file change, so be aware.

2023-04-08  ahlstrom <ahlstromcj@gmail.com>

	* README.md, RELNOTES.md, TODO, VERSION, configure.ac,
	doc/dox/doxy-common.cfg, doc/latex/tex/menu.tex,
	doc/latex/tex/midi_formats.tex, include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h,
	libseq66/include/cfg/rcsettings.hpp,
	libseq66/include/midi/midi_vector_base.hpp,
	libseq66/include/midi/midifile.hpp,
	libseq66/include/play/screenset.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/include/play/setmapper.hpp,
	libseq66/include/seq66_features.h, libseq66/src/cfg/rcsettings.cpp,
	libseq66/src/midi/midi_vector_base.cpp,
	libseq66/src/midi/midifile.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/screenset.cpp, libseq66/src/play/sequence.cpp,
	libseq66/src/play/songsummary.cpp, seq_qt5/src/qsmainwnd.cpp: Date
	bump, fixed activating imported playlist.

2023-04-07  ahlstrom <ahlstromcj@gmail.com>

	* libseq66/src/cfg/rcsettings.cpp, libseq66/src/midi/midifile.cpp,
	libseq66/src/play/performer.cpp, seq_qt5/src/gui_palette_qt5.cpp: 
	Fixed persistence of BPM in playlist via a static boolean.
	* README.md, libseq66/include/midi/editable_event.hpp,
	libseq66/include/midi/event.hpp,
	libseq66/include/midi/midifile.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/sessions/smanager.hpp,
	libseq66/src/cfg/cmdlineopts.cpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/midi/editable_event.cpp,
	libseq66/src/midi/midifile.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/sessions/smanager.cpp, seq_qt5/src/qplaylistframe.cpp,
	seq_qt5/src/qseqeventframe.cpp, seq_qt5/src/qseventslots.cpp: Fixed
	CLI vs playlists and added Meta text handling.

2023-04-06  Chris Ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/play/performer.hpp,
	libseq66/src/play/performer.cpp: Fixed unintended file change when
	BPM changes during playlist usage.

2023-04-05  ahlstrom <ahlstromcj@gmail.com>

	* TODO, data/samples/ca_midi.playlist,
	doc/latex/tex/configuration.tex,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/playlist.hpp,
	libseq66/src/cfg/playlistfile.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/playlist.cpp, seq_qt5/forms/qplaylistframe.ui,
	seq_qt5/forms/qsmainwnd.ui, seq_qt5/include/qplaylistframe.hpp,
	seq_qt5/src/qplaylistframe.cpp: Still more tweaks to playlist
	handling.
	* data/Makefile.in, data/samples/ca_midi.playlist: Removed a couple
	of Yamaha demo tunes.

2023-04-04  ahlstrom <ahlstromcj@gmail.com>

	* data/Makefile.am, data/Makefile.in,
	data/samples/ca_midi.playlist,
	libseq66/include/util/basic_macros.hpp,
	libseq66/src/sessions/clinsmanager.cpp,
	libseq66/src/sessions/smanager.cpp,
	libseq66/src/util/basic_macros.cpp: Added playlist material to the
	installer.

2023-04-03  Chris Ahlstrom <ahlstromcj@gmail.com>

	* INSTALL, doc/latex/tex/configuration.tex,
	doc/latex/tex/headless.tex, doc/latex/tex/menu.tex,
	include/config.h.in, libseq66/src/cfg/rcsettings.cpp: Fixed the
	--home option.
	* README.md, TODO, VERSION, configure.ac,
	libseq66/src/cfg/cmdlineopts.cpp, libseq66/src/cfg/rcsettings.cpp,
	libseq66/src/sessions/clinsmanager.cpp,
	libseq66/src/sessions/smanager.cpp, seq_qt5/src/qsmainwnd.cpp,
	seq_qt5/src/qt5_helpers.cpp: Fixed setting of config subdirectory.

2023-04-01  ahlstrom <ahlstromcj@gmail.com>

	* TODO, libseq66/include/sessions/smanager.hpp,
	libseq66/src/sessions/clinsmanager.cpp,
	libseq66/src/sessions/smanager.cpp, seq_qt5/include/qsmainwnd.hpp,
	seq_qt5/include/qt5_helpers.hpp, seq_qt5/include/qt5nsmanager.hpp,
	seq_qt5/src/qsmainwnd.cpp, seq_qt5/src/qt5_helpers.cpp,
	seq_qt5/src/qt5nsmanager.cpp: Working on reading config for NSM and
	--home in progress.

2023-03-31  Chris Ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/cfg/rcsettings.hpp,
	libseq66/include/sessions/smanager.hpp,
	libseq66/src/cfg/cmdlineopts.cpp, libseq66/src/cfg/rcsettings.cpp,
	libseq66/src/cfg/sessionfile.cpp,
	libseq66/src/sessions/clinsmanager.cpp,
	libseq66/src/sessions/smanager.cpp,
	libsessions/src/nsm/nsmbase.cpp, seq_qt5/src/qt5nsmanager.cpp,
	seq_rtmidi/src/midi_alsa_info.cpp: Still trying to simplify config
	files with nsm.

2023-03-30  Chris Ahlstrom <ahlstromcj@gmail.com>

	* configure.ac, include/config.h.in,
	libseq66/include/cfg/usrsettings.hpp,
	libseq66/src/cfg/cmdlineopts.cpp,
	libseq66/src/sessions/clinsmanager.cpp,
	libseq66/src/sessions/smanager.cpp, seq_qt5/forms/qsessionframe.ui: 
	Added nsm debugging code.
	* Seq66cli/seq66rtcli.cpp, Seq66qt5/seq66qt5.cpp,
	doc/latex/tex/sessions.tex, libseq66/include/cfg/rcsettings.hpp,
	libseq66/src/cfg/rcsettings.cpp,
	libseq66/src/sessions/smanager.cpp, seq_qt5/src/qsmainwnd.cpp,
	seq_qt5/src/qt5nsmanager.cpp: More progress on issue #40.

2023-03-29  Chris Ahlstrom <ahlstromcj@gmail.com>

	* Makefile.in, README.md, Seq66cli/Makefile.in,
	Seq66qt5/Makefile.in, TODO, aux-files/compile, aux-files/depcomp,
	aux-files/ltmain.sh, aux-files/missing, configure, configure.ac,
	data/Makefile.in, doc/Makefile.in, doc/latex/Makefile.in,
	doc/latex/tex/Makefile.in, include/config.h.in,
	libseq66/Makefile.in, libseq66/include/Makefile.in,
	libseq66/include/os/daemonize.hpp,
	libseq66/include/sessions/clinsmanager.hpp,
	libseq66/include/sessions/smanager.hpp, libseq66/src/Makefile.in,
	libseq66/src/os/daemonize.cpp,
	libseq66/src/sessions/clinsmanager.cpp,
	libseq66/src/sessions/smanager.cpp, libsessions/Makefile.in,
	libsessions/include/Makefile.in,
	libsessions/include/nsm/nsmbase.hpp, libsessions/src/Makefile.in,
	m4/Makefile.in, man/Makefile.in, resources/pixmaps/Makefile.in,
	seq_portmidi/Makefile.in, seq_portmidi/include/Makefile.in,
	seq_portmidi/src/Makefile.in, seq_qt5/Makefile.in,
	seq_qt5/forms/Makefile.in, seq_qt5/forms/qsabout.ui,
	seq_qt5/include/Makefile.in, seq_qt5/include/qsmainwnd.hpp,
	seq_qt5/include/qt5_helpers.hpp, seq_qt5/include/qt5nsmanager.hpp,
	seq_qt5/src/Makefile.in, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qsmainwnd.cpp, seq_qt5/src/qt5_helpers.cpp,
	seq_qt5/src/qt5nsmanager.cpp, seq_rtmidi/Makefile.in,
	seq_rtmidi/include/Makefile.in, seq_rtmidi/src/Makefile.in: Work on
	improving issue #40 for NSM support, still in progress.

2023-03-28  ahlstrom <ahlstromcj@gmail.com>

	* seq_qt5/forms/qseditoptions.ui, seq_qt5/seq_qt5.pro,
	seq_qt5/src/Makefile.am, seq_qt5/src/qperfeditframe64.cpp: Adding Qt
	5.15 disabling checks.

2023-03-27  ahlstrom <ahlstromcj@gmail.com>

	* : commit 72bb4f9b782eb075261c34efca6d564f3a0d03c2 Author: ahlstrom
	<ahlstromcj@gmail.com> Date:   Mon Mar 27 17:23:14 2023 -0400
	* README.md, RELNOTES.md, TODO, VERSION, configure.ac,
	doc/latex/tex/sessions.tex, include/config.h.in,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h, libseq66/src/cfg/usrfile.cpp,
	libseq66/src/cfg/usrsettings.cpp, seq_qt5/forms/qsessionframe.ui,
	seq_qt5/include/qsessionframe.hpp, seq_qt5/include/qsmainwnd.hpp,
	seq_qt5/src/qsessionframe.cpp, seq_qt5/src/qsmainwnd.cpp,
	seq_qt5/src/qt5nsmanager.cpp: Date bump, log-file name now editable.
	* README.md, Seq66cli/seq66rtcli.cpp,
	doc/latex/tex/configuration.tex, doc/latex/tex/headless.tex,
	doc/latex/tex/jack.tex, libseq66/include/cfg/cmdlineopts.hpp,
	libseq66/include/os/daemonize.hpp,
	libseq66/src/cfg/cmdlineopts.cpp, libseq66/src/cfg/usrfile.cpp,
	libseq66/src/os/daemonize.cpp, libseq66/src/os/timing.cpp: Fixed
	handling of log files.

2023-03-26  ahlstrom <ahlstromcj@gmail.com>

	* README.md, Seq66cli/seq66rtcli.cpp, contrib/VMPK.conf,
	contrib/scripts/README, contrib/scripts/qtctrun,
	libseq66/include/cfg/cmdlineopts.hpp,
	libseq66/include/cfg/rcfile.hpp, libseq66/include/os/daemonize.hpp,
	libseq66/src/cfg/cmdlineopts.cpp, libseq66/src/cfg/rcfile.cpp: Fixed
	daemonization, still need fix to reroute_stdio().

2023-03-24  Chris Ahlstrom <ahlstromcj@gmail.com>

	* Seq66cli/seq66rtcli.cpp, libseq66/include/os/daemonize.hpp,
	libseq66/src/os/daemonize.cpp: Daemoniztion works, functional
	testing needed.

2023-03-23  ahlstrom <ahlstromcj@gmail.com>

	* Seq66cli/seq66rtcli.cpp, arch/package/PKGBUILD, contrib/gvim.rc,
	doc/latex/tex/palettes.tex, libseq66/include/os/daemonize.hpp,
	libseq66/src/cfg/notemapfile.cpp, libseq66/src/cfg/scales.cpp,
	libseq66/src/cfg/usrfile.cpp, libseq66/src/os/daemonize.cpp,
	seq_qt5/src/qseqeditframe64.cpp: More dicking with daemonization.

2023-03-22  Chris Ahlstrom <ahlstromcj@gmail.com>

	* Seq66cli/seq66rtcli.cpp, libseq66/include/cfg/cmdlineopts.hpp,
	libseq66/include/cfg/usrfile.hpp,
	libseq66/include/cfg/usrsettings.hpp,
	libseq66/include/os/daemonize.hpp,
	libseq66/src/cfg/cmdlineopts.cpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/cfg/usrfile.cpp, libseq66/src/cfg/usrsettings.cpp,
	libseq66/src/os/daemonize.cpp: Improvements to daemonization/logs,
	more debugging needed.

2023-03-19  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, Seq66cli/seq66rtcli.cpp, configure,
	contrib/vim-syntax/c.vim, data/seq66cli/seq66cli.usr,
	libseq66/include/os/daemonize.hpp, libseq66/src/os/daemonize.cpp,
	seq_qt5/src/qloopbutton.cpp: Work on daemonization and log files in
	progress.

2023-03-18  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, data/linux/qseq66.ctrl,
	libseq66/include/ctrl/automation.hpp,
	libseq66/src/cfg/usrsettings.cpp, libseq66/src/ctrl/automation.cpp,
	libseq66/src/ctrl/keycontainer.cpp,
	libseq66/src/ctrl/opcontrol.cpp, libseq66/src/play/performer.cpp,
	seq_qt5/include/qslivegrid.hpp, seq_qt5/src/qslivegrid.cpp: Many
	fixes related to issue #107.

2023-03-17  Chris Ahlstrom <ahlstromcj@gmail.com>

	* INSTALL, README.md, TODO, VERSION, configure, configure.ac,
	contrib/vim-syntax/cpp.vim, doc/latex/tex/seq66-user-manual.tex,
	include/config.h.in, include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h,
	libseq66/include/util/recmutex.hpp, libseq66/src/util/recmutex.cpp,
	seq_qt5/src/qseqeditframe64.cpp: Work on issue #107 and
	documentation, versioning.

2023-03-04  Chris Ahlstrom <ahlstromcj@gmail.com>

	* : Updated main-windows image for GitHub.
	* README.md, VERSION, configure.ac,
	doc/latex/tex/seq66-user-manual.tex, include/config.h.in,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h: Version 0.99.2 pending.

2023-03-03  Chris Ahlstrom <ahlstromcj@gmail.com>

	* doc/latex/tex/alsa.tex, doc/latex/tex/concepts.tex,
	doc/latex/tex/configuration.tex, doc/latex/tex/defaultkeys.tex,
	doc/latex/tex/event_editor.tex, doc/latex/tex/jack.tex,
	doc/latex/tex/kbd_mouse.tex, doc/latex/tex/kudos.tex,
	doc/latex/tex/launchpad_mini.tex, doc/latex/tex/live_grid.tex,
	doc/latex/tex/menu.tex, doc/latex/tex/midi_export.tex,
	doc/latex/tex/pattern_editor.tex, doc/latex/tex/patterns_panel.tex,
	doc/latex/tex/port_mapping.tex, doc/latex/tex/references.tex,
	doc/latex/tex/sessions.tex, doc/latex/tex/song_editor.tex: Still
	more documentation fixups.
	* doc/latex/tex/alsa.tex, doc/latex/tex/concepts.tex,
	doc/latex/tex/configuration.tex, doc/latex/tex/defaultkeys.tex,
	doc/latex/tex/event_editor.tex, doc/latex/tex/first_start.tex,
	doc/latex/tex/headless.tex, doc/latex/tex/jack.tex,
	doc/latex/tex/kbd_mouse.tex, doc/latex/tex/launchpad_mini.tex,
	doc/latex/tex/live_grid.tex, doc/latex/tex/menu.tex,
	doc/latex/tex/meta_events.tex, doc/latex/tex/midi_export.tex,
	doc/latex/tex/midi_formats.tex, doc/latex/tex/palettes.tex,
	doc/latex/tex/pattern_editor.tex, doc/latex/tex/patterns_panel.tex,
	doc/latex/tex/playlist.tex, doc/latex/tex/port_mapping.tex,
	doc/latex/tex/seq66-user-manual.tex, doc/latex/tex/sessions.tex,
	doc/latex/tex/setmaster.tex, doc/latex/tex/song_editor.tex,
	doc/latex/tex/windows.tex, seq_qt5/src/gui_palette_qt5.cpp,
	seq_qt5/src/qseqroll.cpp: Optimizing latex documentation in
	progress.

2023-03-02  Chris Ahlstrom <ahlstromcj@gmail.com>

	* INSTALL, README.md, TODO, doc/latex/tex/configuration.tex,
	doc/latex/tex/docs-structure.tex, doc/latex/tex/first_start.tex,
	doc/latex/tex/kudos.tex, doc/latex/tex/live_grid.tex,
	doc/latex/tex/menu.tex, doc/latex/tex/mutes.tex,
	doc/latex/tex/seq66-user-manual.tex: Significant modification to
	user manual layout.

2023-03-01  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, doc/dox/doxy-common.cfg,
	libseq66/include/midi/jack_assistant.hpp,
	libseq66/src/midi/jack_assistant.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp: 
	More TODO cleanup.
	* INSTALL, TODO, doc/latex/tex/midi_formats.tex,
	libseq66/include/play/songsummary.hpp,
	libseq66/include/seq66_features.h,
	libseq66/src/midi/midi_vector_base.cpp,
	libseq66/src/play/songsummary.cpp, seq_portmidi/include/portmidi.h,
	seq_portmidi/src/pmwinmm.c, seq_portmidi/src/portmidi.c,
	seq_qt5/src/qperfeditframe64.cpp, seq_qt5/src/qseqbase.cpp,
	seq_rtmidi/src/midi_alsa.cpp: Interim check-in, investigating
	macros.

2023-02-28  Chris Ahlstrom <ahlstromcj@gmail.com>

	* data/linux/qseq66.palette, seq_qt5/src/gui_palette_qt5.cpp: Fixed
	some Qt gradient warnings.

2023-02-27  Chris Ahlstrom <ahlstromcj@gmail.com>

	* : commit 7206c497d2e533ab42a02ee3f55653e6a0ca7f84 Author: Chris
	Ahlstrom <ahlstromcj@gmail.com> Date:   Mon Feb 27 19:47:10 2023
	-0500
	* : commit d66be924a37902246978a79d4f662b33f9fba62d Author: Chris
	Ahlstrom <ahlstromcj@gmail.com> Date:   Mon Feb 27 07:49:58 2023
	-0500
	* README.md, seq_qt5/include/gui_palette_qt5.hpp,
	seq_qt5/src/gui_palette_qt5.cpp, seq_qt5/src/qperfroll.cpp,
	seq_qt5/src/qseqroll.cpp: Fixed palette file brush settings getting
	reset.

2023-02-26  Chris Ahlstrom <ahlstromcj@gmail.com>

	* : commit 204ab0622fabc59c409f45061811f410025f6372 Merge: b1967d12
	0047f5eb Author: Chris Ahlstrom <ahlstromcj@gmail.com> Date:   Sun
	Feb 26 08:52:25 2023 -0500
	* seq_qt5/src/qslivegrid.cpp: Added credit for phuel fix #106.
	* TODO, doc/latex/tex/references.tex,
	doc/latex/tex/seq66-user-manual.tex,
	libseq66/include/cfg/rcsettings.hpp,
	libseq66/include/play/setmapper.hpp,
	seq_qt5/src/gui_palette_qt5.cpp, seq_qt5/src/qperfroll.cpp,
	seq_qt5/src/qseqroll.cpp: Minor docu tweaks and starting making
	linear gradient an option.
	* seq_qt5/src/qslivegrid.cpp: Mark the selected MIDI bus and channel
	in the pattern dropdown menu.

2023-01-27  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, seq_qt5/src/qseqroll.cpp: Fixed background seq display
	with linear gradients.

2023-01-17  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, VERSION, configure.ac,
	doc/latex/tex/seq66-user-manual.tex,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h, libseq66/src/play/sequence.cpp: 
	Work on issue #103 under JACK slave transport.

2023-01-16  Chris Ahlstrom <ahlstromcj@gmail.com>

	* contrib/DIR_COLORS, contrib/vim-syntax/c.vim,
	contrib/vim-syntax/cpp.vim, contrib/vim.rc, include/config.h.in,
	libseq66/include/util/filefunctions.hpp,
	libseq66/src/cfg/comments.cpp, libseq66/src/cfg/rcsettings.cpp,
	libseq66/src/util/filefunctions.cpp,
	libsessions/src/nsm/nsmbase.cpp: Minor tweaks to contrib and source
	files.

2022-11-27  Chris Ahlstrom <ahlstromcj@gmail.com>

	* ChangeLog, README.md, VERSION, configure.ac,
	contrib/code/ttymidi.c, include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h: Version 0.99.1 pending.
	* README.md, contrib/scripts/jackctl, doc/latex/tex/jack.tex,
	libseq66/include/cfg/rcsettings.hpp,
	seq_qt5/forms/qseditoptions.ui, seq_rtmidi/src/midi_jack.cpp,
	seq_rtmidi/src/midi_jack_info.cpp: Readying for version 0.99.1.

2022-11-22  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, libseq66/include/midi/event.hpp,
	libseq66/src/midi/midifile.cpp,
	seq_rtmidi/include/midi_jack_data.hpp,
	seq_rtmidi/src/midi_jack.cpp, seq_rtmidi/src/midi_jack_data.cpp: 
	Tweaked the frame offset calculation in midi_jack_data to more
	closely match the ttymidi.c module.

2022-11-16  Chris Ahlstrom <ahlstromcj@gmail.com>

	* : Added contrib/tests/testnumbers.ods.

2022-11-04  Chris Ahlstrom <ahlstromcj@gmail.com>

	* INSTALL, doc/latex/tex/song_editor.tex,
	libseq66/include/play/performer.hpp,
	libseq66/include/util/ring_buffer.hpp,
	libseq66/src/midi/midibase.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/src/qloopbutton.cpp, seq_qt5/src/qperfroll.cpp,
	seq_rtmidi/include/rtmidi_types.hpp, seq_rtmidi/src/midi_jack.cpp,
	seq_rtmidi/src/midi_jack_data.cpp: Add gradient styling to grid
	progress boxes.

2022-10-29  Chris Ahlstrom <ahlstromcj@gmail.com>

	* doc/latex/tex/seq66-user-manual.tex,
	doc/latex/tex/song_editor.tex, seq_qt5/src/qsmainwnd.cpp,
	seq_rtmidi/include/midi_jack.hpp, seq_rtmidi/src/midi_jack.cpp,
	seq_rtmidi/src/midi_jack_data.cpp: Very minor changes, mostly
	documentation.

2022-10-21  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, doc/latex/tex/song_editor.tex,
	libseq66/src/midi/midibase.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/triggers.cpp, seq_qt5/include/qseqeventframe.hpp,
	seq_qt5/src/qperfnames.cpp, seq_qt5/src/qperfroll.cpp,
	seq_qt5/src/qseqeventframe.cpp, seq_qt5/src/qt5_helpers.cpp,
	seq_rtmidi/include/midi_jack_data.hpp,
	seq_rtmidi/include/rtmidi_types.hpp, seq_rtmidi/src/midi_jack.cpp,
	seq_rtmidi/src/midi_jack_data.cpp, seq_rtmidi/src/rtmidi_types.cpp: 
	Safety check-in, various minor fixes/tweaks.

2022-10-14  Chris Ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/midi/midibytes.hpp,
	libseq66/src/midi/calculations.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/include/qseqeditframe64.hpp,
	seq_rtmidi/include/midi_jack_data.hpp,
	seq_rtmidi/include/rtmidi_types.hpp, seq_rtmidi/src/midi_jack.cpp,
	seq_rtmidi/src/midi_jack_data.cpp,
	seq_rtmidi/src/midi_jack_info.cpp: Interim safety check-in related
	to issue #100.

2022-10-11  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, contrib/scripts/jackctl, include/config.h.in,
	libseq66/include/seq66_features.h,
	libseq66/src/midi/jack_assistant.cpp, seq_qt5/src/qperfnames.cpp,
	seq_qt5/src/qperfroll.cpp, seq_qt5/src/qseqroll.cpp,
	seq_rtmidi/src/midi_jack_info.cpp: Added lineargradient look to the
	piano rolls, to take a break from troubleshooting.

2022-10-10  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, VERSION, configure.ac,
	contrib/midi/songtest.text, doc/latex/tex/song_editor.tex,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h,
	libseq66/include/midi/calculations.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/midi/calculations.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	libseq66/src/play/triggers.cpp, seq_qt5/forms/qsmainwnd.ui,
	seq_qt5/src/qperfnames.cpp, seq_qt5/src/qperfroll.cpp,
	seq_rtmidi/src/midi_jack_data.cpp: Issue #44 almost worked out.

2022-10-06  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, contrib/midi/songtest.text,
	contrib/scripts/jackctl, doc/latex/tex/song_editor.tex,
	libseq66/include/cfg/rcsettings.hpp,
	libseq66/include/cfg/settings.hpp,
	libseq66/include/midi/calculations.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/screenset.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/include/play/setmapper.hpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/cfg/rcsettings.cpp, libseq66/src/cfg/settings.cpp,
	libseq66/src/midi/calculations.cpp,
	libseq66/src/midi/jack_assistant.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/screenset.cpp,
	libseq66/src/play/sequence.cpp, libseq66/src/play/triggers.cpp,
	resources/pixmaps/song_rec_no_snap.xpm,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/forms/qsmainwnd.ui,
	seq_qt5/include/qseditoptions.hpp,
	seq_qt5/src/qperfeditframe64.cpp, seq_qt5/src/qperfnames.cpp,
	seq_qt5/src/qperfroll.cpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qsmainwnd.cpp, seq_rtmidi/src/midi_jack.cpp,
	seq_rtmidi/src/midi_jack_data.cpp,
	seq_rtmidi/src/midi_jack_info.cpp: Hacking at issues #44 and #100,
	issues still.

2022-09-30  Chris Ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/util/ring_buffer.hpp,
	libseq66/src/midi/jack_assistant.cpp,
	seq_rtmidi/include/midi_jack_data.hpp,
	seq_rtmidi/include/rtmidi_types.hpp, seq_rtmidi/src/midi_jack.cpp,
	seq_rtmidi/src/midi_jack_data.cpp,
	seq_rtmidi/src/midi_jack_info.cpp, seq_rtmidi/src/rtmidi_types.cpp: 
	For issue #100, fixed a calculation error and playback at 4096 is
	reasonable, not yet perfect.

2022-09-27  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, contrib/scripts/jackctl,
	contrib/scripts/recordpa, contrib/scripts/ystart,
	libseq66/include/midi/jack_assistant.hpp,
	libseq66/include/midi/midibytes.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/seq66_features.h,
	libseq66/include/util/ring_buffer.hpp,
	libseq66/src/midi/jack_assistant.cpp,
	libseq66/src/play/performer.cpp, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/forms/qsmainwnd.ui, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qseventslots.cpp, seq_qt5/src/qsmainwnd.cpp,
	seq_rtmidi/include/midi_jack_data.hpp,
	seq_rtmidi/include/rtmidi_types.hpp, seq_rtmidi/src/midi_jack.cpp,
	seq_rtmidi/src/midi_jack_data.cpp, seq_rtmidi/src/rtmidi_types.cpp: 
	Still whacking at issue #100, calculations look correct but still
	glitches at 4096 frames per cycle.

2022-09-22  Chris Ahlstrom <ahlstromcj@gmail.com>

	* Seq66qt5/seq66qt5.cpp, contrib/code/ring_buffer.hpp,
	libseq66/include/seq66_features.h,
	libseq66/include/util/ring_buffer.hpp,
	libseq66/src/util/ring_buffer.cpp,
	seq_rtmidi/include/midi_jack_data.hpp,
	seq_rtmidi/include/rtmidi_types.hpp, seq_rtmidi/src/midi_jack.cpp,
	seq_rtmidi/src/midi_jack_data.cpp, seq_rtmidi/src/rtmidi_types.cpp: 
	Initial smoke test of midi_message ring_buffer works.

2022-09-19  Chris Ahlstrom <ahlstromcj@gmail.com>

	* contrib/code/ring_buffer.hpp, contrib/vim-syntax/cpp.vim,
	libseq66/include/Makefile.am, libseq66/include/Makefile.in,
	libseq66/include/midi/jack_assistant.hpp,
	libseq66/include/midi/midibytes.hpp,
	libseq66/include/seq66_features.h,
	libseq66/include/util/ring_buffer.hpp, libseq66/libseq66.pro,
	libseq66/src/Makefile.am, libseq66/src/Makefile.in,
	libseq66/src/midi/jack_assistant.cpp,
	libseq66/src/util/ring_buffer.cpp,
	seq_rtmidi/include/midi_jack_data.hpp,
	seq_rtmidi/include/rtmidi_types.hpp, seq_rtmidi/src/midi_jack.cpp,
	seq_rtmidi/src/midi_jack_data.cpp,
	seq_rtmidi/src/midi_jack_info.cpp, seq_rtmidi/src/rtmidi_types.cpp: 
	Adding ring_buffer to support midi_message directly.

2022-09-14  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, contrib/scripts/recordpa,
	libseq66/src/play/performer.cpp,
	seq_rtmidi/include/midi_jack_data.hpp,
	seq_rtmidi/src/midi_jack.cpp, seq_rtmidi/src/midi_jack_data.cpp: 
	Made frame offset values static, fixed Stop/Master bug.

2022-09-13  Chris Ahlstrom <ahlstromcj@gmail.com>

	* seq_rtmidi/src/midi_jack_data.cpp: Forgot to add new
	midi_jack_data cpp file.
	* README.md, TODO, contrib/notes/RELNOTES-0_99_0.md,
	libseq66/src/play/performer.cpp, seq_qt5/forms/qsmainwnd.ui,
	seq_qt5/src/qsmainwnd.cpp, seq_rtmidi/include/midi_jack.hpp,
	seq_rtmidi/include/midi_jack_data.hpp, seq_rtmidi/seq_rtmidi.pro,
	seq_rtmidi/src/Makefile.am, seq_rtmidi/src/Makefile.in,
	seq_rtmidi/src/midi_jack.cpp: Moved jack_frame_offset() code to
	midi_jack_data, added default JACK frame-related data members, still
	need to adjust to changes when transport is running.

2022-09-11  Chris Ahlstrom <ahlstromcj@gmail.com>

	* contrib/vim-syntax/c.vim, contrib/vim-syntax/cpp.vim,
	libseq66/include/midi/event.hpp,
	libseq66/include/midi/midibytes.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/include/seq66_features.h, libseq66/src/midi/event.cpp,
	libseq66/src/midi/wrkfile.cpp, libseq66/src/play/sequence.cpp,
	libseq66/src/play/triggers.cpp, seq_qt5/src/qseqtime.cpp,
	seq_rtmidi/include/midi_jack.hpp,
	seq_rtmidi/include/rtmidi_types.hpp, seq_rtmidi/src/midi_jack.cpp,
	seq_rtmidi/src/rtmidi_types.cpp: Added macros for using midi_message
	timestamps and 8-byte timestamps, have issue of JACK buffer overruns
	if active.

2022-09-07  Chris Ahlstrom <ahlstromcj@gmail.com>

	* configure, libseq66/include/play/sequence.hpp,
	libseq66/src/midi/jack_assistant.cpp,
	libseq66/src/play/sequence.cpp,
	seq_rtmidi/include/midi_jack_data.hpp,
	seq_rtmidi/include/midi_jack_info.hpp,
	seq_rtmidi/include/rtmidi_types.hpp, seq_rtmidi/src/midi_jack.cpp,
	seq_rtmidi/src/midi_jack_info.cpp, seq_rtmidi/src/rtmidi_types.cpp: 
	For issue #100, added current tick value to each output event and to
	the ringbuffer data, seems to work, need further verification.

2022-09-04  Chris Ahlstrom <ahlstromcj@gmail.com>

	* NEWS, README.md, RELNOTES.md, TODO, VERSION, configure.ac,
	contrib/git/git.text, data/share/metainfo/seq66.appdata.xml,
	doc/dox/doxy-common.cfg, doc/latex/tex/seq66-user-manual.tex,
	include/cli/seq66-config.h, include/config.h.in,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h,
	libseq66/include/cfg/rcsettings.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	man/seq66.1, man/seq66cli.1, man/sequencer66.1,
	nsis/Seq66Constants.nsh, nsis/Seq66Setup.nsi,
	nsis/build_debug_code.bat, nsis/build_release_package.bat,
	seq_qt5/include/qslivebase.hpp, seq_qt5/src/qslivebase.cpp,
	seq_qt5/src/qslivegrid.cpp, seq_qt5/src/qsmainwnd.cpp: Revisited
	issue #93 and fixed pattern pasting and merging.

2022-09-03  Chris Ahlstrom <ahlstromcj@gmail.com>

	* ChangeLog, VERSION, configure, configure.ac,
	contrib/git/git.text, include/config.h.in,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h: Updating for version 0.99.0
	release.
	* README.md, RELNOTES.md, contrib/git/git.text: Added some notes on
	releases.
	* README.md, TODO, libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/cfg/usrsettings.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/forms/qsmainwnd.ui,
	seq_qt5/include/qseditoptions.hpp, seq_qt5/include/qsmainwnd.hpp,
	seq_qt5/src/qseditoptions.cpp, seq_qt5/src/qslivegrid.cpp,
	seq_qt5/src/qsmainwnd.cpp: Implemented clear and double grid modes,
	tweaked song recording.

2022-09-02  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, doc/latex/tex/patterns_panel.tex,
	libseq66/include/play/triggers.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	libseq66/src/play/triggers.cpp,
	resources/pixmaps/song_rec_no_snap.xpm,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/forms/qseqeventframe.ui,
	seq_qt5/include/qseditoptions.hpp, seq_qt5/include/qsmainwnd.hpp,
	seq_qt5/src/qperfroll.cpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qseqroll.cpp, seq_qt5/src/qsmainwnd.cpp: For issue #44,
	updates to song recording and snapping.

2022-09-01  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/include/play/sequence.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qsmainwnd.cpp: Fixed
	handling/saving measure changes.

2022-08-30  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/include/midi/calculations.hpp,
	libseq66/src/midi/calculations.cpp, seq_qt5/include/qbase.hpp,
	seq_qt5/include/qeditbase.hpp, seq_qt5/include/qperfroll.hpp,
	seq_qt5/include/qperftime.hpp, seq_qt5/include/qsmainwnd.hpp,
	seq_qt5/src/qeditbase.cpp, seq_qt5/src/qloopbutton.cpp,
	seq_qt5/src/qperfeditframe64.cpp, seq_qt5/src/qperfroll.cpp,
	seq_qt5/src/qperftime.cpp, seq_qt5/src/qseqbase.cpp,
	seq_qt5/src/qslivegrid.cpp, seq_qt5/src/qsmainwnd.cpp: Fixes to PPQN
	handling in seqroll, perfroll, perftime, and mainwnd.

2022-08-29  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, contrib/code/ametro.c, contrib/git/git.text,
	doc/latex/tex/seq66-user-manual.tex,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/midi/midi_splitter.cpp,
	libseq66/src/midi/midifile.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/screenset.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/forms/qsmainwnd.ui, seq_qt5/src/qslivebase.cpp,
	seq_qt5/src/qslivegrid.cpp, seq_qt5/src/qsmainwnd.cpp: Fixed
	detecting color change, MIDI Continue.
	* README.md, TODO, libseq66/src/cfg/cmdlineopts.cpp,
	libseq66/src/cfg/usrfile.cpp, libseq66/src/cfg/usrsettings.cpp,
	seq_qt5/include/qloopbutton.hpp, seq_qt5/src/qloopbutton.cpp,
	seq_qt5/src/qslivebase.cpp: Fixed sets option parsing and improved
	grid text sizing.

2022-08-26  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, RELNOTES.md, TODO,
	doc/latex/tex/seq66-user-manual.tex,
	libseq66/include/ctrl/midicontrolbase.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/src/cfg/cmdlineopts.cpp,
	libseq66/src/cfg/midicontrolfile.cpp,
	libseq66/src/ctrl/midicontrolbase.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	libseq66/src/sessions/smanager.cpp, nsis/build_release_package.bat,
	seq_qt5/forms/qmutemaster.ui, seq_qt5/forms/qperfeditframe64.ui,
	seq_qt5/forms/qplaylistframe.ui, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/forms/qseqeditframe64.ui, seq_qt5/forms/qseqeventframe.ui,
	seq_qt5/forms/qsmainwnd.ui, seq_qt5/include/qeditbase.hpp,
	seq_qt5/src/qclocklayout.cpp, seq_qt5/src/qeditbase.cpp,
	seq_qt5/src/qseditoptions.cpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qseqroll.cpp, seq_qt5/src/qsmainwnd.cpp: Fixed note
	Ctrl-Z, 'ctrl' options, other to-dos.

2022-08-24  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, seq_qt5/forms/qperfeditframe64.ui,
	seq_qt5/forms/qplaylistframe.ui, seq_qt5/forms/qseqeditframe64.ui,
	seq_qt5/forms/qslivegrid.ui, seq_qt5/forms/qsmainwnd.ui,
	seq_qt5/src/qslivegrid.cpp, seq_qt5/src/qsmainwnd.cpp: Partial fixes
	for issue #82 horizontal scaling.

2022-08-23  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, doc/latex/tex/kbd_mouse.tex, doc/latex/tex/menu.tex,
	doc/latex/tex/pattern_editor.tex, doc/latex/tex/patterns_panel.tex,
	libseq66/src/play/sequence.cpp: Finished issue #97 so that note
	entry behaves like Seq24.

2022-08-22  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, doc/latex/tex/menu.tex,
	doc/latex/tex/pattern_editor.tex, libseq66/src/play/metro.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/src/qseditoptions.cpp: Fix for issue #54 Qt detection, doc
	update.
	* Makefile.in, Seq66cli/Makefile.in, Seq66qt5/Makefile.in,
	configure, data/Makefile.in, doc/Makefile.in,
	doc/latex/Makefile.in, doc/latex/tex/Makefile.in,
	include/config.h.in, libseq66/Makefile.in,
	libseq66/include/Makefile.in, libseq66/src/Makefile.in,
	libsessions/Makefile.in, libsessions/include/Makefile.in,
	libsessions/src/Makefile.in, m4/Makefile.in, m4/ax_have_qt.m4,
	m4/ax_have_qt_min.m4, man/Makefile.in,
	resources/pixmaps/Makefile.in, seq_portmidi/Makefile.in,
	seq_portmidi/include/Makefile.in, seq_portmidi/src/Makefile.in,
	seq_qt5/Makefile.in, seq_qt5/forms/Makefile.in,
	seq_qt5/include/Makefile.in, seq_qt5/src/Makefile.in,
	seq_rtmidi/Makefile.in, seq_rtmidi/include/Makefile.in,
	seq_rtmidi/src/Makefile.in: Incorporated ax_have_qt serial 19
	updates to fix issue #54.

2022-08-21  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, RELNOTES.md, TODO, VERSION, bootstrap, bootstrap.help,
	configure.ac, contrib/git/gitconfig,
	data/share/doc/tutorial/home.html,
	data/share/doc/tutorial/tutorial_first_startup.html,
	data/share/metainfo/seq66.appdata.xml, doc/dox/doxy-common.cfg,
	doc/latex/tex/configuration.tex, doc/latex/tex/menu.tex,
	doc/latex/tex/patterns_panel.tex,
	doc/latex/tex/seq66-user-manual.tex, include/cli/seq66-config.h,
	include/qt/portmidi/seq66-config.h,
	include/qt/rtmidi/seq66-config.h, libseq66/include/play/metro.hpp,
	libseq66/src/cfg/rcfile.cpp, libseq66/src/play/metro.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	man/seq66.1, man/seq66cli.1, man/sequencer66.1,
	nsis/Seq66Constants.nsh, nsis/Seq66Setup.nsi,
	nsis/build_debug_code.bat, nsis/build_release_package.bat,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/include/qseditoptions.hpp,
	seq_qt5/src/qseditoptions.cpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_rtmidi/src/midi_alsa_info.cpp: Version bump to 0.99, fixes to
	background recording.

2022-08-17  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, doc/latex/tex/pattern_editor.tex,
	doc/latex/tex/patterns_panel.tex, libseq66/src/play/metro.cpp,
	libseq66/src/play/performer.cpp, seq_qt5/forms/qperfeditframe64.ui,
	seq_qt5/forms/qseqeditframe64.ui, seq_qt5/forms/qslivegrid.ui,
	seq_qt5/include/qperfeditframe64.hpp,
	seq_qt5/include/qperftime.hpp, seq_qt5/include/qseqeditframe64.hpp,
	seq_qt5/include/qseqtime.hpp, seq_qt5/src/qperfeditframe64.cpp,
	seq_qt5/src/qperftime.cpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qseqtime.cpp: Fixed L/R marker handling, background
	recording follow Grid and Quan modes.

2022-08-16  Chris Ahlstrom <ahlstromcj@gmail.com>

	* doc/latex/tex/configuration.tex, doc/latex/tex/menu.tex,
	doc/latex/tex/patterns_panel.tex, libseq66/include/play/metro.hpp,
	libseq66/include/play/performer.hpp, libseq66/src/play/metro.cpp,
	libseq66/src/play/performer.cpp, seq_qt5/include/qseditoptions.hpp,
	seq_qt5/src/qseditoptions.cpp, seq_qt5/src/qslivegrid.cpp: 
	Background recording essentially works for issue #98, some tweaks
	might be needed.

2022-08-15  Chris Ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/play/metro.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/play/metro.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/forms/qslivegrid.ui, seq_qt5/include/qseditoptions.hpp,
	seq_qt5/include/qslivegrid.hpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qslivegrid.cpp, seq_qt5/src/qsmainwnd.cpp: Groundwork
	for issue #98 background recording laid.

2022-08-14  Chris Ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/forms/qseditoptions.ui, seq_qt5/include/qseditoptions.hpp,
	seq_qt5/src/qseditoptions.cpp: Interim check-in for auto-recording,
	in its infancy.

2022-08-13  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, doc/latex/tex/midi_formats.tex,
	doc/latex/tex/pattern_editor.tex, doc/latex/tex/patterns_panel.tex,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	libseq66/src/play/triggers.cpp: Metronome count-in essentially
	works.

2022-08-12  Chris Ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/play/metro.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/screenset.hpp,
	libseq66/include/play/sequence.hpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/play/metro.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/screenset.cpp, libseq66/src/play/sequence.cpp: 
	Provisional macroed code for metro count-in.

2022-08-10  Chris Ahlstrom <ahlstromcj@gmail.com>

	* TODO, contrib/vim-syntax/meson.vim, data/linux/qseq66.rc,
	doc/latex/tex/menu.tex, doc/latex/tex/seq66-user-manual.tex,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp, libseq66/src/midi/event.cpp,
	libseq66/src/play/metro.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qseqeditex.cpp, seq_qt5/src/qslivegrid.cpp,
	seq_qt5/src/qsmainwnd.cpp: Fixed some bugs in the metronome code,
	added more documentation.

2022-08-09  Chris Ahlstrom <ahlstromcj@gmail.com>

	* : Added image for new Metronome tab, issue #98.
	* doc/latex/tex/menu.tex, libseq66/include/play/performer.hpp,
	libseq66/src/play/metro.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/include/qseditoptions.hpp, seq_qt5/src/qseditoptions.cpp: 
	Metronome feature and configuration essentially working now.

2022-08-08  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, RELNOTES.md, libseq66/include/ctrl/midicontrolout.hpp,
	libseq66/include/ctrl/midimacros.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/src/cfg/midicontrolfile.cpp,
	libseq66/src/ctrl/keycontainer.cpp,
	libseq66/src/ctrl/midicontrolout.cpp, libseq66/src/play/metro.cpp,
	libseq66/src/play/performer.cpp, seq_qt5/forms/qseditoptions.ui,
	seq_qt5/forms/qsessionframe.ui, seq_qt5/include/qseditoptions.hpp,
	seq_qt5/include/qsessionframe.hpp, seq_qt5/src/qseditoptions.cpp,
	seq_qt5/src/qsessionframe.cpp: Metro GUI config in progress, weird
	debug seqfault fixed.

2022-08-08  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, data/linux/qseq66.rc, doc/latex/tex/configuration.tex,
	doc/latex/tex/patterns_panel.tex,
	libseq66/include/cfg/rcsettings.hpp,
	libseq66/include/play/metro.hpp, libseq66/src/cfg/rcfile.cpp,
	libseq66/src/cfg/rcsettings.cpp, libseq66/src/play/metro.cpp,
	libseq66/src/play/performer.cpp: Added metronome configuration to
	'rc' file.

2022-08-07  Chris Ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/midi/midibytes.hpp,
	libseq66/include/play/metro.hpp,
	libseq66/include/play/sequence.hpp, libseq66/src/play/metro.cpp,
	libseq66/src/play/performer.cpp, seq_qt5/src/qseqeditframe64.cpp: 
	Added configuration class for metronome support, need to add code
	for the rc file.
	* README.md, TODO, libseq66/include/play/metro.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp, libseq66/src/play/metro.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/src/qslivegrid.cpp: More metronome work, niggling issues and
	configuration needed.

2022-08-06  Chris Ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/cfg/usrsettings.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/screenset.hpp,
	libseq66/src/cfg/usrsettings.cpp, libseq66/src/play/metro.cpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/screenset.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/src/qsmainwnd.cpp: Metronome
	works, need to get it going in Song mode still.
	* libseq66/include/play/screenset.hpp,
	libseq66/include/play/seq.hpp, libseq66/include/play/sequence.hpp,
	libseq66/src/play/metro.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/screenset.cpp, resources/pixmaps/metro.xpm,
	seq_qt5/forms/qslivegrid.ui, seq_qt5/src/qslivegrid.cpp,
	seq_qt5/src/qsmainwnd.cpp: More progress on a metronome....

2022-08-05  Chris Ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/Makefile.am, libseq66/include/Makefile.in,
	libseq66/include/midi/calculations.hpp,
	libseq66/include/midi/event.hpp, libseq66/include/play/metro.hpp,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/screenset.hpp, libseq66/include/play/seq.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/include/play/setmapper.hpp, libseq66/libseq66.pro,
	libseq66/src/Makefile.am, libseq66/src/Makefile.in,
	libseq66/src/play/metro.cpp, libseq66/src/play/performer.cpp,
	libseq66/src/play/screenset.cpp, libseq66/src/play/sequence.cpp,
	libseq66/src/play/setmapper.cpp, resources/pixmaps/metro.xpm,
	seq_qt5/forms/qslivegrid.ui, seq_qt5/include/qslivegrid.hpp,
	seq_qt5/src/qslivegrid.cpp, seq_rtmidi/src/midi_alsa.cpp,
	seq_rtmidi/src/midi_alsa_info.cpp: For issue #98, initial metronome
	code, still in progress.

2022-08-03  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, RELNOTES.md, TODO, contrib/git/git.text,
	libseq66/include/util/rect.hpp, libseq66/src/os/shellexecute.cpp,
	libseq66/src/play/performer.cpp, seq_qt5/forms/qpatternfix.ui,
	seq_qt5/forms/qseqeditframe64.ui,
	seq_qt5/include/qseqeditframe64.hpp, seq_qt5/include/qsmainwnd.hpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqroll.cpp,
	seq_qt5/src/qsmainwnd.cpp: Some fixes to issue #97, added paste box
	and progress-bar Ctrl-arrow movement to pattern editor.

2022-08-01  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/include/play/triggers.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	libseq66/src/play/triggers.cpp, seq_qt5/include/qperfroll.hpp,
	seq_qt5/src/qpatternfix.cpp, seq_qt5/src/qperfroll.cpp,
	seq_qt5/src/qseqeditframe64.cpp: L/R keys now work to move triggers,
	and Pattern Fix now modifies.

2022-07-31  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, doc/latex/tex/song_editor.tex,
	libseq66/include/play/performer.hpp,
	libseq66/include/play/screenset.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/include/play/setmapper.hpp,
	libseq66/include/play/triggers.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/screenset.cpp,
	libseq66/src/play/sequence.cpp, libseq66/src/play/setmapper.cpp,
	libseq66/src/play/triggers.cpp, resources/pixmaps/expandgrid.xpm,
	seq_qt5/forms/qperfeditframe64.ui, seq_qt5/include/qperfbase.hpp,
	seq_qt5/include/qperfroll.hpp, seq_qt5/include/qslivegrid.hpp,
	seq_qt5/src/qperfbase.cpp, seq_qt5/src/qperfeditframe64.cpp,
	seq_qt5/src/qperfroll.cpp, seq_qt5/src/qperftime.cpp: Added an
	expand-grid button to the song editor for issue #94.

2022-07-30  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, libseq66/include/play/performer.hpp,
	libseq66/src/play/performer.cpp, seq_qt5/include/qperfroll.hpp,
	seq_qt5/src/qperfroll.cpp: More work on issue #90 for song-editor
	improvements, still in progress.

2022-07-29  Chris Ahlstrom <ahlstromcj@gmail.com>

	* libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/include/play/triggers.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/playlist.cpp,
	libseq66/src/play/sequence.cpp, libseq66/src/play/triggers.cpp,
	seq_qt5/forms/qseqeditframe64.ui,
	seq_qt5/include/qseqeditframe64.hpp, seq_qt5/include/qseqframe.hpp,
	seq_qt5/src/qperfroll.cpp, seq_qt5/src/qperftime.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qseqroll.cpp,
	seq_qt5/src/qseqtime.cpp, seq_qt5/src/qsmainwnd.cpp: Issue #90 for
	the song editor triggers, still in flux.
	* README.md, TODO, libseq66/include/play/performer.hpp,
	libseq66/include/play/screenset.hpp, libseq66/include/play/seq.hpp,
	libseq66/include/play/sequence.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/playlist.cpp,
	libseq66/src/play/screenset.cpp, libseq66/src/play/seq.cpp,
	libseq66/src/play/sequence.cpp, libseq66/src/play/triggers.cpp,
	seq_qt5/src/qloopbutton.cpp, seq_qt5/src/qperfroll.cpp,
	seq_qt5/src/qperftime.cpp, seq_qt5/src/qseqeditframe64.cpp,
	seq_qt5/src/qseqtime.cpp, seq_qt5/src/qslivegrid.cpp,
	seq_qt5/src/qsmainwnd.cpp: Tightened up display message and playback
	control in regard to issue #89.

2022-07-28  Chris Ahlstrom <ahlstromcj@gmail.com>

	* ChangeLog, README.md, TODO, libseq66/include/cfg/usrsettings.hpp,
	libseq66/src/play/performer.cpp, libseq66/src/play/sequence.cpp,
	seq_qt5/include/qseqeditframe64.hpp, seq_qt5/src/qeditbase.cpp,
	seq_qt5/src/qperfbase.cpp, seq_qt5/src/qperfroll.cpp,
	seq_qt5/src/qportwidget.cpp, seq_qt5/src/qseqdata.cpp,
	seq_qt5/src/qseqeditframe64.cpp, seq_qt5/src/qsmainwnd.cpp: Good
	progress on issues #89, #90, and #94, more testing needed.
	* README.md, TODO, libseq66/src/play/performer.cpp: Interim safety
	check-in for the road.

2022-07-27  Chris Ahlstrom <ahlstromcj@gmail.com>

	* README.md, TODO, libseq66/src/play/performer.cpp,
	libseq66/src/play/sequence.cpp, seq_qt5/src/qslivebase.cpp,
	seq_qt5/src/qsmainwnd.cpp: Fixed issue #93, pattern editor open
	after pattern cut/delete.
	* TODO, libseq66/include/play/performer.hpp,
	libseq66/include/play/sequence.hpp,
